/* ---------------------------------------------------------------------------
    FILE        : debug.c 				                             	 	        
    PURPOSE     : Debug functions file
    PROJECT     : DM648 NORWriter flashing utility
    AUTHOR      : Daniel Allred
    DESC        : Debug utility functions
 ----------------------------------------------------------------------------- */

// Standard I/O
#include <stdio.h>

// General type include
#include "tistdtypes.h"

// This module's header file
#include "debug.h"


/************************************************************
* Explicit External Declarations                            *
************************************************************/


/************************************************************
* Local Macro Declarations                                  *
************************************************************/


/************************************************************
* Local Typedef Declarations                                *
************************************************************/


/************************************************************
* Local Function Declarations                               *
************************************************************/


/************************************************************
* Local Variable Definitions                                *
************************************************************/


/************************************************************
* Global Variable Definitions                               *
************************************************************/


/************************************************************
* Global Function Definitions                               *
************************************************************/

// Debug print function (could use stdio or maybe UART)
void DEBUG_printString(String s)
{
	printf(s);
}

void DEBUG_printHexInt(Uint32 i)
{
	printf("0x%X",i);
}

void DEBUG_readString(String s)
{
  scanf("%s",s);
}

void DEBUG_readChar(Int8 *c)
{
  scanf("%c",c);
}


/***********************************************************
* Local Function Definitions                               *
***********************************************************/


/***********************************************************
* End file                                                 *
***********************************************************/

/* --------------------------------------------------------------------------
    HISTORY
        v1.00  -  DJA  -  16-Aug-2007
 	        Initial release 
 ----------------------------------------------------------------------------- */



