/******************************************************************************/
/*            TEXAS INSTRUMENTS INCORPORATED PROPRIETARY INFORMATION          */ 
/*   Created 2005, (C) Copyright 2005 Texas Instruments.  All rights reserved.*/ 
/*																			  */
/* 	FILE	: cslr_intc_001.h 					                          	  */
/*  PROJECT	: DaVinci ROM boot-loader 		                                  */
/*  AUTHOR	: Vignesh LA					                                  */
/*  DATE	: April-25-2005                                                   */
/******************************************************************************/

#ifndef _CSLR_INTC_001_H_
#define _CSLR_INTC_001_H_

#include <tistdtypes.h>

/**************************************************************************\
* Register Overlay Structure
\**************************************************************************/
typedef struct  {
    volatile Uint32 FIQ0;
    volatile Uint32 FIQ1;
    volatile Uint32 IRQ0;
    volatile Uint32 IRQ1;
    volatile Uint32 FIQENTRY;
    volatile Uint32 IRQENTRY;
    volatile Uint32 EINT0;
    volatile Uint32 EINT1;
    volatile Uint32 INTCTL;
    volatile Uint32 EABASE;
    volatile Uint8 RSVD0[8];
    volatile Uint32 INTPRI0;
    volatile Uint32 INTPRI1;
    volatile Uint32 INTPRI2;
    volatile Uint32 INTPRI3;
    volatile Uint32 INTPRI4;
    volatile Uint32 INTPRI5;
    volatile Uint32 INTPRI6;
    volatile Uint32 INTPRI7;
} CSL_IntcRegs;

/**************************************************************************\
* Field Definition Macros
\**************************************************************************/

/* FIQ0 */

#define CSL_INTC_FIQ0_FIQ31_MASK         (0x80000000u)
#define CSL_INTC_FIQ0_FIQ31_SHIFT        (0x00000000u)
#define CSL_INTC_FIQ0_FIQ31_RESETVAL     (0x00000001u)

#define CSL_INTC_FIQ0_FIQ30_MASK         (0x40000000u)
#define CSL_INTC_FIQ0_FIQ30_SHIFT        (0x00000000u)
#define CSL_INTC_FIQ0_FIQ30_RESETVAL     (0x00000001u)

#define CSL_INTC_FIQ0_FIQ29_MASK         (0x20000000u)
#define CSL_INTC_FIQ0_FIQ29_SHIFT        (0x00000000u)
#define CSL_INTC_FIQ0_FIQ29_RESETVAL     (0x00000001u)

#define CSL_INTC_FIQ0_FIQ28_MASK         (0x10000000u)
#define CSL_INTC_FIQ0_FIQ28_SHIFT        (0x00000000u)
#define CSL_INTC_FIQ0_FIQ28_RESETVAL     (0x00000001u)

#define CSL_INTC_FIQ0_FIQ27_MASK         (0x08000000u)
#define CSL_INTC_FIQ0_FIQ27_SHIFT        (0x00000000u)
#define CSL_INTC_FIQ0_FIQ27_RESETVAL     (0x00000001u)

#define CSL_INTC_FIQ0_FIQ26_MASK         (0x04000000u)
#define CSL_INTC_FIQ0_FIQ26_SHIFT        (0x00000000u)
#define CSL_INTC_FIQ0_FIQ26_RESETVAL     (0x00000001u)

#define CSL_INTC_FIQ0_FIQ25_MASK         (0x02000000u)
#define CSL_INTC_FIQ0_FIQ25_SHIFT        (0x00000000u)
#define CSL_INTC_FIQ0_FIQ25_RESETVAL     (0x00000001u)

#define CSL_INTC_FIQ0_FIQ24_MASK         (0x01000000u)
#define CSL_INTC_FIQ0_FIQ24_SHIFT        (0x00000000u)
#define CSL_INTC_FIQ0_FIQ24_RESETVAL     (0x00000001u)

#define CSL_INTC_FIQ0_FIQ23_MASK         (0x00800000u)
#define CSL_INTC_FIQ0_FIQ23_SHIFT        (0x00000000u)
#define CSL_INTC_FIQ0_FIQ23_RESETVAL     (0x00000001u)

#define CSL_INTC_FIQ0_FIQ22_MASK         (0x00400000u)
#define CSL_INTC_FIQ0_FIQ22_SHIFT        (0x00000000u)
#define CSL_INTC_FIQ0_FIQ22_RESETVAL     (0x00000001u)

#define CSL_INTC_FIQ0_FIQ21_MASK         (0x00200000u)
#define CSL_INTC_FIQ0_FIQ21_SHIFT        (0x00000000u)
#define CSL_INTC_FIQ0_FIQ21_RESETVAL     (0x00000001u)

#define CSL_INTC_FIQ0_FIQ20_MASK         (0x00100000u)
#define CSL_INTC_FIQ0_FIQ20_SHIFT        (0x00000000u)
#define CSL_INTC_FIQ0_FIQ20_RESETVAL     (0x00000001u)

#define CSL_INTC_FIQ0_FIQ19_MASK         (0x00080000u)
#define CSL_INTC_FIQ0_FIQ19_SHIFT        (0x00000000u)
#define CSL_INTC_FIQ0_FIQ19_RESETVAL     (0x00000001u)

#define CSL_INTC_FIQ0_FIQ18_MASK         (0x00040000u)
#define CSL_INTC_FIQ0_FIQ18_SHIFT        (0x00000000u)
#define CSL_INTC_FIQ0_FIQ18_RESETVAL     (0x00000001u)

#define CSL_INTC_FIQ0_FIQ17_MASK         (0x00020000u)
#define CSL_INTC_FIQ0_FIQ17_SHIFT        (0x00000000u)
#define CSL_INTC_FIQ0_FIQ17_RESETVAL     (0x00000001u)

#define CSL_INTC_FIQ0_FIQ16_MASK         (0x00010000u)
#define CSL_INTC_FIQ0_FIQ16_SHIFT        (0x00000000u)
#define CSL_INTC_FIQ0_FIQ16_RESETVAL     (0x00000001u)

#define CSL_INTC_FIQ0_FIQ15_MASK         (0x00008000u)
#define CSL_INTC_FIQ0_FIQ15_SHIFT        (0x00000000u)
#define CSL_INTC_FIQ0_FIQ15_RESETVAL     (0x00000001u)

#define CSL_INTC_FIQ0_FIQ14_MASK         (0x00004000u)
#define CSL_INTC_FIQ0_FIQ14_SHIFT        (0x00000000u)
#define CSL_INTC_FIQ0_FIQ14_RESETVAL     (0x00000001u)

#define CSL_INTC_FIQ0_FIQ13_MASK         (0x00002000u)
#define CSL_INTC_FIQ0_FIQ13_SHIFT        (0x00000000u)
#define CSL_INTC_FIQ0_FIQ13_RESETVAL     (0x00000001u)

#define CSL_INTC_FIQ0_FIQ12_MASK         (0x00001000u)
#define CSL_INTC_FIQ0_FIQ12_SHIFT        (0x00000000u)
#define CSL_INTC_FIQ0_FIQ12_RESETVAL     (0x00000001u)

#define CSL_INTC_FIQ0_FIQ11_MASK         (0x00000800u)
#define CSL_INTC_FIQ0_FIQ11_SHIFT        (0x00000000u)
#define CSL_INTC_FIQ0_FIQ11_RESETVAL     (0x00000001u)

#define CSL_INTC_FIQ0_FIQ10_MASK         (0x00000400u)
#define CSL_INTC_FIQ0_FIQ10_SHIFT        (0x00000000u)
#define CSL_INTC_FIQ0_FIQ10_RESETVAL     (0x00000001u)

#define CSL_INTC_FIQ0_FIQ9_MASK          (0x00000200u)
#define CSL_INTC_FIQ0_FIQ9_SHIFT         (0x00000000u)
#define CSL_INTC_FIQ0_FIQ9_RESETVAL      (0x00000001u)

#define CSL_INTC_FIQ0_FIQ8_MASK          (0x00000100u)
#define CSL_INTC_FIQ0_FIQ8_SHIFT         (0x00000000u)
#define CSL_INTC_FIQ0_FIQ8_RESETVAL      (0x00000001u)

#define CSL_INTC_FIQ0_FIQ7_MASK          (0x00000080u)
#define CSL_INTC_FIQ0_FIQ7_SHIFT         (0x00000000u)
#define CSL_INTC_FIQ0_FIQ7_RESETVAL      (0x00000001u)

#define CSL_INTC_FIQ0_FIQ6_MASK          (0x00000040u)
#define CSL_INTC_FIQ0_FIQ6_SHIFT         (0x00000000u)
#define CSL_INTC_FIQ0_FIQ6_RESETVAL      (0x00000001u)

#define CSL_INTC_FIQ0_FIQ5_MASK          (0x00000020u)
#define CSL_INTC_FIQ0_FIQ5_SHIFT         (0x00000000u)
#define CSL_INTC_FIQ0_FIQ5_RESETVAL      (0x00000001u)

#define CSL_INTC_FIQ0_FIQ4_MASK          (0x00000010u)
#define CSL_INTC_FIQ0_FIQ4_SHIFT         (0x00000000u)
#define CSL_INTC_FIQ0_FIQ4_RESETVAL      (0x00000001u)

#define CSL_INTC_FIQ0_FIQ3_MASK          (0x00000008u)
#define CSL_INTC_FIQ0_FIQ3_SHIFT         (0x00000000u)
#define CSL_INTC_FIQ0_FIQ3_RESETVAL      (0x00000001u)

#define CSL_INTC_FIQ0_FIQ2_MASK          (0x00000004u)
#define CSL_INTC_FIQ0_FIQ2_SHIFT         (0x00000000u)
#define CSL_INTC_FIQ0_FIQ2_RESETVAL      (0x00000001u)

#define CSL_INTC_FIQ0_FIQ1_MASK          (0x00000002u)
#define CSL_INTC_FIQ0_FIQ1_SHIFT         (0x00000000u)
#define CSL_INTC_FIQ0_FIQ1_RESETVAL      (0x00000001u)

#define CSL_INTC_FIQ0_FIQ0_MASK          (0x00000001u)
#define CSL_INTC_FIQ0_FIQ0_SHIFT         (0x00000000u)
#define CSL_INTC_FIQ0_FIQ0_RESETVAL      (0x00000001u)

/*----FIQ Tokens----*/
#define CSL_INTC_FIQ0_FIQ_INT            (0x00000000u)
#define CSL_INTC_FIQ0_FIQ_ACK            (0x00000001u)

#define CSL_INTC_FIQ0_RESETVAL           (0x00000001u)

/* FIQ1 */

#define CSL_INTC_FIQ1_FIQ63_MASK         (0x80000000u)
#define CSL_INTC_FIQ1_FIQ63_SHIFT        (0x00000000u)
#define CSL_INTC_FIQ1_FIQ63_RESETVAL     (0x00000001u)

#define CSL_INTC_FIQ1_FIQ62_MASK         (0x40000000u)
#define CSL_INTC_FIQ1_FIQ62_SHIFT        (0x00000000u)
#define CSL_INTC_FIQ1_FIQ62_RESETVAL     (0x00000001u)

#define CSL_INTC_FIQ1_FIQ61_MASK         (0x20000000u)
#define CSL_INTC_FIQ1_FIQ61_SHIFT        (0x00000000u)
#define CSL_INTC_FIQ1_FIQ61_RESETVAL     (0x00000001u)

#define CSL_INTC_FIQ1_FIQ60_MASK         (0x10000000u)
#define CSL_INTC_FIQ1_FIQ60_SHIFT        (0x00000000u)
#define CSL_INTC_FIQ1_FIQ60_RESETVAL     (0x00000001u)

#define CSL_INTC_FIQ1_FIQ59_MASK         (0x08000000u)
#define CSL_INTC_FIQ1_FIQ59_SHIFT        (0x00000000u)
#define CSL_INTC_FIQ1_FIQ59_RESETVAL     (0x00000001u)

#define CSL_INTC_FIQ1_FIQ58_MASK         (0x04000000u)
#define CSL_INTC_FIQ1_FIQ58_SHIFT        (0x00000000u)
#define CSL_INTC_FIQ1_FIQ58_RESETVAL     (0x00000001u)

#define CSL_INTC_FIQ1_FIQ57_MASK         (0x02000000u)
#define CSL_INTC_FIQ1_FIQ57_SHIFT        (0x00000000u)
#define CSL_INTC_FIQ1_FIQ57_RESETVAL     (0x00000001u)

#define CSL_INTC_FIQ1_FIQ56_MASK         (0x01000000u)
#define CSL_INTC_FIQ1_FIQ56_SHIFT        (0x00000000u)
#define CSL_INTC_FIQ1_FIQ56_RESETVAL     (0x00000001u)

#define CSL_INTC_FIQ1_FIQ55_MASK         (0x00800000u)
#define CSL_INTC_FIQ1_FIQ55_SHIFT        (0x00000000u)
#define CSL_INTC_FIQ1_FIQ55_RESETVAL     (0x00000001u)

#define CSL_INTC_FIQ1_FIQ54_MASK         (0x00400000u)
#define CSL_INTC_FIQ1_FIQ54_SHIFT        (0x00000000u)
#define CSL_INTC_FIQ1_FIQ54_RESETVAL     (0x00000001u)

#define CSL_INTC_FIQ1_FIQ53_MASK         (0x00200000u)
#define CSL_INTC_FIQ1_FIQ53_SHIFT        (0x00000000u)
#define CSL_INTC_FIQ1_FIQ53_RESETVAL     (0x00000001u)

#define CSL_INTC_FIQ1_FIQ52_MASK         (0x00100000u)
#define CSL_INTC_FIQ1_FIQ52_SHIFT        (0x00000000u)
#define CSL_INTC_FIQ1_FIQ52_RESETVAL     (0x00000001u)

#define CSL_INTC_FIQ1_FIQ51_MASK         (0x00080000u)
#define CSL_INTC_FIQ1_FIQ51_SHIFT        (0x00000000u)
#define CSL_INTC_FIQ1_FIQ51_RESETVAL     (0x00000001u)

#define CSL_INTC_FIQ1_FIQ50_MASK         (0x00040000u)
#define CSL_INTC_FIQ1_FIQ50_SHIFT        (0x00000000u)
#define CSL_INTC_FIQ1_FIQ50_RESETVAL     (0x00000001u)

#define CSL_INTC_FIQ1_FIQ49_MASK         (0x00020000u)
#define CSL_INTC_FIQ1_FIQ49_SHIFT        (0x00000000u)
#define CSL_INTC_FIQ1_FIQ49_RESETVAL     (0x00000001u)

#define CSL_INTC_FIQ1_FIQ48_MASK         (0x00010000u)
#define CSL_INTC_FIQ1_FIQ48_SHIFT        (0x00000000u)
#define CSL_INTC_FIQ1_FIQ48_RESETVAL     (0x00000001u)

#define CSL_INTC_FIQ1_FIQ47_MASK         (0x00008000u)
#define CSL_INTC_FIQ1_FIQ47_SHIFT        (0x00000000u)
#define CSL_INTC_FIQ1_FIQ47_RESETVAL     (0x00000001u)

#define CSL_INTC_FIQ1_FIQ46_MASK         (0x00004000u)
#define CSL_INTC_FIQ1_FIQ46_SHIFT        (0x00000000u)
#define CSL_INTC_FIQ1_FIQ46_RESETVAL     (0x00000001u)

#define CSL_INTC_FIQ1_FIQ45_MASK         (0x00002000u)
#define CSL_INTC_FIQ1_FIQ45_SHIFT        (0x00000000u)
#define CSL_INTC_FIQ1_FIQ45_RESETVAL     (0x00000001u)

#define CSL_INTC_FIQ1_FIQ44_MASK         (0x00001000u)
#define CSL_INTC_FIQ1_FIQ44_SHIFT        (0x00000000u)
#define CSL_INTC_FIQ1_FIQ44_RESETVAL     (0x00000001u)

#define CSL_INTC_FIQ1_FIQ43_MASK         (0x00000800u)
#define CSL_INTC_FIQ1_FIQ43_SHIFT        (0x00000000u)
#define CSL_INTC_FIQ1_FIQ43_RESETVAL     (0x00000001u)

#define CSL_INTC_FIQ1_FIQ42_MASK         (0x00000400u)
#define CSL_INTC_FIQ1_FIQ42_SHIFT        (0x00000000u)
#define CSL_INTC_FIQ1_FIQ42_RESETVAL     (0x00000001u)

#define CSL_INTC_FIQ1_FIQ41_MASK         (0x00000200u)
#define CSL_INTC_FIQ1_FIQ41_SHIFT        (0x00000000u)
#define CSL_INTC_FIQ1_FIQ41_RESETVAL     (0x00000001u)

#define CSL_INTC_FIQ1_FIQ40_MASK         (0x00000100u)
#define CSL_INTC_FIQ1_FIQ40_SHIFT        (0x00000000u)
#define CSL_INTC_FIQ1_FIQ40_RESETVAL     (0x00000001u)

#define CSL_INTC_FIQ1_FIQ39_MASK         (0x00000080u)
#define CSL_INTC_FIQ1_FIQ39_SHIFT        (0x00000000u)
#define CSL_INTC_FIQ1_FIQ39_RESETVAL     (0x00000001u)

#define CSL_INTC_FIQ1_FIQ38_MASK         (0x00000040u)
#define CSL_INTC_FIQ1_FIQ38_SHIFT        (0x00000000u)
#define CSL_INTC_FIQ1_FIQ38_RESETVAL     (0x00000001u)

#define CSL_INTC_FIQ1_FIQ37_MASK         (0x00000020u)
#define CSL_INTC_FIQ1_FIQ37_SHIFT        (0x00000000u)
#define CSL_INTC_FIQ1_FIQ37_RESETVAL     (0x00000001u)

#define CSL_INTC_FIQ1_FIQ36_MASK         (0x00000010u)
#define CSL_INTC_FIQ1_FIQ36_SHIFT        (0x00000000u)
#define CSL_INTC_FIQ1_FIQ36_RESETVAL     (0x00000001u)

#define CSL_INTC_FIQ1_FIQ35_MASK         (0x00000008u)
#define CSL_INTC_FIQ1_FIQ35_SHIFT        (0x00000000u)
#define CSL_INTC_FIQ1_FIQ35_RESETVAL     (0x00000001u)

#define CSL_INTC_FIQ1_FIQ34_MASK         (0x00000004u)
#define CSL_INTC_FIQ1_FIQ34_SHIFT        (0x00000000u)
#define CSL_INTC_FIQ1_FIQ34_RESETVAL     (0x00000001u)

#define CSL_INTC_FIQ1_FIQ33_MASK         (0x00000002u)
#define CSL_INTC_FIQ1_FIQ33_SHIFT        (0x00000000u)
#define CSL_INTC_FIQ1_FIQ33_RESETVAL     (0x00000001u)

#define CSL_INTC_FIQ1_FIQ32_MASK         (0x00000001u)
#define CSL_INTC_FIQ1_FIQ32_SHIFT        (0x00000000u)
#define CSL_INTC_FIQ1_FIQ32_RESETVAL     (0x00000001u)

/*----FIQ Tokens----*/
#define CSL_INTC_FIQ1_FIQ_INT            (0x00000000u)
#define CSL_INTC_FIQ1_FIQ_ACK            (0x00000001u)

#define CSL_INTC_FIQ1_RESETVAL           (0x00000001u)

/* IRQ0 */

#define CSL_INTC_IRQ0_IRQ31_MASK         (0x80000000u)
#define CSL_INTC_IRQ0_IRQ31_SHIFT        (0x00000000u)
#define CSL_INTC_IRQ0_IRQ31_RESETVAL     (0x00000001u)

#define CSL_INTC_IRQ0_IRQ30_MASK         (0x40000000u)
#define CSL_INTC_IRQ0_IRQ30_SHIFT        (0x00000000u)
#define CSL_INTC_IRQ0_IRQ30_RESETVAL     (0x00000001u)

#define CSL_INTC_IRQ0_IRQ29_MASK         (0x20000000u)
#define CSL_INTC_IRQ0_IRQ29_SHIFT        (0x00000000u)
#define CSL_INTC_IRQ0_IRQ29_RESETVAL     (0x00000001u)

#define CSL_INTC_IRQ0_IRQ28_MASK         (0x10000000u)
#define CSL_INTC_IRQ0_IRQ28_SHIFT        (0x00000000u)
#define CSL_INTC_IRQ0_IRQ28_RESETVAL     (0x00000001u)

#define CSL_INTC_IRQ0_IRQ27_MASK         (0x08000000u)
#define CSL_INTC_IRQ0_IRQ27_SHIFT        (0x00000000u)
#define CSL_INTC_IRQ0_IRQ27_RESETVAL     (0x00000001u)

#define CSL_INTC_IRQ0_IRQ26_MASK         (0x04000000u)
#define CSL_INTC_IRQ0_IRQ26_SHIFT        (0x00000000u)
#define CSL_INTC_IRQ0_IRQ26_RESETVAL     (0x00000001u)

#define CSL_INTC_IRQ0_IRQ25_MASK         (0x02000000u)
#define CSL_INTC_IRQ0_IRQ25_SHIFT        (0x00000000u)
#define CSL_INTC_IRQ0_IRQ25_RESETVAL     (0x00000001u)

#define CSL_INTC_IRQ0_IRQ24_MASK         (0x01000000u)
#define CSL_INTC_IRQ0_IRQ24_SHIFT        (0x00000000u)
#define CSL_INTC_IRQ0_IRQ24_RESETVAL     (0x00000001u)

#define CSL_INTC_IRQ0_IRQ23_MASK         (0x00800000u)
#define CSL_INTC_IRQ0_IRQ23_SHIFT        (0x00000000u)
#define CSL_INTC_IRQ0_IRQ23_RESETVAL     (0x00000001u)

#define CSL_INTC_IRQ0_IRQ22_MASK         (0x00400000u)
#define CSL_INTC_IRQ0_IRQ22_SHIFT        (0x00000000u)
#define CSL_INTC_IRQ0_IRQ22_RESETVAL     (0x00000001u)

#define CSL_INTC_IRQ0_IRQ21_MASK         (0x00200000u)
#define CSL_INTC_IRQ0_IRQ21_SHIFT        (0x00000000u)
#define CSL_INTC_IRQ0_IRQ21_RESETVAL     (0x00000001u)

#define CSL_INTC_IRQ0_IRQ20_MASK         (0x00100000u)
#define CSL_INTC_IRQ0_IRQ20_SHIFT        (0x00000000u)
#define CSL_INTC_IRQ0_IRQ20_RESETVAL     (0x00000001u)

#define CSL_INTC_IRQ0_IRQ19_MASK         (0x00080000u)
#define CSL_INTC_IRQ0_IRQ19_SHIFT        (0x00000000u)
#define CSL_INTC_IRQ0_IRQ19_RESETVAL     (0x00000001u)

#define CSL_INTC_IRQ0_IRQ18_MASK         (0x00040000u)
#define CSL_INTC_IRQ0_IRQ18_SHIFT        (0x00000000u)
#define CSL_INTC_IRQ0_IRQ18_RESETVAL     (0x00000001u)

#define CSL_INTC_IRQ0_IRQ17_MASK         (0x00020000u)
#define CSL_INTC_IRQ0_IRQ17_SHIFT        (0x00000000u)
#define CSL_INTC_IRQ0_IRQ17_RESETVAL     (0x00000001u)

#define CSL_INTC_IRQ0_IRQ16_MASK         (0x00010000u)
#define CSL_INTC_IRQ0_IRQ16_SHIFT        (0x00000000u)
#define CSL_INTC_IRQ0_IRQ16_RESETVAL     (0x00000001u)

#define CSL_INTC_IRQ0_IRQ15_MASK         (0x00008000u)
#define CSL_INTC_IRQ0_IRQ15_SHIFT        (0x00000000u)
#define CSL_INTC_IRQ0_IRQ15_RESETVAL     (0x00000001u)

#define CSL_INTC_IRQ0_IRQ14_MASK         (0x00004000u)
#define CSL_INTC_IRQ0_IRQ14_SHIFT        (0x00000000u)
#define CSL_INTC_IRQ0_IRQ14_RESETVAL     (0x00000001u)

#define CSL_INTC_IRQ0_IRQ13_MASK         (0x00002000u)
#define CSL_INTC_IRQ0_IRQ13_SHIFT        (0x00000000u)
#define CSL_INTC_IRQ0_IRQ13_RESETVAL     (0x00000001u)

#define CSL_INTC_IRQ0_IRQ12_MASK         (0x00001000u)
#define CSL_INTC_IRQ0_IRQ12_SHIFT        (0x00000000u)
#define CSL_INTC_IRQ0_IRQ12_RESETVAL     (0x00000001u)

#define CSL_INTC_IRQ0_IRQ11_MASK         (0x00000800u)
#define CSL_INTC_IRQ0_IRQ11_SHIFT        (0x00000000u)
#define CSL_INTC_IRQ0_IRQ11_RESETVAL     (0x00000001u)

#define CSL_INTC_IRQ0_IRQ10_MASK         (0x00000400u)
#define CSL_INTC_IRQ0_IRQ10_SHIFT        (0x00000000u)
#define CSL_INTC_IRQ0_IRQ10_RESETVAL     (0x00000001u)

#define CSL_INTC_IRQ0_IRQ9_MASK          (0x00000200u)
#define CSL_INTC_IRQ0_IRQ9_SHIFT         (0x00000000u)
#define CSL_INTC_IRQ0_IRQ9_RESETVAL      (0x00000001u)

#define CSL_INTC_IRQ0_IRQ8_MASK          (0x00000100u)
#define CSL_INTC_IRQ0_IRQ8_SHIFT         (0x00000000u)
#define CSL_INTC_IRQ0_IRQ8_RESETVAL      (0x00000001u)

#define CSL_INTC_IRQ0_IRQ7_MASK          (0x00000080u)
#define CSL_INTC_IRQ0_IRQ7_SHIFT         (0x00000000u)
#define CSL_INTC_IRQ0_IRQ7_RESETVAL      (0x00000001u)

#define CSL_INTC_IRQ0_IRQ6_MASK          (0x00000040u)
#define CSL_INTC_IRQ0_IRQ6_SHIFT         (0x00000000u)
#define CSL_INTC_IRQ0_IRQ6_RESETVAL      (0x00000001u)

#define CSL_INTC_IRQ0_IRQ5_MASK          (0x00000020u)
#define CSL_INTC_IRQ0_IRQ5_SHIFT         (0x00000000u)
#define CSL_INTC_IRQ0_IRQ5_RESETVAL      (0x00000001u)

#define CSL_INTC_IRQ0_IRQ4_MASK          (0x00000010u)
#define CSL_INTC_IRQ0_IRQ4_SHIFT         (0x00000000u)
#define CSL_INTC_IRQ0_IRQ4_RESETVAL      (0x00000001u)

#define CSL_INTC_IRQ0_IRQ3_MASK          (0x00000008u)
#define CSL_INTC_IRQ0_IRQ3_SHIFT         (0x00000000u)
#define CSL_INTC_IRQ0_IRQ3_RESETVAL      (0x00000001u)

#define CSL_INTC_IRQ0_IRQ2_MASK          (0x00000004u)
#define CSL_INTC_IRQ0_IRQ2_SHIFT         (0x00000000u)
#define CSL_INTC_IRQ0_IRQ2_RESETVAL      (0x00000001u)

#define CSL_INTC_IRQ0_IRQ1_MASK          (0x00000002u)
#define CSL_INTC_IRQ0_IRQ1_SHIFT         (0x00000000u)
#define CSL_INTC_IRQ0_IRQ1_RESETVAL      (0x00000001u)

#define CSL_INTC_IRQ0_IRQ0_MASK          (0x00000001u)
#define CSL_INTC_IRQ0_IRQ0_SHIFT         (0x00000000u)
#define CSL_INTC_IRQ0_IRQ0_RESETVAL      (0x00000001u)

/*----IRQ Tokens----*/
#define CSL_INTC_IRQ0_IRQ_INT            (0x00000000u)
#define CSL_INTC_IRQ0_IRQ_ACK            (0x00000001u)

#define CSL_INTC_IRQ0_RESETVAL           (0x00000001u)

/* IRQ1 */

#define CSL_INTC_IRQ1_IRQ63_MASK         (0x80000000u)
#define CSL_INTC_IRQ1_IRQ63_SHIFT        (0x00000000u)
#define CSL_INTC_IRQ1_IRQ63_RESETVAL     (0x00000001u)

#define CSL_INTC_IRQ1_IRQ62_MASK         (0x40000000u)
#define CSL_INTC_IRQ1_IRQ62_SHIFT        (0x00000000u)
#define CSL_INTC_IRQ1_IRQ62_RESETVAL     (0x00000001u)

#define CSL_INTC_IRQ1_IRQ61_MASK         (0x20000000u)
#define CSL_INTC_IRQ1_IRQ61_SHIFT        (0x00000000u)
#define CSL_INTC_IRQ1_IRQ61_RESETVAL     (0x00000001u)

#define CSL_INTC_IRQ1_IRQ60_MASK         (0x10000000u)
#define CSL_INTC_IRQ1_IRQ60_SHIFT        (0x00000000u)
#define CSL_INTC_IRQ1_IRQ60_RESETVAL     (0x00000001u)

#define CSL_INTC_IRQ1_IRQ59_MASK         (0x08000000u)
#define CSL_INTC_IRQ1_IRQ59_SHIFT        (0x00000000u)
#define CSL_INTC_IRQ1_IRQ59_RESETVAL     (0x00000001u)

#define CSL_INTC_IRQ1_IRQ58_MASK         (0x04000000u)
#define CSL_INTC_IRQ1_IRQ58_SHIFT        (0x00000000u)
#define CSL_INTC_IRQ1_IRQ58_RESETVAL     (0x00000001u)

#define CSL_INTC_IRQ1_IRQ57_MASK         (0x02000000u)
#define CSL_INTC_IRQ1_IRQ57_SHIFT        (0x00000000u)
#define CSL_INTC_IRQ1_IRQ57_RESETVAL     (0x00000001u)

#define CSL_INTC_IRQ1_IRQ56_MASK         (0x01000000u)
#define CSL_INTC_IRQ1_IRQ56_SHIFT        (0x00000000u)
#define CSL_INTC_IRQ1_IRQ56_RESETVAL     (0x00000001u)

#define CSL_INTC_IRQ1_IRQ55_MASK         (0x00800000u)
#define CSL_INTC_IRQ1_IRQ55_SHIFT        (0x00000000u)
#define CSL_INTC_IRQ1_IRQ55_RESETVAL     (0x00000001u)

#define CSL_INTC_IRQ1_IRQ54_MASK         (0x00400000u)
#define CSL_INTC_IRQ1_IRQ54_SHIFT        (0x00000000u)
#define CSL_INTC_IRQ1_IRQ54_RESETVAL     (0x00000001u)

#define CSL_INTC_IRQ1_IRQ53_MASK         (0x00200000u)
#define CSL_INTC_IRQ1_IRQ53_SHIFT        (0x00000000u)
#define CSL_INTC_IRQ1_IRQ53_RESETVAL     (0x00000001u)

#define CSL_INTC_IRQ1_IRQ52_MASK         (0x00100000u)
#define CSL_INTC_IRQ1_IRQ52_SHIFT        (0x00000000u)
#define CSL_INTC_IRQ1_IRQ52_RESETVAL     (0x00000001u)

#define CSL_INTC_IRQ1_IRQ51_MASK         (0x00080000u)
#define CSL_INTC_IRQ1_IRQ51_SHIFT        (0x00000000u)
#define CSL_INTC_IRQ1_IRQ51_RESETVAL     (0x00000001u)

#define CSL_INTC_IRQ1_IRQ50_MASK         (0x00040000u)
#define CSL_INTC_IRQ1_IRQ50_SHIFT        (0x00000000u)
#define CSL_INTC_IRQ1_IRQ50_RESETVAL     (0x00000001u)

#define CSL_INTC_IRQ1_IRQ49_MASK         (0x00020000u)
#define CSL_INTC_IRQ1_IRQ49_SHIFT        (0x00000000u)
#define CSL_INTC_IRQ1_IRQ49_RESETVAL     (0x00000001u)

#define CSL_INTC_IRQ1_IRQ48_MASK         (0x00010000u)
#define CSL_INTC_IRQ1_IRQ48_SHIFT        (0x00000000u)
#define CSL_INTC_IRQ1_IRQ48_RESETVAL     (0x00000001u)

#define CSL_INTC_IRQ1_IRQ47_MASK         (0x00008000u)
#define CSL_INTC_IRQ1_IRQ47_SHIFT        (0x00000000u)
#define CSL_INTC_IRQ1_IRQ47_RESETVAL     (0x00000001u)

#define CSL_INTC_IRQ1_IRQ46_MASK         (0x00004000u)
#define CSL_INTC_IRQ1_IRQ46_SHIFT        (0x00000000u)
#define CSL_INTC_IRQ1_IRQ46_RESETVAL     (0x00000001u)

#define CSL_INTC_IRQ1_IRQ45_MASK         (0x00002000u)
#define CSL_INTC_IRQ1_IRQ45_SHIFT        (0x00000000u)
#define CSL_INTC_IRQ1_IRQ45_RESETVAL     (0x00000001u)

#define CSL_INTC_IRQ1_IRQ44_MASK         (0x00001000u)
#define CSL_INTC_IRQ1_IRQ44_SHIFT        (0x00000000u)
#define CSL_INTC_IRQ1_IRQ44_RESETVAL     (0x00000001u)

#define CSL_INTC_IRQ1_IRQ43_MASK         (0x00000800u)
#define CSL_INTC_IRQ1_IRQ43_SHIFT        (0x00000000u)
#define CSL_INTC_IRQ1_IRQ43_RESETVAL     (0x00000001u)

#define CSL_INTC_IRQ1_IRQ42_MASK         (0x00000400u)
#define CSL_INTC_IRQ1_IRQ42_SHIFT        (0x00000000u)
#define CSL_INTC_IRQ1_IRQ42_RESETVAL     (0x00000001u)

#define CSL_INTC_IRQ1_IRQ41_MASK         (0x00000200u)
#define CSL_INTC_IRQ1_IRQ41_SHIFT        (0x00000000u)
#define CSL_INTC_IRQ1_IRQ41_RESETVAL     (0x00000001u)

#define CSL_INTC_IRQ1_IRQ40_MASK         (0x00000100u)
#define CSL_INTC_IRQ1_IRQ40_SHIFT        (0x00000000u)
#define CSL_INTC_IRQ1_IRQ40_RESETVAL     (0x00000001u)

#define CSL_INTC_IRQ1_IRQ39_MASK         (0x00000080u)
#define CSL_INTC_IRQ1_IRQ39_SHIFT        (0x00000000u)
#define CSL_INTC_IRQ1_IRQ39_RESETVAL     (0x00000001u)

#define CSL_INTC_IRQ1_IRQ38_MASK         (0x00000040u)
#define CSL_INTC_IRQ1_IRQ38_SHIFT        (0x00000000u)
#define CSL_INTC_IRQ1_IRQ38_RESETVAL     (0x00000001u)

#define CSL_INTC_IRQ1_IRQ37_MASK         (0x00000020u)
#define CSL_INTC_IRQ1_IRQ37_SHIFT        (0x00000000u)
#define CSL_INTC_IRQ1_IRQ37_RESETVAL     (0x00000001u)

#define CSL_INTC_IRQ1_IRQ36_MASK         (0x00000010u)
#define CSL_INTC_IRQ1_IRQ36_SHIFT        (0x00000000u)
#define CSL_INTC_IRQ1_IRQ36_RESETVAL     (0x00000001u)

#define CSL_INTC_IRQ1_IRQ35_MASK         (0x00000008u)
#define CSL_INTC_IRQ1_IRQ35_SHIFT        (0x00000000u)
#define CSL_INTC_IRQ1_IRQ35_RESETVAL     (0x00000001u)

#define CSL_INTC_IRQ1_IRQ34_MASK         (0x00000004u)
#define CSL_INTC_IRQ1_IRQ34_SHIFT        (0x00000000u)
#define CSL_INTC_IRQ1_IRQ34_RESETVAL     (0x00000001u)

#define CSL_INTC_IRQ1_IRQ33_MASK         (0x00000002u)
#define CSL_INTC_IRQ1_IRQ33_SHIFT        (0x00000000u)
#define CSL_INTC_IRQ1_IRQ33_RESETVAL     (0x00000001u)

#define CSL_INTC_IRQ1_IRQ32_MASK         (0x00000001u)
#define CSL_INTC_IRQ1_IRQ32_SHIFT        (0x00000000u)
#define CSL_INTC_IRQ1_IRQ32_RESETVAL     (0x00000001u)

/*----IRQ Tokens----*/
#define CSL_INTC_IRQ1_IRQ_INT            (0x00000000u)
#define CSL_INTC_IRQ1_IRQ_ACK            (0x00000001u)

#define CSL_INTC_IRQ1_RESETVAL           (0x00000001u)

/* FIQENTRY */

#define CSL_INTC_FIQENTRY_FIQENTRY_MASK  (0x1FFFFFFFu)
#define CSL_INTC_FIQENTRY_FIQENTRY_SHIFT (0x00000000u)
#define CSL_INTC_FIQENTRY_FIQENTRY_RESETVAL (0x00000000u)

#define CSL_INTC_FIQENTRY_RESETVAL       (0x00000000u)

/* IRQENTRY */

#define CSL_INTC_IRQENTRY_IRQENTRY_MASK  (0x1FFFFFFFu)
#define CSL_INTC_IRQENTRY_IRQENTRY_SHIFT (0x00000000u)
#define CSL_INTC_IRQENTRY_IRQENTRY_RESETVAL (0x00000000u)

#define CSL_INTC_IRQENTRY_RESETVAL       (0x00000000u)

/* EINT0 */

#define CSL_INTC_EINT0_EINT31_MASK       (0x80000000u)
#define CSL_INTC_EINT0_EINT31_SHIFT      (0x00000000u)
#define CSL_INTC_EINT0_EINT31_RESETVAL   (0x00000000u)

#define CSL_INTC_EINT0_EINT30_MASK       (0x40000000u)
#define CSL_INTC_EINT0_EINT30_SHIFT      (0x00000000u)
#define CSL_INTC_EINT0_EINT30_RESETVAL   (0x00000000u)

#define CSL_INTC_EINT0_EINT29_MASK       (0x20000000u)
#define CSL_INTC_EINT0_EINT29_SHIFT      (0x00000000u)
#define CSL_INTC_EINT0_EINT29_RESETVAL   (0x00000000u)

#define CSL_INTC_EINT0_EINT28_MASK       (0x10000000u)
#define CSL_INTC_EINT0_EINT28_SHIFT      (0x00000000u)
#define CSL_INTC_EINT0_EINT28_RESETVAL   (0x00000000u)

#define CSL_INTC_EINT0_EINT27_MASK       (0x08000000u)
#define CSL_INTC_EINT0_EINT27_SHIFT      (0x00000000u)
#define CSL_INTC_EINT0_EINT27_RESETVAL   (0x00000000u)

#define CSL_INTC_EINT0_EINT26_MASK       (0x04000000u)
#define CSL_INTC_EINT0_EINT26_SHIFT      (0x00000000u)
#define CSL_INTC_EINT0_EINT26_RESETVAL   (0x00000000u)

#define CSL_INTC_EINT0_EINT25_MASK       (0x02000000u)
#define CSL_INTC_EINT0_EINT25_SHIFT      (0x00000000u)
#define CSL_INTC_EINT0_EINT25_RESETVAL   (0x00000000u)

#define CSL_INTC_EINT0_EINT24_MASK       (0x01000000u)
#define CSL_INTC_EINT0_EINT24_SHIFT      (0x00000000u)
#define CSL_INTC_EINT0_EINT24_RESETVAL   (0x00000000u)

#define CSL_INTC_EINT0_EINT23_MASK       (0x00800000u)
#define CSL_INTC_EINT0_EINT23_SHIFT      (0x00000000u)
#define CSL_INTC_EINT0_EINT23_RESETVAL   (0x00000000u)

#define CSL_INTC_EINT0_EINT22_MASK       (0x00400000u)
#define CSL_INTC_EINT0_EINT22_SHIFT      (0x00000000u)
#define CSL_INTC_EINT0_EINT22_RESETVAL   (0x00000000u)

#define CSL_INTC_EINT0_EINT21_MASK       (0x00200000u)
#define CSL_INTC_EINT0_EINT21_SHIFT      (0x00000000u)
#define CSL_INTC_EINT0_EINT21_RESETVAL   (0x00000000u)

#define CSL_INTC_EINT0_EINT20_MASK       (0x00100000u)
#define CSL_INTC_EINT0_EINT20_SHIFT      (0x00000000u)
#define CSL_INTC_EINT0_EINT20_RESETVAL   (0x00000000u)

#define CSL_INTC_EINT0_EINT19_MASK       (0x00080000u)
#define CSL_INTC_EINT0_EINT19_SHIFT      (0x00000000u)
#define CSL_INTC_EINT0_EINT19_RESETVAL   (0x00000000u)

#define CSL_INTC_EINT0_EINT18_MASK       (0x00040000u)
#define CSL_INTC_EINT0_EINT18_SHIFT      (0x00000000u)
#define CSL_INTC_EINT0_EINT18_RESETVAL   (0x00000000u)

#define CSL_INTC_EINT0_EINT17_MASK       (0x00020000u)
#define CSL_INTC_EINT0_EINT17_SHIFT      (0x00000000u)
#define CSL_INTC_EINT0_EINT17_RESETVAL   (0x00000000u)

#define CSL_INTC_EINT0_EINT16_MASK       (0x00010000u)
#define CSL_INTC_EINT0_EINT16_SHIFT      (0x00000000u)
#define CSL_INTC_EINT0_EINT16_RESETVAL   (0x00000000u)

#define CSL_INTC_EINT0_EINT15_MASK       (0x00008000u)
#define CSL_INTC_EINT0_EINT15_SHIFT      (0x00000000u)
#define CSL_INTC_EINT0_EINT15_RESETVAL   (0x00000000u)

#define CSL_INTC_EINT0_EINT14_MASK       (0x00004000u)
#define CSL_INTC_EINT0_EINT14_SHIFT      (0x00000000u)
#define CSL_INTC_EINT0_EINT14_RESETVAL   (0x00000000u)

#define CSL_INTC_EINT0_EINT13_MASK       (0x00002000u)
#define CSL_INTC_EINT0_EINT13_SHIFT      (0x00000000u)
#define CSL_INTC_EINT0_EINT13_RESETVAL   (0x00000000u)

#define CSL_INTC_EINT0_EINT12_MASK       (0x00001000u)
#define CSL_INTC_EINT0_EINT12_SHIFT      (0x00000000u)
#define CSL_INTC_EINT0_EINT12_RESETVAL   (0x00000000u)

#define CSL_INTC_EINT0_EINT11_MASK       (0x00000800u)
#define CSL_INTC_EINT0_EINT11_SHIFT      (0x00000000u)
#define CSL_INTC_EINT0_EINT11_RESETVAL   (0x00000000u)

#define CSL_INTC_EINT0_EINT10_MASK       (0x00000400u)
#define CSL_INTC_EINT0_EINT10_SHIFT      (0x00000000u)
#define CSL_INTC_EINT0_EINT10_RESETVAL   (0x00000000u)

#define CSL_INTC_EINT0_EINT9_MASK        (0x00000200u)
#define CSL_INTC_EINT0_EINT9_SHIFT       (0x00000000u)
#define CSL_INTC_EINT0_EINT9_RESETVAL    (0x00000000u)

#define CSL_INTC_EINT0_EINT8_MASK        (0x00000100u)
#define CSL_INTC_EINT0_EINT8_SHIFT       (0x00000000u)
#define CSL_INTC_EINT0_EINT8_RESETVAL    (0x00000000u)

#define CSL_INTC_EINT0_EINT7_MASK        (0x00000080u)
#define CSL_INTC_EINT0_EINT7_SHIFT       (0x00000000u)
#define CSL_INTC_EINT0_EINT7_RESETVAL    (0x00000000u)

#define CSL_INTC_EINT0_EINT6_MASK        (0x00000040u)
#define CSL_INTC_EINT0_EINT6_SHIFT       (0x00000000u)
#define CSL_INTC_EINT0_EINT6_RESETVAL    (0x00000000u)

#define CSL_INTC_EINT0_EINT5_MASK        (0x00000020u)
#define CSL_INTC_EINT0_EINT5_SHIFT       (0x00000000u)
#define CSL_INTC_EINT0_EINT5_RESETVAL    (0x00000000u)

#define CSL_INTC_EINT0_EINT4_MASK        (0x00000010u)
#define CSL_INTC_EINT0_EINT4_SHIFT       (0x00000000u)
#define CSL_INTC_EINT0_EINT4_RESETVAL    (0x00000000u)

#define CSL_INTC_EINT0_EINT3_MASK        (0x00000008u)
#define CSL_INTC_EINT0_EINT3_SHIFT       (0x00000000u)
#define CSL_INTC_EINT0_EINT3_RESETVAL    (0x00000000u)

#define CSL_INTC_EINT0_EINT2_MASK        (0x00000004u)
#define CSL_INTC_EINT0_EINT2_SHIFT       (0x00000000u)
#define CSL_INTC_EINT0_EINT2_RESETVAL    (0x00000000u)

#define CSL_INTC_EINT0_EINT1_MASK        (0x00000002u)
#define CSL_INTC_EINT0_EINT1_SHIFT       (0x00000000u)
#define CSL_INTC_EINT0_EINT1_RESETVAL    (0x00000000u)

#define CSL_INTC_EINT0_EINT0_MASK        (0x00000001u)
#define CSL_INTC_EINT0_EINT0_SHIFT       (0x00000000u)
#define CSL_INTC_EINT0_EINT0_RESETVAL    (0x00000000u)

/*----EINT Tokens----*/
#define CSL_INTC_EINT0_EINT_DISABLE      (0x00000000u)
#define CSL_INTC_EINT0_EINT_ENABLE       (0x00000001u)

#define CSL_INTC_EINT0_RESETVAL          (0x00000000u)

/* EINT1 */

#define CSL_INTC_EINT1_EINT63_MASK       (0x80000000u)
#define CSL_INTC_EINT1_EINT63_SHIFT      (0x00000000u)
#define CSL_INTC_EINT1_EINT63_RESETVAL   (0x00000000u)

#define CSL_INTC_EINT1_EINT62_MASK       (0x40000000u)
#define CSL_INTC_EINT1_EINT62_SHIFT      (0x00000000u)
#define CSL_INTC_EINT1_EINT62_RESETVAL   (0x00000000u)

#define CSL_INTC_EINT1_EINT61_MASK       (0x20000000u)
#define CSL_INTC_EINT1_EINT61_SHIFT      (0x00000000u)
#define CSL_INTC_EINT1_EINT61_RESETVAL   (0x00000000u)

#define CSL_INTC_EINT1_EINT60_MASK       (0x10000000u)
#define CSL_INTC_EINT1_EINT60_SHIFT      (0x00000000u)
#define CSL_INTC_EINT1_EINT60_RESETVAL   (0x00000000u)

#define CSL_INTC_EINT1_EINT59_MASK       (0x08000000u)
#define CSL_INTC_EINT1_EINT59_SHIFT      (0x00000000u)
#define CSL_INTC_EINT1_EINT59_RESETVAL   (0x00000000u)

#define CSL_INTC_EINT1_EINT58_MASK       (0x04000000u)
#define CSL_INTC_EINT1_EINT58_SHIFT      (0x00000000u)
#define CSL_INTC_EINT1_EINT58_RESETVAL   (0x00000000u)

#define CSL_INTC_EINT1_EINT57_MASK       (0x02000000u)
#define CSL_INTC_EINT1_EINT57_SHIFT      (0x00000000u)
#define CSL_INTC_EINT1_EINT57_RESETVAL   (0x00000000u)

#define CSL_INTC_EINT1_EINT56_MASK       (0x01000000u)
#define CSL_INTC_EINT1_EINT56_SHIFT      (0x00000000u)
#define CSL_INTC_EINT1_EINT56_RESETVAL   (0x00000000u)

#define CSL_INTC_EINT1_EINT55_MASK       (0x00800000u)
#define CSL_INTC_EINT1_EINT55_SHIFT      (0x00000000u)
#define CSL_INTC_EINT1_EINT55_RESETVAL   (0x00000000u)

#define CSL_INTC_EINT1_EINT54_MASK       (0x00400000u)
#define CSL_INTC_EINT1_EINT54_SHIFT      (0x00000000u)
#define CSL_INTC_EINT1_EINT54_RESETVAL   (0x00000000u)

#define CSL_INTC_EINT1_EINT53_MASK       (0x00200000u)
#define CSL_INTC_EINT1_EINT53_SHIFT      (0x00000000u)
#define CSL_INTC_EINT1_EINT53_RESETVAL   (0x00000000u)

#define CSL_INTC_EINT1_EINT52_MASK       (0x00100000u)
#define CSL_INTC_EINT1_EINT52_SHIFT      (0x00000000u)
#define CSL_INTC_EINT1_EINT52_RESETVAL   (0x00000000u)

#define CSL_INTC_EINT1_EINT51_MASK       (0x00080000u)
#define CSL_INTC_EINT1_EINT51_SHIFT      (0x00000000u)
#define CSL_INTC_EINT1_EINT51_RESETVAL   (0x00000000u)

#define CSL_INTC_EINT1_EINT50_MASK       (0x00040000u)
#define CSL_INTC_EINT1_EINT50_SHIFT      (0x00000000u)
#define CSL_INTC_EINT1_EINT50_RESETVAL   (0x00000000u)

#define CSL_INTC_EINT1_EINT49_MASK       (0x00020000u)
#define CSL_INTC_EINT1_EINT49_SHIFT      (0x00000000u)
#define CSL_INTC_EINT1_EINT49_RESETVAL   (0x00000000u)

#define CSL_INTC_EINT1_EINT48_MASK       (0x00010000u)
#define CSL_INTC_EINT1_EINT48_SHIFT      (0x00000000u)
#define CSL_INTC_EINT1_EINT48_RESETVAL   (0x00000000u)

#define CSL_INTC_EINT1_EINT47_MASK       (0x00008000u)
#define CSL_INTC_EINT1_EINT47_SHIFT      (0x00000000u)
#define CSL_INTC_EINT1_EINT47_RESETVAL   (0x00000000u)

#define CSL_INTC_EINT1_EINT46_MASK       (0x00004000u)
#define CSL_INTC_EINT1_EINT46_SHIFT      (0x00000000u)
#define CSL_INTC_EINT1_EINT46_RESETVAL   (0x00000000u)

#define CSL_INTC_EINT1_EINT45_MASK       (0x00002000u)
#define CSL_INTC_EINT1_EINT45_SHIFT      (0x00000000u)
#define CSL_INTC_EINT1_EINT45_RESETVAL   (0x00000000u)

#define CSL_INTC_EINT1_EINT44_MASK       (0x00001000u)
#define CSL_INTC_EINT1_EINT44_SHIFT      (0x00000000u)
#define CSL_INTC_EINT1_EINT44_RESETVAL   (0x00000000u)

#define CSL_INTC_EINT1_EINT43_MASK       (0x00000800u)
#define CSL_INTC_EINT1_EINT43_SHIFT      (0x00000000u)
#define CSL_INTC_EINT1_EINT43_RESETVAL   (0x00000000u)

#define CSL_INTC_EINT1_EINT42_MASK       (0x00000400u)
#define CSL_INTC_EINT1_EINT42_SHIFT      (0x00000000u)
#define CSL_INTC_EINT1_EINT42_RESETVAL   (0x00000000u)

#define CSL_INTC_EINT1_EINT41_MASK       (0x00000200u)
#define CSL_INTC_EINT1_EINT41_SHIFT      (0x00000000u)
#define CSL_INTC_EINT1_EINT41_RESETVAL   (0x00000000u)

#define CSL_INTC_EINT1_EINT40_MASK       (0x00000100u)
#define CSL_INTC_EINT1_EINT40_SHIFT      (0x00000000u)
#define CSL_INTC_EINT1_EINT40_RESETVAL   (0x00000000u)

#define CSL_INTC_EINT1_EINT39_MASK       (0x00000080u)
#define CSL_INTC_EINT1_EINT39_SHIFT      (0x00000000u)
#define CSL_INTC_EINT1_EINT39_RESETVAL   (0x00000000u)

#define CSL_INTC_EINT1_EINT38_MASK       (0x00000040u)
#define CSL_INTC_EINT1_EINT38_SHIFT      (0x00000000u)
#define CSL_INTC_EINT1_EINT38_RESETVAL   (0x00000000u)

#define CSL_INTC_EINT1_EINT37_MASK       (0x00000020u)
#define CSL_INTC_EINT1_EINT37_SHIFT      (0x00000000u)
#define CSL_INTC_EINT1_EINT37_RESETVAL   (0x00000000u)

#define CSL_INTC_EINT1_EINT36_MASK       (0x00000010u)
#define CSL_INTC_EINT1_EINT36_SHIFT      (0x00000000u)
#define CSL_INTC_EINT1_EINT36_RESETVAL   (0x00000000u)

#define CSL_INTC_EINT1_EINT35_MASK       (0x00000008u)
#define CSL_INTC_EINT1_EINT35_SHIFT      (0x00000000u)
#define CSL_INTC_EINT1_EINT35_RESETVAL   (0x00000000u)

#define CSL_INTC_EINT1_EINT34_MASK       (0x00000004u)
#define CSL_INTC_EINT1_EINT34_SHIFT      (0x00000000u)
#define CSL_INTC_EINT1_EINT34_RESETVAL   (0x00000000u)

#define CSL_INTC_EINT1_EINT33_MASK       (0x00000002u)
#define CSL_INTC_EINT1_EINT33_SHIFT      (0x00000000u)
#define CSL_INTC_EINT1_EINT33_RESETVAL   (0x00000000u)

#define CSL_INTC_EINT1_EINT32_MASK       (0x00000001u)
#define CSL_INTC_EINT1_EINT32_SHIFT      (0x00000000u)
#define CSL_INTC_EINT1_EINT32_RESETVAL   (0x00000000u)

/*----EINT Tokens----*/
#define CSL_INTC_EINT1_EINT_DISABLE      (0x00000000u)
#define CSL_INTC_EINT1_EINT_ENABLE       (0x00000001u)

#define CSL_INTC_EINT1_RESETVAL          (0x00000000u)

/* INTCTL */

#define CSL_INTC_INTCTL_IDMODE_MASK      (0x00000004u)
#define CSL_INTC_INTCTL_IDMODE_SHIFT     (0x00000002u)
#define CSL_INTC_INTCTL_IDMODE_RESETVAL  (0x00000000u)

/*----IDMODE Tokens----*/
#define CSL_INTC_INTCTL_IDMODE_IMMEDIATE (0x00000000u)
#define CSL_INTC_INTCTL_IDMODE_AFTERACK  (0x00000001u)

#define CSL_INTC_INTCTL_IERAW_MASK       (0x00000002u)
#define CSL_INTC_INTCTL_IERAW_SHIFT      (0x00000001u)
#define CSL_INTC_INTCTL_IERAW_RESETVAL   (0x00000000u)

/*----IERAW Tokens----*/
#define CSL_INTC_INTCTL_IERAW_DISABLE    (0x00000000u)
#define CSL_INTC_INTCTL_IERAW_ENABLE     (0x00000001u)

#define CSL_INTC_INTCTL_FERAW_MASK       (0x00000001u)
#define CSL_INTC_INTCTL_FERAW_SHIFT      (0x00000000u)
#define CSL_INTC_INTCTL_FERAW_RESETVAL   (0x00000000u)

/*----FERAW Tokens----*/
#define CSL_INTC_INTCTL_FERAW_DISABLE    (0x00000000u)
#define CSL_INTC_INTCTL_FERAW_ENABLE     (0x00000001u)

#define CSL_INTC_INTCTL_RESETVAL         (0x00000000u)

/* EABASE */

#define CSL_INTC_EABASE_EABASE_MASK      (0x1FFFFFF8u)
#define CSL_INTC_EABASE_EABASE_SHIFT     (0x00000003u)
#define CSL_INTC_EABASE_EABASE_RESETVAL  (0x00000000u)

#define CSL_INTC_EABASE_SIZE_MASK        (0x00000003u)
#define CSL_INTC_EABASE_SIZE_SHIFT       (0x00000000u)
#define CSL_INTC_EABASE_SIZE_RESETVAL    (0x00000000u)

/*----SIZE Tokens----*/
#define CSL_INTC_EABASE_SIZE_4BYTE       (0x00000000u)
#define CSL_INTC_EABASE_SIZE_8BYTE       (0x00000001u)
#define CSL_INTC_EABASE_SIZE_16BYTE      (0x00000002u)
#define CSL_INTC_EABASE_SIZE_32BYTE      (0x00000003u)

#define CSL_INTC_EABASE_RESETVAL         (0x00000000u)

/* INTPRI0 */

#define CSL_INTC_INTPRI0_INT7_MASK       (0x70000000u)
#define CSL_INTC_INTPRI0_INT7_SHIFT      (0x0000001Cu)
#define CSL_INTC_INTPRI0_INT7_RESETVAL   (0x00000007u)

#define CSL_INTC_INTPRI0_INT6_MASK       (0x07000000u)
#define CSL_INTC_INTPRI0_INT6_SHIFT      (0x00000018u)
#define CSL_INTC_INTPRI0_INT6_RESETVAL   (0x00000007u)

#define CSL_INTC_INTPRI0_INT5_MASK       (0x00700000u)
#define CSL_INTC_INTPRI0_INT5_SHIFT      (0x00000014u)
#define CSL_INTC_INTPRI0_INT5_RESETVAL   (0x00000007u)

#define CSL_INTC_INTPRI0_INT4_MASK       (0x00070000u)
#define CSL_INTC_INTPRI0_INT4_SHIFT      (0x00000010u)
#define CSL_INTC_INTPRI0_INT4_RESETVAL   (0x00000007u)

#define CSL_INTC_INTPRI0_INT3_MASK       (0x00007000u)
#define CSL_INTC_INTPRI0_INT3_SHIFT      (0x0000000Cu)
#define CSL_INTC_INTPRI0_INT3_RESETVAL   (0x00000007u)

#define CSL_INTC_INTPRI0_INT2_MASK       (0x00000700u)
#define CSL_INTC_INTPRI0_INT2_SHIFT      (0x00000008u)
#define CSL_INTC_INTPRI0_INT2_RESETVAL   (0x00000007u)

#define CSL_INTC_INTPRI0_INT1_MASK       (0x00000070u)
#define CSL_INTC_INTPRI0_INT1_SHIFT      (0x00000004u)
#define CSL_INTC_INTPRI0_INT1_RESETVAL   (0x00000007u)

#define CSL_INTC_INTPRI0_INT0_MASK       (0x00000007u)
#define CSL_INTC_INTPRI0_INT0_SHIFT      (0x00000000u)
#define CSL_INTC_INTPRI0_INT0_RESETVAL   (0x00000007u)

#define CSL_INTC_INTPRI0_RESETVAL        (0x77777777u)

/* INTPRI1 */

#define CSL_INTC_INTPRI1_INT15_MASK      (0x70000000u)
#define CSL_INTC_INTPRI1_INT15_SHIFT     (0x0000001Cu)
#define CSL_INTC_INTPRI1_INT15_RESETVAL  (0x00000007u)

#define CSL_INTC_INTPRI1_INT14_MASK      (0x07000000u)
#define CSL_INTC_INTPRI1_INT14_SHIFT     (0x00000018u)
#define CSL_INTC_INTPRI1_INT14_RESETVAL  (0x00000007u)

#define CSL_INTC_INTPRI1_INT13_MASK      (0x00700000u)
#define CSL_INTC_INTPRI1_INT13_SHIFT     (0x00000014u)
#define CSL_INTC_INTPRI1_INT13_RESETVAL  (0x00000007u)

#define CSL_INTC_INTPRI1_INT12_MASK      (0x00070000u)
#define CSL_INTC_INTPRI1_INT12_SHIFT     (0x00000010u)
#define CSL_INTC_INTPRI1_INT12_RESETVAL  (0x00000007u)

#define CSL_INTC_INTPRI1_INT11_MASK      (0x00007000u)
#define CSL_INTC_INTPRI1_INT11_SHIFT     (0x0000000Cu)
#define CSL_INTC_INTPRI1_INT11_RESETVAL  (0x00000007u)

#define CSL_INTC_INTPRI1_INT10_MASK      (0x00000700u)
#define CSL_INTC_INTPRI1_INT10_SHIFT     (0x00000008u)
#define CSL_INTC_INTPRI1_INT10_RESETVAL  (0x00000007u)

#define CSL_INTC_INTPRI1_INT9_MASK       (0x00000070u)
#define CSL_INTC_INTPRI1_INT9_SHIFT      (0x00000004u)
#define CSL_INTC_INTPRI1_INT9_RESETVAL   (0x00000007u)

#define CSL_INTC_INTPRI1_INT8_MASK       (0x00000007u)
#define CSL_INTC_INTPRI1_INT8_SHIFT      (0x00000000u)
#define CSL_INTC_INTPRI1_INT8_RESETVAL   (0x00000007u)

#define CSL_INTC_INTPRI1_RESETVAL        (0x77777777u)

/* INTPRI2 */

#define CSL_INTC_INTPRI2_INT23_MASK      (0x70000000u)
#define CSL_INTC_INTPRI2_INT23_SHIFT     (0x0000001Cu)
#define CSL_INTC_INTPRI2_INT23_RESETVAL  (0x00000007u)

#define CSL_INTC_INTPRI2_INT22_MASK      (0x07000000u)
#define CSL_INTC_INTPRI2_INT22_SHIFT     (0x00000018u)
#define CSL_INTC_INTPRI2_INT22_RESETVAL  (0x00000007u)

#define CSL_INTC_INTPRI2_INT21_MASK      (0x00700000u)
#define CSL_INTC_INTPRI2_INT21_SHIFT     (0x00000014u)
#define CSL_INTC_INTPRI2_INT21_RESETVAL  (0x00000007u)

#define CSL_INTC_INTPRI2_INT20_MASK      (0x00070000u)
#define CSL_INTC_INTPRI2_INT20_SHIFT     (0x00000010u)
#define CSL_INTC_INTPRI2_INT20_RESETVAL  (0x00000007u)

#define CSL_INTC_INTPRI2_INT19_MASK      (0x00007000u)
#define CSL_INTC_INTPRI2_INT19_SHIFT     (0x0000000Cu)
#define CSL_INTC_INTPRI2_INT19_RESETVAL  (0x00000007u)

#define CSL_INTC_INTPRI2_INT18_MASK      (0x00000700u)
#define CSL_INTC_INTPRI2_INT18_SHIFT     (0x00000008u)
#define CSL_INTC_INTPRI2_INT18_RESETVAL  (0x00000007u)

#define CSL_INTC_INTPRI2_INT17_MASK      (0x00000070u)
#define CSL_INTC_INTPRI2_INT17_SHIFT     (0x00000004u)
#define CSL_INTC_INTPRI2_INT17_RESETVAL  (0x00000007u)

#define CSL_INTC_INTPRI2_INT16_MASK      (0x00000007u)
#define CSL_INTC_INTPRI2_INT16_SHIFT     (0x00000000u)
#define CSL_INTC_INTPRI2_INT16_RESETVAL  (0x00000007u)

#define CSL_INTC_INTPRI2_RESETVAL        (0x77777777u)

/* INTPRI3 */

#define CSL_INTC_INTPRI3_INT31_MASK      (0x70000000u)
#define CSL_INTC_INTPRI3_INT31_SHIFT     (0x0000001Cu)
#define CSL_INTC_INTPRI3_INT31_RESETVAL  (0x00000007u)

#define CSL_INTC_INTPRI3_INT30_MASK      (0x07000000u)
#define CSL_INTC_INTPRI3_INT30_SHIFT     (0x00000018u)
#define CSL_INTC_INTPRI3_INT30_RESETVAL  (0x00000007u)

#define CSL_INTC_INTPRI3_INT29_MASK      (0x00700000u)
#define CSL_INTC_INTPRI3_INT29_SHIFT     (0x00000014u)
#define CSL_INTC_INTPRI3_INT29_RESETVAL  (0x00000007u)

#define CSL_INTC_INTPRI3_INT28_MASK      (0x00070000u)
#define CSL_INTC_INTPRI3_INT28_SHIFT     (0x00000010u)
#define CSL_INTC_INTPRI3_INT28_RESETVAL  (0x00000007u)

#define CSL_INTC_INTPRI3_INT27_MASK      (0x00007000u)
#define CSL_INTC_INTPRI3_INT27_SHIFT     (0x0000000Cu)
#define CSL_INTC_INTPRI3_INT27_RESETVAL  (0x00000007u)

#define CSL_INTC_INTPRI3_INT26_MASK      (0x00000700u)
#define CSL_INTC_INTPRI3_INT26_SHIFT     (0x00000008u)
#define CSL_INTC_INTPRI3_INT26_RESETVAL  (0x00000007u)

#define CSL_INTC_INTPRI3_INT25_MASK      (0x00000070u)
#define CSL_INTC_INTPRI3_INT25_SHIFT     (0x00000004u)
#define CSL_INTC_INTPRI3_INT25_RESETVAL  (0x00000007u)

#define CSL_INTC_INTPRI3_INT24_MASK      (0x00000007u)
#define CSL_INTC_INTPRI3_INT24_SHIFT     (0x00000000u)
#define CSL_INTC_INTPRI3_INT24_RESETVAL  (0x00000007u)

#define CSL_INTC_INTPRI3_RESETVAL        (0x77777777u)

/* INTPRI4 */

#define CSL_INTC_INTPRI4_INT39_MASK      (0x70000000u)
#define CSL_INTC_INTPRI4_INT39_SHIFT     (0x0000001Cu)
#define CSL_INTC_INTPRI4_INT39_RESETVAL  (0x00000007u)

#define CSL_INTC_INTPRI4_INT38_MASK      (0x07000000u)
#define CSL_INTC_INTPRI4_INT38_SHIFT     (0x00000018u)
#define CSL_INTC_INTPRI4_INT38_RESETVAL  (0x00000007u)

#define CSL_INTC_INTPRI4_INT37_MASK      (0x00700000u)
#define CSL_INTC_INTPRI4_INT37_SHIFT     (0x00000014u)
#define CSL_INTC_INTPRI4_INT37_RESETVAL  (0x00000007u)

#define CSL_INTC_INTPRI4_INT36_MASK      (0x00070000u)
#define CSL_INTC_INTPRI4_INT36_SHIFT     (0x00000010u)
#define CSL_INTC_INTPRI4_INT36_RESETVAL  (0x00000007u)

#define CSL_INTC_INTPRI4_INT35_MASK      (0x00007000u)
#define CSL_INTC_INTPRI4_INT35_SHIFT     (0x0000000Cu)
#define CSL_INTC_INTPRI4_INT35_RESETVAL  (0x00000007u)

#define CSL_INTC_INTPRI4_INT34_MASK      (0x00000700u)
#define CSL_INTC_INTPRI4_INT34_SHIFT     (0x00000008u)
#define CSL_INTC_INTPRI4_INT34_RESETVAL  (0x00000007u)

#define CSL_INTC_INTPRI4_INT33_MASK      (0x00000070u)
#define CSL_INTC_INTPRI4_INT33_SHIFT     (0x00000004u)
#define CSL_INTC_INTPRI4_INT33_RESETVAL  (0x00000007u)

#define CSL_INTC_INTPRI4_INT32_MASK      (0x00000007u)
#define CSL_INTC_INTPRI4_INT32_SHIFT     (0x00000000u)
#define CSL_INTC_INTPRI4_INT32_RESETVAL  (0x00000007u)

#define CSL_INTC_INTPRI4_RESETVAL        (0x77777777u)

/* INTPRI5 */

#define CSL_INTC_INTPRI5_INT47_MASK      (0x70000000u)
#define CSL_INTC_INTPRI5_INT47_SHIFT     (0x0000001Cu)
#define CSL_INTC_INTPRI5_INT47_RESETVAL  (0x00000007u)

#define CSL_INTC_INTPRI5_INT46_MASK      (0x07000000u)
#define CSL_INTC_INTPRI5_INT46_SHIFT     (0x00000018u)
#define CSL_INTC_INTPRI5_INT46_RESETVAL  (0x00000007u)

#define CSL_INTC_INTPRI5_INT45_MASK      (0x00700000u)
#define CSL_INTC_INTPRI5_INT45_SHIFT     (0x00000014u)
#define CSL_INTC_INTPRI5_INT45_RESETVAL  (0x00000007u)

#define CSL_INTC_INTPRI5_INT44_MASK      (0x00070000u)
#define CSL_INTC_INTPRI5_INT44_SHIFT     (0x00000010u)
#define CSL_INTC_INTPRI5_INT44_RESETVAL  (0x00000007u)

#define CSL_INTC_INTPRI5_INT43_MASK      (0x00007000u)
#define CSL_INTC_INTPRI5_INT43_SHIFT     (0x0000000Cu)
#define CSL_INTC_INTPRI5_INT43_RESETVAL  (0x00000007u)

#define CSL_INTC_INTPRI5_INT42_MASK      (0x00000700u)
#define CSL_INTC_INTPRI5_INT42_SHIFT     (0x00000008u)
#define CSL_INTC_INTPRI5_INT42_RESETVAL  (0x00000007u)

#define CSL_INTC_INTPRI5_INT41_MASK      (0x00000070u)
#define CSL_INTC_INTPRI5_INT41_SHIFT     (0x00000004u)
#define CSL_INTC_INTPRI5_INT41_RESETVAL  (0x00000007u)

#define CSL_INTC_INTPRI5_INT40_MASK      (0x00000007u)
#define CSL_INTC_INTPRI5_INT40_SHIFT     (0x00000000u)
#define CSL_INTC_INTPRI5_INT40_RESETVAL  (0x00000007u)

#define CSL_INTC_INTPRI5_RESETVAL        (0x77777777u)

/* INTPRI6 */

#define CSL_INTC_INTPRI6_INT55_MASK      (0x70000000u)
#define CSL_INTC_INTPRI6_INT55_SHIFT     (0x0000001Cu)
#define CSL_INTC_INTPRI6_INT55_RESETVAL  (0x00000007u)

#define CSL_INTC_INTPRI6_INT54_MASK      (0x07000000u)
#define CSL_INTC_INTPRI6_INT54_SHIFT     (0x00000018u)
#define CSL_INTC_INTPRI6_INT54_RESETVAL  (0x00000007u)

#define CSL_INTC_INTPRI6_INT53_MASK      (0x00700000u)
#define CSL_INTC_INTPRI6_INT53_SHIFT     (0x00000014u)
#define CSL_INTC_INTPRI6_INT53_RESETVAL  (0x00000007u)

#define CSL_INTC_INTPRI6_INT52_MASK      (0x00070000u)
#define CSL_INTC_INTPRI6_INT52_SHIFT     (0x00000010u)
#define CSL_INTC_INTPRI6_INT52_RESETVAL  (0x00000007u)

#define CSL_INTC_INTPRI6_INT51_MASK      (0x00007000u)
#define CSL_INTC_INTPRI6_INT51_SHIFT     (0x0000000Cu)
#define CSL_INTC_INTPRI6_INT51_RESETVAL  (0x00000007u)

#define CSL_INTC_INTPRI6_INT50_MASK      (0x00000700u)
#define CSL_INTC_INTPRI6_INT50_SHIFT     (0x00000008u)
#define CSL_INTC_INTPRI6_INT50_RESETVAL  (0x00000007u)

#define CSL_INTC_INTPRI6_INT49_MASK      (0x00000070u)
#define CSL_INTC_INTPRI6_INT49_SHIFT     (0x00000004u)
#define CSL_INTC_INTPRI6_INT49_RESETVAL  (0x00000007u)

#define CSL_INTC_INTPRI6_INT48_MASK      (0x00000007u)
#define CSL_INTC_INTPRI6_INT48_SHIFT     (0x00000000u)
#define CSL_INTC_INTPRI6_INT48_RESETVAL  (0x00000007u)

#define CSL_INTC_INTPRI6_RESETVAL        (0x77777777u)

/* INTPRI7 */

#define CSL_INTC_INTPRI7_INT63_MASK      (0x70000000u)
#define CSL_INTC_INTPRI7_INT63_SHIFT     (0x0000001Cu)
#define CSL_INTC_INTPRI7_INT63_RESETVAL  (0x00000007u)

#define CSL_INTC_INTPRI7_INT62_MASK      (0x07000000u)
#define CSL_INTC_INTPRI7_INT62_SHIFT     (0x00000018u)
#define CSL_INTC_INTPRI7_INT62_RESETVAL  (0x00000007u)

#define CSL_INTC_INTPRI7_INT61_MASK      (0x00700000u)
#define CSL_INTC_INTPRI7_INT61_SHIFT     (0x00000014u)
#define CSL_INTC_INTPRI7_INT61_RESETVAL  (0x00000007u)

#define CSL_INTC_INTPRI7_INT60_MASK      (0x00070000u)
#define CSL_INTC_INTPRI7_INT60_SHIFT     (0x00000010u)
#define CSL_INTC_INTPRI7_INT60_RESETVAL  (0x00000007u)

#define CSL_INTC_INTPRI7_INT59_MASK      (0x00007000u)
#define CSL_INTC_INTPRI7_INT59_SHIFT     (0x0000000Cu)
#define CSL_INTC_INTPRI7_INT59_RESETVAL  (0x00000007u)

#define CSL_INTC_INTPRI7_INT58_MASK      (0x00000700u)
#define CSL_INTC_INTPRI7_INT58_SHIFT     (0x00000008u)
#define CSL_INTC_INTPRI7_INT58_RESETVAL  (0x00000007u)

#define CSL_INTC_INTPRI7_INT57_MASK      (0x00000070u)
#define CSL_INTC_INTPRI7_INT57_SHIFT     (0x00000004u)
#define CSL_INTC_INTPRI7_INT57_RESETVAL  (0x00000007u)

#define CSL_INTC_INTPRI7_INT56_MASK      (0x00000007u)
#define CSL_INTC_INTPRI7_INT56_SHIFT     (0x00000000u)
#define CSL_INTC_INTPRI7_INT56_RESETVAL  (0x00000007u)

#define CSL_INTC_INTPRI7_RESETVAL        (0x77777777u)

#endif
