/******************************************************************************/
/*            TEXAS INSTRUMENTS INCORPORATED PROPRIETARY INFORMATION          */ 
/*   Created 2005, (C) Copyright 2005 Texas Instruments.  All rights reserved.*/ 
/*																			  */
/* 	FILE	: cslr_tmr_001.h 				                          		  */
/*  PROJECT	: DaVinci ROM boot-loader 		                                  */
/*  AUTHOR	: Vignesh LA					                                  */
/*  DATE	: April-25-2005                                                   */
/******************************************************************************/
#ifndef _CSLR_TMR_1_H_
#define _CSLR_TMR_1_H_

#include <tistdtypes.h>

/**************************************************************************\
* Register Overlay Structure
\**************************************************************************/
typedef struct  {
    volatile Uint32 PID12;
    volatile Uint32 EMUMGT_CLKSPD;
    volatile Uint32 GPINT_GPEN;
    volatile Uint32 GPTDAT_GPDIR;
    volatile Uint32 TIM12;
    volatile Uint32 TIM34;
    volatile Uint32 PRD12;
    volatile Uint32 PRD34;
    volatile Uint32 TCR;
    volatile Uint32 TGCR;
    volatile Uint32 WDTCR;
} CSL_TmrRegs;

/**************************************************************************\
* Field Definition Macros
\**************************************************************************/

/* PID12 */

#define CSL_TMR_PID12_TYPE_MASK          (0x007F0000u)
#define CSL_TMR_PID12_TYPE_SHIFT         (0x00000010u)
#define CSL_TMR_PID12_TYPE_RESETVAL      (0x00000001u)

#define CSL_TMR_PID12_CLASS_MASK         (0x0000FF00u)
#define CSL_TMR_PID12_CLASS_SHIFT        (0x00000008u)
#define CSL_TMR_PID12_CLASS_RESETVAL     (0x00000007u)

#define CSL_TMR_PID12_REVISION_MASK      (0x000000FFu)
#define CSL_TMR_PID12_REVISION_SHIFT     (0x00000000u)
#define CSL_TMR_PID12_REVISION_RESETVAL  (0x00000001u)

#define CSL_TMR_PID12_RESETVAL           (0x00010701u)

/* EMUMGT_CLKSPD */

#define CSL_TMR_EMUMGT_CLKSPD_CLKDIV_MASK (0x000F0000u)
#define CSL_TMR_EMUMGT_CLKSPD_CLKDIV_SHIFT (0x00000010u)
#define CSL_TMR_EMUMGT_CLKSPD_CLKDIV_RESETVAL (0x00000000u)

#define CSL_TMR_EMUMGT_CLKSPD_SOFT_MASK  (0x00000002u)
#define CSL_TMR_EMUMGT_CLKSPD_SOFT_SHIFT (0x00000001u)
#define CSL_TMR_EMUMGT_CLKSPD_SOFT_RESETVAL (0x00000000u)

/*----SOFT Tokens----*/
#define CSL_TMR_EMUMGT_CLKSPD_SOFT_OFF   (0x00000000u)
#define CSL_TMR_EMUMGT_CLKSPD_SOFT_ON    (0x00000001u)

#define CSL_TMR_EMUMGT_CLKSPD_FREE_MASK  (0x00000001u)
#define CSL_TMR_EMUMGT_CLKSPD_FREE_SHIFT (0x00000000u)
#define CSL_TMR_EMUMGT_CLKSPD_FREE_RESETVAL (0x00000000u)

/*----FREE Tokens----*/
#define CSL_TMR_EMUMGT_CLKSPD_FREE_ON    (0x00000000u)
#define CSL_TMR_EMUMGT_CLKSPD_FREE_OFF   (0x00000001u)

#define CSL_TMR_EMUMGT_CLKSPD_RESETVAL   (0x00000000u)

/* GPINT_GPEN */

#define CSL_TMR_GPINT_GPEN_GPIO_ENO34_MASK (0x02000000u)
#define CSL_TMR_GPINT_GPEN_GPIO_ENO34_SHIFT (0x00000019u)
#define CSL_TMR_GPINT_GPEN_GPIO_ENO34_RESETVAL (0x00000000u)

/*----GPIO_ENO34 Tokens----*/
#define CSL_TMR_GPINT_GPEN_GPIO_ENO34_TIMER_OUTPUT (0x00000000u)
#define CSL_TMR_GPINT_GPEN_GPIO_ENO34_GPIO_PIN (0x00000001u)

#define CSL_TMR_GPINT_GPEN_GPIO_ENI34_MASK (0x01000000u)
#define CSL_TMR_GPINT_GPEN_GPIO_ENI34_SHIFT (0x00000018u)
#define CSL_TMR_GPINT_GPEN_GPIO_ENI34_RESETVAL (0x00000000u)

/*----GPIO_ENI34 Tokens----*/
#define CSL_TMR_GPINT_GPEN_GPIO_ENI34_TIMER_INPUT (0x00000000u)
#define CSL_TMR_GPINT_GPEN_GPIO_ENI34_GPIO_PIN (0x00000001u)

#define CSL_TMR_GPINT_GPEN_GPIO_ENO12_MASK (0x00020000u)
#define CSL_TMR_GPINT_GPEN_GPIO_ENO12_SHIFT (0x00000011u)
#define CSL_TMR_GPINT_GPEN_GPIO_ENO12_RESETVAL (0x00000000u)

/*----GPIO_ENO12 Tokens----*/
#define CSL_TMR_GPINT_GPEN_GPIO_ENO12_TIMER_OUTPUT (0x00000000u)
#define CSL_TMR_GPINT_GPEN_GPIO_ENO12_GPIO_PIN (0x00000001u)

#define CSL_TMR_GPINT_GPEN_GPIO_ENI12_MASK (0x00010000u)
#define CSL_TMR_GPINT_GPEN_GPIO_ENI12_SHIFT (0x00000010u)
#define CSL_TMR_GPINT_GPEN_GPIO_ENI12_RESETVAL (0x00000000u)

/*----GPIO_ENI12 Tokens----*/
#define CSL_TMR_GPINT_GPEN_GPIO_ENI12_TIMER_INPUT (0x00000000u)
#define CSL_TMR_GPINT_GPEN_GPIO_ENI12_GPIO_PIN (0x00000001u)

#define CSL_TMR_GPINT_GPEN_GPINT34_INVO_MASK (0x00002000u)
#define CSL_TMR_GPINT_GPEN_GPINT34_INVO_SHIFT (0x0000000Du)
#define CSL_TMR_GPINT_GPEN_GPINT34_INVO_RESETVAL (0x00000000u)

/*----GPINT34_INVO Tokens----*/
#define CSL_TMR_GPINT_GPEN_GPINT34_INVO_DISABLE (0x00000000u)
#define CSL_TMR_GPINT_GPEN_GPINT34_INVO_ENABLE (0x00000001u)

#define CSL_TMR_GPINT_GPEN_GPINT34_INVI_MASK (0x00001000u)
#define CSL_TMR_GPINT_GPEN_GPINT34_INVI_SHIFT (0x0000000Cu)
#define CSL_TMR_GPINT_GPEN_GPINT34_INVI_RESETVAL (0x00000000u)

/*----GPINT34_INVI Tokens----*/
#define CSL_TMR_GPINT_GPEN_GPINT34_INVI_DISABLE (0x00000000u)
#define CSL_TMR_GPINT_GPEN_GPINT34_INVI_ENABLE (0x00000001u)

#define CSL_TMR_GPINT_GPEN_GPINT34_ENO_MASK (0x00000200u)
#define CSL_TMR_GPINT_GPEN_GPINT34_ENO_SHIFT (0x00000009u)
#define CSL_TMR_GPINT_GPEN_GPINT34_ENO_RESETVAL (0x00000000u)

/*----GPINT34_ENO Tokens----*/
#define CSL_TMR_GPINT_GPEN_GPINT34_ENO_DISABLE (0x00000000u)
#define CSL_TMR_GPINT_GPEN_GPINT34_ENO_ENABLE (0x00000001u)

#define CSL_TMR_GPINT_GPEN_GPINT34_ENI_MASK (0x00000100u)
#define CSL_TMR_GPINT_GPEN_GPINT34_ENI_SHIFT (0x00000008u)
#define CSL_TMR_GPINT_GPEN_GPINT34_ENI_RESETVAL (0x00000000u)

/*----GPINT34_ENI Tokens----*/
#define CSL_TMR_GPINT_GPEN_GPINT34_ENI_DISABLE (0x00000000u)
#define CSL_TMR_GPINT_GPEN_GPINT34_ENI_ENABLE (0x00000001u)

#define CSL_TMR_GPINT_GPEN_GPINT12_INVO_MASK (0x00000020u)
#define CSL_TMR_GPINT_GPEN_GPINT12_INVO_SHIFT (0x00000005u)
#define CSL_TMR_GPINT_GPEN_GPINT12_INVO_RESETVAL (0x00000000u)

/*----GPINT12_INVO Tokens----*/
#define CSL_TMR_GPINT_GPEN_GPINT12_INVO_DISABLE (0x00000000u)
#define CSL_TMR_GPINT_GPEN_GPINT12_INVO_ENABLE (0x00000001u)

#define CSL_TMR_GPINT_GPEN_GPINT12_INVI_MASK (0x00000010u)
#define CSL_TMR_GPINT_GPEN_GPINT12_INVI_SHIFT (0x00000004u)
#define CSL_TMR_GPINT_GPEN_GPINT12_INVI_RESETVAL (0x00000000u)

/*----GPINT12_INVI Tokens----*/
#define CSL_TMR_GPINT_GPEN_GPINT12_INVI_DISABLE (0x00000000u)
#define CSL_TMR_GPINT_GPEN_GPINT12_INVI_ENABLE (0x00000001u)

#define CSL_TMR_GPINT_GPEN_GPINT12_ENO_MASK (0x00000002u)
#define CSL_TMR_GPINT_GPEN_GPINT12_ENO_SHIFT (0x00000001u)
#define CSL_TMR_GPINT_GPEN_GPINT12_ENO_RESETVAL (0x00000000u)

/*----GPINT12_ENO Tokens----*/
#define CSL_TMR_GPINT_GPEN_GPINT12_ENO_DISABLE (0x00000000u)
#define CSL_TMR_GPINT_GPEN_GPINT12_ENO_ENABLE (0x00000001u)

#define CSL_TMR_GPINT_GPEN_GPINT12_ENI_MASK (0x00000001u)
#define CSL_TMR_GPINT_GPEN_GPINT12_ENI_SHIFT (0x00000000u)
#define CSL_TMR_GPINT_GPEN_GPINT12_ENI_RESETVAL (0x00000000u)

/*----GPINT12_ENI Tokens----*/
#define CSL_TMR_GPINT_GPEN_GPINT12_ENI_DISABLE (0x00000000u)
#define CSL_TMR_GPINT_GPEN_GPINT12_ENI_ENABLE (0x00000001u)

#define CSL_TMR_GPINT_GPEN_RESETVAL      (0x00000000u)

/* GPTDAT_GPDIR */

#define CSL_TMR_GPTDAT_GPDIR_GPIO_DIRO34_MASK (0x02000000u)
#define CSL_TMR_GPTDAT_GPDIR_GPIO_DIRO34_SHIFT (0x00000019u)
#define CSL_TMR_GPTDAT_GPDIR_GPIO_DIRO34_RESETVAL (0x00000000u)

/*----GPIO_DIRO34 Tokens----*/
#define CSL_TMR_GPTDAT_GPDIR_GPIO_DIRO34_TIMER_OUTPUT (0x00000000u)
#define CSL_TMR_GPTDAT_GPDIR_GPIO_DIRO34_GPIO_PIN (0x00000001u)

#define CSL_TMR_GPTDAT_GPDIR_GPIO_DIRI34_MASK (0x01000000u)
#define CSL_TMR_GPTDAT_GPDIR_GPIO_DIRI34_SHIFT (0x00000018u)
#define CSL_TMR_GPTDAT_GPDIR_GPIO_DIRI34_RESETVAL (0x00000000u)

/*----GPIO_DIRI34 Tokens----*/
#define CSL_TMR_GPTDAT_GPDIR_GPIO_DIRI34_TIMER_INPUT (0x00000000u)
#define CSL_TMR_GPTDAT_GPDIR_GPIO_DIRI34_GPIO_PIN (0x00000001u)

#define CSL_TMR_GPTDAT_GPDIR_GPIO_DIRO12_MASK (0x00020000u)
#define CSL_TMR_GPTDAT_GPDIR_GPIO_DIRO12_SHIFT (0x00000011u)
#define CSL_TMR_GPTDAT_GPDIR_GPIO_DIRO12_RESETVAL (0x00000000u)

/*----GPIO_DIRO12 Tokens----*/
#define CSL_TMR_GPTDAT_GPDIR_GPIO_DIRO12_TIMER_OUTPUT (0x00000000u)
#define CSL_TMR_GPTDAT_GPDIR_GPIO_DIRO12_GPIO_PIN (0x00000001u)

#define CSL_TMR_GPTDAT_GPDIR_GPIO_DIRI12_MASK (0x00010000u)
#define CSL_TMR_GPTDAT_GPDIR_GPIO_DIRI12_SHIFT (0x00000010u)
#define CSL_TMR_GPTDAT_GPDIR_GPIO_DIRI12_RESETVAL (0x00000000u)

/*----GPIO_DIRI12 Tokens----*/
#define CSL_TMR_GPTDAT_GPDIR_GPIO_DIRI12_TIMER_INPUT (0x00000000u)
#define CSL_TMR_GPTDAT_GPDIR_GPIO_DIRI12_GPIO_PIN (0x00000001u)

#define CSL_TMR_GPTDAT_GPDIR_GPIO_DATO34_MASK (0x00000200u)
#define CSL_TMR_GPTDAT_GPDIR_GPIO_DATO34_SHIFT (0x00000009u)
#define CSL_TMR_GPTDAT_GPDIR_GPIO_DATO34_RESETVAL (0x00000000u)

/*----GPIO_DATO34 Tokens----*/
#define CSL_TMR_GPTDAT_GPDIR_GPIO_DATO34_DISABLE (0x00000000u)
#define CSL_TMR_GPTDAT_GPDIR_GPIO_DATO34_ENABLE (0x00000001u)

#define CSL_TMR_GPTDAT_GPDIR_GPIO_DATI34_MASK (0x00000100u)
#define CSL_TMR_GPTDAT_GPDIR_GPIO_DATI34_SHIFT (0x00000008u)
#define CSL_TMR_GPTDAT_GPDIR_GPIO_DATI34_RESETVAL (0x00000000u)

/*----GPIO_DATI34 Tokens----*/
#define CSL_TMR_GPTDAT_GPDIR_GPIO_DATI34_DISABLE (0x00000000u)
#define CSL_TMR_GPTDAT_GPDIR_GPIO_DATI34_ENABLE (0x00000001u)

#define CSL_TMR_GPTDAT_GPDIR_GPIO_DATO12_MASK (0x00000002u)
#define CSL_TMR_GPTDAT_GPDIR_GPIO_DATO12_SHIFT (0x00000001u)
#define CSL_TMR_GPTDAT_GPDIR_GPIO_DATO12_RESETVAL (0x00000000u)

/*----GPIO_DATO12 Tokens----*/
#define CSL_TMR_GPTDAT_GPDIR_GPIO_DATO12_DISABLE (0x00000000u)
#define CSL_TMR_GPTDAT_GPDIR_GPIO_DATO12_ENABLE (0x00000001u)

#define CSL_TMR_GPTDAT_GPDIR_GPIO_DATI12_MASK (0x00000001u)
#define CSL_TMR_GPTDAT_GPDIR_GPIO_DATI12_SHIFT (0x00000000u)
#define CSL_TMR_GPTDAT_GPDIR_GPIO_DATI12_RESETVAL (0x00000000u)

/*----GPIO_DATI12 Tokens----*/
#define CSL_TMR_GPTDAT_GPDIR_GPIO_DATI12_DISABLE (0x00000000u)
#define CSL_TMR_GPTDAT_GPDIR_GPIO_DATI12_ENABLE (0x00000001u)

#define CSL_TMR_GPTDAT_GPDIR_RESETVAL    (0x00000000u)

/* TIM12 */

#define CSL_TMR_TIM12_CNT12_MASK         (0xFFFFFFFFu)
#define CSL_TMR_TIM12_CNT12_SHIFT        (0x00000000u)
#define CSL_TMR_TIM12_CNT12_RESETVAL     (0x00000000u)

#define CSL_TMR_TIM12_RESETVAL           (0x00000000u)

/* TIM34 */

#define CSL_TMR_TIM34_CNT34_MASK         (0xFFFFFFFFu)
#define CSL_TMR_TIM34_CNT34_SHIFT        (0x00000000u)
#define CSL_TMR_TIM34_CNT34_RESETVAL     (0x00000000u)

#define CSL_TMR_TIM34_RESETVAL           (0x00000000u)

/* PRD12 */

#define CSL_TMR_PRD12_PRD12_MASK         (0xFFFFFFFFu)
#define CSL_TMR_PRD12_PRD12_SHIFT        (0x00000000u)
#define CSL_TMR_PRD12_PRD12_RESETVAL     (0x00000000u)

#define CSL_TMR_PRD12_RESETVAL           (0x00000000u)

/* PRD34 */

#define CSL_TMR_PRD34_PRD34_MASK         (0xFFFFFFFFu)
#define CSL_TMR_PRD34_PRD34_SHIFT        (0x00000000u)
#define CSL_TMR_PRD34_PRD34_RESETVAL     (0x00000000u)

#define CSL_TMR_PRD34_RESETVAL           (0x00000000u)

/* TCR */

#define CSL_TMR_TCR_TIEN34_MASK          (0x02000000u)
#define CSL_TMR_TCR_TIEN34_SHIFT         (0x00000019u)
#define CSL_TMR_TCR_TIEN34_RESETVAL      (0x00000000u)

/*----TIEN34 Tokens----*/
#define CSL_TMR_TCR_TIEN34_NOT_GATED     (0x00000000u)
#define CSL_TMR_TCR_TIEN34_GATED_BY_TINP (0x00000001u)

#define CSL_TMR_TCR_CLKSRC34_MASK        (0x01000000u)
#define CSL_TMR_TCR_CLKSRC34_SHIFT       (0x00000018u)
#define CSL_TMR_TCR_CLKSRC34_RESETVAL    (0x00000000u)

/*----CLKSRC34 Tokens----*/
#define CSL_TMR_TCR_CLKSRC34_VBUS        (0x00000000u)
#define CSL_TMR_TCR_CLKSRC34_INPUT_PIN   (0x00000001u)

#define CSL_TMR_TCR_ENAMODE34_MASK       (0x00C00000u)
#define CSL_TMR_TCR_ENAMODE34_SHIFT      (0x00000016u)
#define CSL_TMR_TCR_ENAMODE34_RESETVAL   (0x00000000u)

/*----ENAMODE34 Tokens----*/
#define CSL_TMR_TCR_ENAMODE34_DISABLED   (0x00000000u)
#define CSL_TMR_TCR_ENAMODE34_ONCE       (0x00000001u)
#define CSL_TMR_TCR_ENAMODE34_CONTINUOUS (0x0000000Au)

#define CSL_TMR_TCR_PWID34_MASK          (0x00300000u)
#define CSL_TMR_TCR_PWID34_SHIFT         (0x00000014u)
#define CSL_TMR_TCR_PWID34_RESETVAL      (0x00000000u)

/*----PWID34 Tokens----*/
#define CSL_TMR_TCR_PWID34_INACTIVE_1CYCLE (0x00000000u)
#define CSL_TMR_TCR_PWID34_INACTIVE_2CYCLES (0x00000001u)
#define CSL_TMR_TCR_PWID34_INACTIVE_3CYCLES (0x0000000Au)
#define CSL_TMR_TCR_PWID34_INACTIVE_4CYCLES (0x0000000Bu)

#define CSL_TMR_TCR_CP34_MASK            (0x00080000u)
#define CSL_TMR_TCR_CP34_SHIFT           (0x00000013u)
#define CSL_TMR_TCR_CP34_RESETVAL        (0x00000000u)

/*----CP34 Tokens----*/
#define CSL_TMR_TCR_CP34_PULSE_MODE      (0x00000000u)
#define CSL_TMR_TCR_CP34_CLOCK_MODE      (0x00000001u)

#define CSL_TMR_TCR_INVINP34_MASK        (0x00040000u)
#define CSL_TMR_TCR_INVINP34_SHIFT       (0x00000012u)
#define CSL_TMR_TCR_INVINP34_RESETVAL    (0x00000000u)

/*----INVINP34 Tokens----*/
#define CSL_TMR_TCR_INVINP34_DONT_INVERT_OUTPUT (0x00000000u)
#define CSL_TMR_TCR_INVINP34_INVERT_OUTPUT (0x00000001u)

#define CSL_TMR_TCR_INVOUTP34_MASK       (0x00020000u)
#define CSL_TMR_TCR_INVOUTP34_SHIFT      (0x00000011u)
#define CSL_TMR_TCR_INVOUTP34_RESETVAL   (0x00000000u)

/*----INVOUTP34 Tokens----*/
#define CSL_TMR_TCR_INVOUTP34_DONT_INVERT_OUTPUT (0x00000000u)
#define CSL_TMR_TCR_INVOUTP34_INVERT_OUTPUT (0x00000001u)

#define CSL_TMR_TCR_TSTAT34_MASK         (0x00010000u)
#define CSL_TMR_TCR_TSTAT34_SHIFT        (0x00000010u)
#define CSL_TMR_TCR_TSTAT34_RESETVAL     (0x00000000u)

/*----TSTAT34 Tokens----*/
#define CSL_TMR_TCR_TSTAT34_LOW          (0x00000000u)
#define CSL_TMR_TCR_TSTAT34_HIGH         (0x00000001u)

#define CSL_TMR_TCR_TIEN12_MASK          (0x00000200u)
#define CSL_TMR_TCR_TIEN12_SHIFT         (0x00000009u)
#define CSL_TMR_TCR_TIEN12_RESETVAL      (0x00000000u)

/*----TIEN12 Tokens----*/
#define CSL_TMR_TCR_TIEN12_NOT_GATED     (0x00000000u)
#define CSL_TMR_TCR_TIEN12_GATED_BY_TINP (0x00000001u)

#define CSL_TMR_TCR_CLKSRC12_MASK        (0x00000100u)
#define CSL_TMR_TCR_CLKSRC12_SHIFT       (0x00000008u)
#define CSL_TMR_TCR_CLKSRC12_RESETVAL    (0x00000000u)

/*----CLKSRC12 Tokens----*/
#define CSL_TMR_TCR_CLKSRC12_VBUS        (0x00000000u)
#define CSL_TMR_TCR_CLKSRC12_INPUT_PIN   (0x00000001u)

#define CSL_TMR_TCR_ENAMODE12_MASK       (0x000000C0u)
#define CSL_TMR_TCR_ENAMODE12_SHIFT      (0x00000006u)
#define CSL_TMR_TCR_ENAMODE12_RESETVAL   (0x00000000u)

/*----ENAMODE12 Tokens----*/
#define CSL_TMR_TCR_ENAMODE12_DISABLED   (0x00000000u)
#define CSL_TMR_TCR_ENAMODE12_ONCE       (0x00000001u)
#define CSL_TMR_TCR_ENAMODE12_CONTINUOUS (0x0000000Au)

#define CSL_TMR_TCR_PWID12_MASK          (0x00000030u)
#define CSL_TMR_TCR_PWID12_SHIFT         (0x00000004u)
#define CSL_TMR_TCR_PWID12_RESETVAL      (0x00000000u)

/*----PWID12 Tokens----*/
#define CSL_TMR_TCR_PWID12_INACTIVE_1CYCLE (0x00000000u)
#define CSL_TMR_TCR_PWID12_INACTIVE_2CYCLES (0x00000001u)
#define CSL_TMR_TCR_PWID12_INACTIVE_3CYCLES (0x0000000Au)
#define CSL_TMR_TCR_PWID12_INACTIVE_4CYCLES (0x0000000Bu)

#define CSL_TMR_TCR_CP12_MASK            (0x00000008u)
#define CSL_TMR_TCR_CP12_SHIFT           (0x00000003u)
#define CSL_TMR_TCR_CP12_RESETVAL        (0x00000000u)

/*----CP12 Tokens----*/
#define CSL_TMR_TCR_CP12_PULSE_MODE      (0x00000000u)
#define CSL_TMR_TCR_CP12_CLOCK_MODE      (0x00000001u)

#define CSL_TMR_TCR_INVINP12_MASK        (0x00000004u)
#define CSL_TMR_TCR_INVINP12_SHIFT       (0x00000002u)
#define CSL_TMR_TCR_INVINP12_RESETVAL    (0x00000000u)

/*----INVINP12 Tokens----*/
#define CSL_TMR_TCR_INVINP12_DONT_INVERT_OUTPUT (0x00000000u)
#define CSL_TMR_TCR_INVINP12_INVERT_OUTPUT (0x00000001u)

#define CSL_TMR_TCR_INVOUTP12_MASK       (0x00000002u)
#define CSL_TMR_TCR_INVOUTP12_SHIFT      (0x00000001u)
#define CSL_TMR_TCR_INVOUTP12_RESETVAL   (0x00000000u)

/*----INVOUTP12 Tokens----*/
#define CSL_TMR_TCR_INVOUTP12_DONT_INVERT_OUTPUT (0x00000000u)
#define CSL_TMR_TCR_INVOUTP12_INVERT_OUTPUT (0x00000001u)

#define CSL_TMR_TCR_TSTAT12_MASK         (0x00000001u)
#define CSL_TMR_TCR_TSTAT12_SHIFT        (0x00000000u)
#define CSL_TMR_TCR_TSTAT12_RESETVAL     (0x00000000u)

/*----TSTAT12 Tokens----*/
#define CSL_TMR_TCR_TSTAT12_LOW          (0x00000000u)
#define CSL_TMR_TCR_TSTAT12_HIGH         (0x00000001u)

#define CSL_TMR_TCR_RESETVAL             (0x00000000u)

/* TGCR */

#define CSL_TMR_TGCR_TDDR34_MASK         (0x0000F000u)
#define CSL_TMR_TGCR_TDDR34_SHIFT        (0x0000000Cu)
#define CSL_TMR_TGCR_TDDR34_RESETVAL     (0x00000000u)

#define CSL_TMR_TGCR_PSC34_MASK          (0x00000F00u)
#define CSL_TMR_TGCR_PSC34_SHIFT         (0x00000008u)
#define CSL_TMR_TGCR_PSC34_RESETVAL      (0x00000000u)

#define CSL_TMR_TGCR_TIMMODE_MASK        (0x0000000Cu)
#define CSL_TMR_TGCR_TIMMODE_SHIFT       (0x00000002u)
#define CSL_TMR_TGCR_TIMMODE_RESETVAL    (0x00000000u)

/*----TIMMODE Tokens----*/
#define CSL_TMR_TGCR_TIMMODE_64BIT_GPTIM (0x00000000u)
#define CSL_TMR_TGCR_TIMMODE_32BIT_DUAL  (0x00000001u)
#define CSL_TMR_TGCR_TIMMODE_64BIT_WDTIM (0x0000000Au)
#define CSL_TMR_TGCR_TIMMODE_32BIT_CHAINED (0x0000000Bu)

#define CSL_TMR_TGCR_TIM34RS_MASK        (0x00000002u)
#define CSL_TMR_TGCR_TIM34RS_SHIFT       (0x00000001u)
#define CSL_TMR_TGCR_TIM34RS_RESETVAL    (0x00000000u)

/*----TIM34RS Tokens----*/
#define CSL_TMR_TGCR_TIM34RS_IN_RESET    (0x00000000u)
#define CSL_TMR_TGCR_TIM34RS_NOT_IN_RESET (0x00000001u)

#define CSL_TMR_TGCR_TIM12RS_MASK        (0x00000001u)
#define CSL_TMR_TGCR_TIM12RS_SHIFT       (0x00000000u)
#define CSL_TMR_TGCR_TIM12RS_RESETVAL    (0x00000000u)

/*----TIM12RS Tokens----*/
#define CSL_TMR_TGCR_TIM12RS_IN_RESET    (0x00000000u)
#define CSL_TMR_TGCR_TIM12RS_NOT_IN_RESET (0x00000001u)

#define CSL_TMR_TGCR_RESETVAL            (0x00000000u)

/* WDTCR */

#define CSL_TMR_WDTCR_WDKEY_MASK         (0xFFFF0000u)
#define CSL_TMR_WDTCR_WDKEY_SHIFT        (0x00000010u)
#define CSL_TMR_WDTCR_WDKEY_RESETVAL     (0x00000000u)

/*----WDKEY Tokens----*/
#define CSL_TMR_WDTCR_WDKEY_PREACTIVE    (0x0000A5C6u)
#define CSL_TMR_WDTCR_WDKEY_ACTIVE       (0x0000DA7Eu)

#define CSL_TMR_WDTCR_WDFLAG_MASK        (0x00008000u)
#define CSL_TMR_WDTCR_WDFLAG_SHIFT       (0x0000000Fu)
#define CSL_TMR_WDTCR_WDFLAG_RESETVAL    (0x00000000u)

/*----WDFLAG Tokens----*/
#define CSL_TMR_WDTCR_WDFLAG_TIMEOUT     (0x00000000u)
#define CSL_TMR_WDTCR_WDFLAG_NOTIMEOUT   (0x00000001u)

#define CSL_TMR_WDTCR_WDEN_MASK          (0x00004000u)
#define CSL_TMR_WDTCR_WDEN_SHIFT         (0x0000000Eu)
#define CSL_TMR_WDTCR_WDEN_RESETVAL      (0x00000000u)

/*----WDEN Tokens----*/
#define CSL_TMR_WDTCR_WDEN_DISABLE       (0x00000000u)
#define CSL_TMR_WDTCR_WDEN_ENABLE        (0x00000001u)

#define CSL_TMR_WDTCR_WDIKEY_MASK        (0x00003000u)
#define CSL_TMR_WDTCR_WDIKEY_SHIFT       (0x0000000Cu)
#define CSL_TMR_WDTCR_WDIKEY_RESETVAL    (0x00000000u)

/*----WDIKEY Tokens----*/
#define CSL_TMR_WDTCR_WDIKEY_NO_IDLE     (0x00000000u)
#define CSL_TMR_WDTCR_WDIKEY_GO_IDLE_START (0x00000001u)
#define CSL_TMR_WDTCR_WDIKEY_GO_IDLE     (0x0000000Au)

#define CSL_TMR_WDTCR_RESETVAL           (0x00000000u)

#endif
