#ifndef _CSLR_PSC_1_H_
#define _CSLR_PSC_1_H_
/*********************************************************************
 * Copyright (C) 2003-2004 Texas Instruments Incorporated. 
 * All Rights Reserved 
 *********************************************************************/
 /** \file cslr_psc_1.h
 * 
 * \brief This file contains the Register Desciptions for PSC
 * 
 *********************************************************************/

#include <cslr.h>

#include <tistdtypes.h>

/**************************************************************************\
* Register Overlay Structure
\**************************************************************************/
typedef struct  {
    volatile Uint32 PID;
    volatile Uint8 RSVD0[12];
    volatile Uint32 GBLCTL;
    volatile Uint8 RSVD1[4];
    volatile Uint32 INTEVAL;
    volatile Uint8 RSVD2[36];
    volatile Uint32 ERRPR0;
    volatile Uint32 ERRPR1;
    volatile Uint8 RSVD3[8];
    volatile Uint32 ERRCR0;
    volatile Uint32 ERRCR1;
    volatile Uint8 RSVD4[8];
    volatile Uint32 PERRPR;
    volatile Uint8 RSVD5[4];
    volatile Uint32 PERRCR;
    volatile Uint8 RSVD6[4];
    volatile Uint32 EPCPR;
    volatile Uint8 RSVD7[4];
    volatile Uint32 EPCR;
    volatile Uint8 RSVD8[132];
    volatile Uint32 RAILSTAT;
    volatile Uint32 RAILCTL;
    volatile Uint32 RAILSEL;
    volatile Uint8 RSVD9[20];
    volatile Uint32 PTCMD;
    volatile Uint8 RSVD10[4];
    volatile Uint32 PTSTAT;
    volatile Uint8 RSVD11[212];
    volatile Uint32 PDSTAT[41];
    volatile Uint8 RSVD12[92];
    volatile Uint32 PDCTL[41];
    volatile Uint8 RSVD13[348];
    volatile Uint32 MRSTOUT[2];
    volatile Uint8 RSVD14[8];
    volatile Uint32 MCKOUT[2];
    volatile Uint8 RSVD15[232];
    volatile Uint32 MDCFG[41];
    volatile Uint8 RSVD16[348];
    volatile Uint32 MDSTAT[41];
    volatile Uint8 RSVD17[348];
    volatile Uint32 MDCTL[41];
} CSL_PscRegs;

/**************************************************************************\
* Field Definition Macros
\**************************************************************************/

/* PID */

#define CSL_PSC_PID_SCHEME_MASK          (0xC0000000u)
#define CSL_PSC_PID_SCHEME_SHIFT         (0x0000001Eu)
#define CSL_PSC_PID_SCHEME_RESETVAL      (0x00000001u)

#define CSL_PSC_PID_FUNC_MASK            (0x0FFF0000u)
#define CSL_PSC_PID_FUNC_SHIFT           (0x00000010u)
#define CSL_PSC_PID_FUNC_RESETVAL        (0x00000208u)

#define CSL_PSC_PID_RTL_MASK             (0x0000F800u)
#define CSL_PSC_PID_RTL_SHIFT            (0x0000000Bu)
#define CSL_PSC_PID_RTL_RESETVAL         (0x00000000u)

#define CSL_PSC_PID_MAJOR_MASK           (0x00000700u)
#define CSL_PSC_PID_MAJOR_SHIFT          (0x00000008u)
#define CSL_PSC_PID_MAJOR_RESETVAL       (0x00000000u)

#define CSL_PSC_PID_CUSTOM_MASK          (0x000000C0u)
#define CSL_PSC_PID_CUSTOM_SHIFT         (0x00000006u)
#define CSL_PSC_PID_CUSTOM_RESETVAL      (0x00000000u)

#define CSL_PSC_PID_MINOR_MASK           (0x0000003Fu)
#define CSL_PSC_PID_MINOR_SHIFT          (0x00000000u)
#define CSL_PSC_PID_MINOR_RESETVAL       (0x00000000u)

#define CSL_PSC_PID_RESETVAL             (0x42080000u)

/* GBLCTL */

#define CSL_PSC_GBLCTL_CCM_MASK          (0x00000002u)
#define CSL_PSC_GBLCTL_CCM_SHIFT         (0x00000001u)
#define CSL_PSC_GBLCTL_CCM_RESETVAL      (0x00000000u)

#define CSL_PSC_GBLCTL_FORCE_MASK        (0x00000001u)
#define CSL_PSC_GBLCTL_FORCE_SHIFT       (0x00000000u)
#define CSL_PSC_GBLCTL_FORCE_RESETVAL    (0x00000000u)

#define CSL_PSC_GBLCTL_RESETVAL          (0x00000000u)

/* ERRPR0 */

#define CSL_PSC_ERRPR0_M31_MASK          (0x80000000u)
#define CSL_PSC_ERRPR0_M31_SHIFT         (0x0000001Fu)
#define CSL_PSC_ERRPR0_M31_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRPR0_M30_MASK          (0x40000000u)
#define CSL_PSC_ERRPR0_M30_SHIFT         (0x0000001Eu)
#define CSL_PSC_ERRPR0_M30_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRPR0_M29_MASK          (0x20000000u)
#define CSL_PSC_ERRPR0_M29_SHIFT         (0x0000001Du)
#define CSL_PSC_ERRPR0_M29_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRPR0_M28_MASK          (0x10000000u)
#define CSL_PSC_ERRPR0_M28_SHIFT         (0x0000001Cu)
#define CSL_PSC_ERRPR0_M28_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRPR0_M27_MASK          (0x08000000u)
#define CSL_PSC_ERRPR0_M27_SHIFT         (0x0000001Bu)
#define CSL_PSC_ERRPR0_M27_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRPR0_M26_MASK          (0x04000000u)
#define CSL_PSC_ERRPR0_M26_SHIFT         (0x0000001Au)
#define CSL_PSC_ERRPR0_M26_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRPR0_M25_MASK          (0x02000000u)
#define CSL_PSC_ERRPR0_M25_SHIFT         (0x00000019u)
#define CSL_PSC_ERRPR0_M25_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRPR0_M24_MASK          (0x01000000u)
#define CSL_PSC_ERRPR0_M24_SHIFT         (0x00000018u)
#define CSL_PSC_ERRPR0_M24_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRPR0_M23_MASK          (0x00800000u)
#define CSL_PSC_ERRPR0_M23_SHIFT         (0x00000017u)
#define CSL_PSC_ERRPR0_M23_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRPR0_M22_MASK          (0x00400000u)
#define CSL_PSC_ERRPR0_M22_SHIFT         (0x00000016u)
#define CSL_PSC_ERRPR0_M22_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRPR0_M21_MASK          (0x00200000u)
#define CSL_PSC_ERRPR0_M21_SHIFT         (0x00000015u)
#define CSL_PSC_ERRPR0_M21_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRPR0_M20_MASK          (0x00100000u)
#define CSL_PSC_ERRPR0_M20_SHIFT         (0x00000014u)
#define CSL_PSC_ERRPR0_M20_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRPR0_M19_MASK          (0x00080000u)
#define CSL_PSC_ERRPR0_M19_SHIFT         (0x00000013u)
#define CSL_PSC_ERRPR0_M19_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRPR0_M18_MASK          (0x00040000u)
#define CSL_PSC_ERRPR0_M18_SHIFT         (0x00000012u)
#define CSL_PSC_ERRPR0_M18_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRPR0_M17_MASK          (0x00020000u)
#define CSL_PSC_ERRPR0_M17_SHIFT         (0x00000011u)
#define CSL_PSC_ERRPR0_M17_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRPR0_M16_MASK          (0x00010000u)
#define CSL_PSC_ERRPR0_M16_SHIFT         (0x00000010u)
#define CSL_PSC_ERRPR0_M16_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRPR0_M15_MASK          (0x00008000u)
#define CSL_PSC_ERRPR0_M15_SHIFT         (0x0000000Fu)
#define CSL_PSC_ERRPR0_M15_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRPR0_M14_MASK          (0x00004000u)
#define CSL_PSC_ERRPR0_M14_SHIFT         (0x0000000Eu)
#define CSL_PSC_ERRPR0_M14_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRPR0_M13_MASK          (0x00002000u)
#define CSL_PSC_ERRPR0_M13_SHIFT         (0x0000000Du)
#define CSL_PSC_ERRPR0_M13_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRPR0_M12_MASK          (0x00001000u)
#define CSL_PSC_ERRPR0_M12_SHIFT         (0x0000000Cu)
#define CSL_PSC_ERRPR0_M12_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRPR0_M11_MASK          (0x00000800u)
#define CSL_PSC_ERRPR0_M11_SHIFT         (0x0000000Bu)
#define CSL_PSC_ERRPR0_M11_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRPR0_M10_MASK          (0x00000400u)
#define CSL_PSC_ERRPR0_M10_SHIFT         (0x0000000Au)
#define CSL_PSC_ERRPR0_M10_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRPR0_M9_MASK           (0x00000200u)
#define CSL_PSC_ERRPR0_M9_SHIFT          (0x00000009u)
#define CSL_PSC_ERRPR0_M9_RESETVAL       (0x00000000u)

#define CSL_PSC_ERRPR0_M8_MASK           (0x00000100u)
#define CSL_PSC_ERRPR0_M8_SHIFT          (0x00000008u)
#define CSL_PSC_ERRPR0_M8_RESETVAL       (0x00000000u)

#define CSL_PSC_ERRPR0_M7_MASK           (0x00000080u)
#define CSL_PSC_ERRPR0_M7_SHIFT          (0x00000007u)
#define CSL_PSC_ERRPR0_M7_RESETVAL       (0x00000000u)

#define CSL_PSC_ERRPR0_M6_MASK           (0x00000040u)
#define CSL_PSC_ERRPR0_M6_SHIFT          (0x00000006u)
#define CSL_PSC_ERRPR0_M6_RESETVAL       (0x00000000u)

#define CSL_PSC_ERRPR0_M5_MASK           (0x00000020u)
#define CSL_PSC_ERRPR0_M5_SHIFT          (0x00000005u)
#define CSL_PSC_ERRPR0_M5_RESETVAL       (0x00000000u)

#define CSL_PSC_ERRPR0_M4_MASK           (0x00000010u)
#define CSL_PSC_ERRPR0_M4_SHIFT          (0x00000004u)
#define CSL_PSC_ERRPR0_M4_RESETVAL       (0x00000000u)

#define CSL_PSC_ERRPR0_M3_MASK           (0x00000008u)
#define CSL_PSC_ERRPR0_M3_SHIFT          (0x00000003u)
#define CSL_PSC_ERRPR0_M3_RESETVAL       (0x00000000u)

#define CSL_PSC_ERRPR0_M2_MASK           (0x00000004u)
#define CSL_PSC_ERRPR0_M2_SHIFT          (0x00000002u)
#define CSL_PSC_ERRPR0_M2_RESETVAL       (0x00000000u)

#define CSL_PSC_ERRPR0_M1_MASK           (0x00000002u)
#define CSL_PSC_ERRPR0_M1_SHIFT          (0x00000001u)
#define CSL_PSC_ERRPR0_M1_RESETVAL       (0x00000000u)

#define CSL_PSC_ERRPR0_M0_MASK           (0x00000001u)
#define CSL_PSC_ERRPR0_M0_SHIFT          (0x00000000u)
#define CSL_PSC_ERRPR0_M0_RESETVAL       (0x00000000u)

#define CSL_PSC_ERRPR0_RESETVAL          (0x00000000u)

/* ERRPR1 */

#define CSL_PSC_ERRPR1_M31_MASK          (0x80000000u)
#define CSL_PSC_ERRPR1_M31_SHIFT         (0x0000001Fu)
#define CSL_PSC_ERRPR1_M31_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRPR1_M30_MASK          (0x40000000u)
#define CSL_PSC_ERRPR1_M30_SHIFT         (0x0000001Eu)
#define CSL_PSC_ERRPR1_M30_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRPR1_M29_MASK          (0x20000000u)
#define CSL_PSC_ERRPR1_M29_SHIFT         (0x0000001Du)
#define CSL_PSC_ERRPR1_M29_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRPR1_M28_MASK          (0x10000000u)
#define CSL_PSC_ERRPR1_M28_SHIFT         (0x0000001Cu)
#define CSL_PSC_ERRPR1_M28_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRPR1_M27_MASK          (0x08000000u)
#define CSL_PSC_ERRPR1_M27_SHIFT         (0x0000001Bu)
#define CSL_PSC_ERRPR1_M27_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRPR1_M26_MASK          (0x04000000u)
#define CSL_PSC_ERRPR1_M26_SHIFT         (0x0000001Au)
#define CSL_PSC_ERRPR1_M26_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRPR1_M25_MASK          (0x02000000u)
#define CSL_PSC_ERRPR1_M25_SHIFT         (0x00000019u)
#define CSL_PSC_ERRPR1_M25_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRPR1_M24_MASK          (0x01000000u)
#define CSL_PSC_ERRPR1_M24_SHIFT         (0x00000018u)
#define CSL_PSC_ERRPR1_M24_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRPR1_M23_MASK          (0x00800000u)
#define CSL_PSC_ERRPR1_M23_SHIFT         (0x00000017u)
#define CSL_PSC_ERRPR1_M23_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRPR1_M22_MASK          (0x00400000u)
#define CSL_PSC_ERRPR1_M22_SHIFT         (0x00000016u)
#define CSL_PSC_ERRPR1_M22_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRPR1_M21_MASK          (0x00200000u)
#define CSL_PSC_ERRPR1_M21_SHIFT         (0x00000015u)
#define CSL_PSC_ERRPR1_M21_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRPR1_M20_MASK          (0x00100000u)
#define CSL_PSC_ERRPR1_M20_SHIFT         (0x00000014u)
#define CSL_PSC_ERRPR1_M20_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRPR1_M19_MASK          (0x00080000u)
#define CSL_PSC_ERRPR1_M19_SHIFT         (0x00000013u)
#define CSL_PSC_ERRPR1_M19_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRPR1_M18_MASK          (0x00040000u)
#define CSL_PSC_ERRPR1_M18_SHIFT         (0x00000012u)
#define CSL_PSC_ERRPR1_M18_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRPR1_M17_MASK          (0x00020000u)
#define CSL_PSC_ERRPR1_M17_SHIFT         (0x00000011u)
#define CSL_PSC_ERRPR1_M17_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRPR1_M16_MASK          (0x00010000u)
#define CSL_PSC_ERRPR1_M16_SHIFT         (0x00000010u)
#define CSL_PSC_ERRPR1_M16_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRPR1_M15_MASK          (0x00008000u)
#define CSL_PSC_ERRPR1_M15_SHIFT         (0x0000000Fu)
#define CSL_PSC_ERRPR1_M15_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRPR1_M14_MASK          (0x00004000u)
#define CSL_PSC_ERRPR1_M14_SHIFT         (0x0000000Eu)
#define CSL_PSC_ERRPR1_M14_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRPR1_M13_MASK          (0x00002000u)
#define CSL_PSC_ERRPR1_M13_SHIFT         (0x0000000Du)
#define CSL_PSC_ERRPR1_M13_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRPR1_M12_MASK          (0x00001000u)
#define CSL_PSC_ERRPR1_M12_SHIFT         (0x0000000Cu)
#define CSL_PSC_ERRPR1_M12_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRPR1_M11_MASK          (0x00000800u)
#define CSL_PSC_ERRPR1_M11_SHIFT         (0x0000000Bu)
#define CSL_PSC_ERRPR1_M11_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRPR1_M10_MASK          (0x00000400u)
#define CSL_PSC_ERRPR1_M10_SHIFT         (0x0000000Au)
#define CSL_PSC_ERRPR1_M10_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRPR1_M9_MASK           (0x00000200u)
#define CSL_PSC_ERRPR1_M9_SHIFT          (0x00000009u)
#define CSL_PSC_ERRPR1_M9_RESETVAL       (0x00000000u)

#define CSL_PSC_ERRPR1_M8_MASK           (0x00000100u)
#define CSL_PSC_ERRPR1_M8_SHIFT          (0x00000008u)
#define CSL_PSC_ERRPR1_M8_RESETVAL       (0x00000000u)

#define CSL_PSC_ERRPR1_M7_MASK           (0x00000080u)
#define CSL_PSC_ERRPR1_M7_SHIFT          (0x00000007u)
#define CSL_PSC_ERRPR1_M7_RESETVAL       (0x00000000u)

#define CSL_PSC_ERRPR1_M6_MASK           (0x00000040u)
#define CSL_PSC_ERRPR1_M6_SHIFT          (0x00000006u)
#define CSL_PSC_ERRPR1_M6_RESETVAL       (0x00000000u)

#define CSL_PSC_ERRPR1_M5_MASK           (0x00000020u)
#define CSL_PSC_ERRPR1_M5_SHIFT          (0x00000005u)
#define CSL_PSC_ERRPR1_M5_RESETVAL       (0x00000000u)

#define CSL_PSC_ERRPR1_M4_MASK           (0x00000010u)
#define CSL_PSC_ERRPR1_M4_SHIFT          (0x00000004u)
#define CSL_PSC_ERRPR1_M4_RESETVAL       (0x00000000u)

#define CSL_PSC_ERRPR1_M3_MASK           (0x00000008u)
#define CSL_PSC_ERRPR1_M3_SHIFT          (0x00000003u)
#define CSL_PSC_ERRPR1_M3_RESETVAL       (0x00000000u)

#define CSL_PSC_ERRPR1_M2_MASK           (0x00000004u)
#define CSL_PSC_ERRPR1_M2_SHIFT          (0x00000002u)
#define CSL_PSC_ERRPR1_M2_RESETVAL       (0x00000000u)

#define CSL_PSC_ERRPR1_M1_MASK           (0x00000002u)
#define CSL_PSC_ERRPR1_M1_SHIFT          (0x00000001u)
#define CSL_PSC_ERRPR1_M1_RESETVAL       (0x00000000u)

#define CSL_PSC_ERRPR1_M0_MASK           (0x00000001u)
#define CSL_PSC_ERRPR1_M0_SHIFT          (0x00000000u)
#define CSL_PSC_ERRPR1_M0_RESETVAL       (0x00000000u)

#define CSL_PSC_ERRPR1_RESETVAL          (0x00000000u)

/* ERRCR0 */

#define CSL_PSC_ERRCR0_M31_MASK          (0x80000000u)
#define CSL_PSC_ERRCR0_M31_SHIFT         (0x0000001Fu)
#define CSL_PSC_ERRCR0_M31_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRCR0_M30_MASK          (0x40000000u)
#define CSL_PSC_ERRCR0_M30_SHIFT         (0x0000001Eu)
#define CSL_PSC_ERRCR0_M30_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRCR0_M29_MASK          (0x20000000u)
#define CSL_PSC_ERRCR0_M29_SHIFT         (0x0000001Du)
#define CSL_PSC_ERRCR0_M29_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRCR0_M28_MASK          (0x10000000u)
#define CSL_PSC_ERRCR0_M28_SHIFT         (0x0000001Cu)
#define CSL_PSC_ERRCR0_M28_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRCR0_M27_MASK          (0x08000000u)
#define CSL_PSC_ERRCR0_M27_SHIFT         (0x0000001Bu)
#define CSL_PSC_ERRCR0_M27_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRCR0_M26_MASK          (0x04000000u)
#define CSL_PSC_ERRCR0_M26_SHIFT         (0x0000001Au)
#define CSL_PSC_ERRCR0_M26_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRCR0_M25_MASK          (0x02000000u)
#define CSL_PSC_ERRCR0_M25_SHIFT         (0x00000019u)
#define CSL_PSC_ERRCR0_M25_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRCR0_M24_MASK          (0x01000000u)
#define CSL_PSC_ERRCR0_M24_SHIFT         (0x00000018u)
#define CSL_PSC_ERRCR0_M24_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRCR0_M23_MASK          (0x00800000u)
#define CSL_PSC_ERRCR0_M23_SHIFT         (0x00000017u)
#define CSL_PSC_ERRCR0_M23_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRCR0_M22_MASK          (0x00400000u)
#define CSL_PSC_ERRCR0_M22_SHIFT         (0x00000016u)
#define CSL_PSC_ERRCR0_M22_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRCR0_M21_MASK          (0x00200000u)
#define CSL_PSC_ERRCR0_M21_SHIFT         (0x00000015u)
#define CSL_PSC_ERRCR0_M21_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRCR0_M20_MASK          (0x00100000u)
#define CSL_PSC_ERRCR0_M20_SHIFT         (0x00000014u)
#define CSL_PSC_ERRCR0_M20_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRCR0_M19_MASK          (0x00080000u)
#define CSL_PSC_ERRCR0_M19_SHIFT         (0x00000013u)
#define CSL_PSC_ERRCR0_M19_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRCR0_M18_MASK          (0x00040000u)
#define CSL_PSC_ERRCR0_M18_SHIFT         (0x00000012u)
#define CSL_PSC_ERRCR0_M18_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRCR0_M17_MASK          (0x00020000u)
#define CSL_PSC_ERRCR0_M17_SHIFT         (0x00000011u)
#define CSL_PSC_ERRCR0_M17_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRCR0_M16_MASK          (0x00010000u)
#define CSL_PSC_ERRCR0_M16_SHIFT         (0x00000010u)
#define CSL_PSC_ERRCR0_M16_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRCR0_M15_MASK          (0x00008000u)
#define CSL_PSC_ERRCR0_M15_SHIFT         (0x0000000Fu)
#define CSL_PSC_ERRCR0_M15_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRCR0_M14_MASK          (0x00004000u)
#define CSL_PSC_ERRCR0_M14_SHIFT         (0x0000000Eu)
#define CSL_PSC_ERRCR0_M14_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRCR0_M13_MASK          (0x00002000u)
#define CSL_PSC_ERRCR0_M13_SHIFT         (0x0000000Du)
#define CSL_PSC_ERRCR0_M13_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRCR0_M12_MASK          (0x00001000u)
#define CSL_PSC_ERRCR0_M12_SHIFT         (0x0000000Cu)
#define CSL_PSC_ERRCR0_M12_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRCR0_M11_MASK          (0x00000800u)
#define CSL_PSC_ERRCR0_M11_SHIFT         (0x0000000Bu)
#define CSL_PSC_ERRCR0_M11_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRCR0_M10_MASK          (0x00000400u)
#define CSL_PSC_ERRCR0_M10_SHIFT         (0x0000000Au)
#define CSL_PSC_ERRCR0_M10_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRCR0_M9_MASK           (0x00000200u)
#define CSL_PSC_ERRCR0_M9_SHIFT          (0x00000009u)
#define CSL_PSC_ERRCR0_M9_RESETVAL       (0x00000000u)

#define CSL_PSC_ERRCR0_M8_MASK           (0x00000100u)
#define CSL_PSC_ERRCR0_M8_SHIFT          (0x00000008u)
#define CSL_PSC_ERRCR0_M8_RESETVAL       (0x00000000u)

#define CSL_PSC_ERRCR0_M7_MASK           (0x00000080u)
#define CSL_PSC_ERRCR0_M7_SHIFT          (0x00000007u)
#define CSL_PSC_ERRCR0_M7_RESETVAL       (0x00000000u)

#define CSL_PSC_ERRCR0_M6_MASK           (0x00000040u)
#define CSL_PSC_ERRCR0_M6_SHIFT          (0x00000006u)
#define CSL_PSC_ERRCR0_M6_RESETVAL       (0x00000000u)

#define CSL_PSC_ERRCR0_M5_MASK           (0x00000020u)
#define CSL_PSC_ERRCR0_M5_SHIFT          (0x00000005u)
#define CSL_PSC_ERRCR0_M5_RESETVAL       (0x00000000u)

#define CSL_PSC_ERRCR0_M4_MASK           (0x00000010u)
#define CSL_PSC_ERRCR0_M4_SHIFT          (0x00000004u)
#define CSL_PSC_ERRCR0_M4_RESETVAL       (0x00000000u)

#define CSL_PSC_ERRCR0_M3_MASK           (0x00000008u)
#define CSL_PSC_ERRCR0_M3_SHIFT          (0x00000003u)
#define CSL_PSC_ERRCR0_M3_RESETVAL       (0x00000000u)

#define CSL_PSC_ERRCR0_M2_MASK           (0x00000004u)
#define CSL_PSC_ERRCR0_M2_SHIFT          (0x00000002u)
#define CSL_PSC_ERRCR0_M2_RESETVAL       (0x00000000u)

#define CSL_PSC_ERRCR0_M1_MASK           (0x00000002u)
#define CSL_PSC_ERRCR0_M1_SHIFT          (0x00000001u)
#define CSL_PSC_ERRCR0_M1_RESETVAL       (0x00000000u)

#define CSL_PSC_ERRCR0_M0_MASK           (0x00000001u)
#define CSL_PSC_ERRCR0_M0_SHIFT          (0x00000000u)
#define CSL_PSC_ERRCR0_M0_RESETVAL       (0x00000000u)

#define CSL_PSC_ERRCR0_RESETVAL          (0x00000000u)

/* ERRCR1 */

#define CSL_PSC_ERRCR1_M31_MASK          (0x80000000u)
#define CSL_PSC_ERRCR1_M31_SHIFT         (0x0000001Fu)
#define CSL_PSC_ERRCR1_M31_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRCR1_M30_MASK          (0x40000000u)
#define CSL_PSC_ERRCR1_M30_SHIFT         (0x0000001Eu)
#define CSL_PSC_ERRCR1_M30_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRCR1_M29_MASK          (0x20000000u)
#define CSL_PSC_ERRCR1_M29_SHIFT         (0x0000001Du)
#define CSL_PSC_ERRCR1_M29_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRCR1_M28_MASK          (0x10000000u)
#define CSL_PSC_ERRCR1_M28_SHIFT         (0x0000001Cu)
#define CSL_PSC_ERRCR1_M28_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRCR1_M27_MASK          (0x08000000u)
#define CSL_PSC_ERRCR1_M27_SHIFT         (0x0000001Bu)
#define CSL_PSC_ERRCR1_M27_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRCR1_M26_MASK          (0x04000000u)
#define CSL_PSC_ERRCR1_M26_SHIFT         (0x0000001Au)
#define CSL_PSC_ERRCR1_M26_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRCR1_M25_MASK          (0x02000000u)
#define CSL_PSC_ERRCR1_M25_SHIFT         (0x00000019u)
#define CSL_PSC_ERRCR1_M25_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRCR1_M24_MASK          (0x01000000u)
#define CSL_PSC_ERRCR1_M24_SHIFT         (0x00000018u)
#define CSL_PSC_ERRCR1_M24_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRCR1_M23_MASK          (0x00800000u)
#define CSL_PSC_ERRCR1_M23_SHIFT         (0x00000017u)
#define CSL_PSC_ERRCR1_M23_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRCR1_M22_MASK          (0x00400000u)
#define CSL_PSC_ERRCR1_M22_SHIFT         (0x00000016u)
#define CSL_PSC_ERRCR1_M22_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRCR1_M21_MASK          (0x00200000u)
#define CSL_PSC_ERRCR1_M21_SHIFT         (0x00000015u)
#define CSL_PSC_ERRCR1_M21_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRCR1_M20_MASK          (0x00100000u)
#define CSL_PSC_ERRCR1_M20_SHIFT         (0x00000014u)
#define CSL_PSC_ERRCR1_M20_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRCR1_M19_MASK          (0x00080000u)
#define CSL_PSC_ERRCR1_M19_SHIFT         (0x00000013u)
#define CSL_PSC_ERRCR1_M19_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRCR1_M18_MASK          (0x00040000u)
#define CSL_PSC_ERRCR1_M18_SHIFT         (0x00000012u)
#define CSL_PSC_ERRCR1_M18_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRCR1_M17_MASK          (0x00020000u)
#define CSL_PSC_ERRCR1_M17_SHIFT         (0x00000011u)
#define CSL_PSC_ERRCR1_M17_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRCR1_M16_MASK          (0x00010000u)
#define CSL_PSC_ERRCR1_M16_SHIFT         (0x00000010u)
#define CSL_PSC_ERRCR1_M16_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRCR1_M15_MASK          (0x00008000u)
#define CSL_PSC_ERRCR1_M15_SHIFT         (0x0000000Fu)
#define CSL_PSC_ERRCR1_M15_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRCR1_M14_MASK          (0x00004000u)
#define CSL_PSC_ERRCR1_M14_SHIFT         (0x0000000Eu)
#define CSL_PSC_ERRCR1_M14_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRCR1_M13_MASK          (0x00002000u)
#define CSL_PSC_ERRCR1_M13_SHIFT         (0x0000000Du)
#define CSL_PSC_ERRCR1_M13_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRCR1_M12_MASK          (0x00001000u)
#define CSL_PSC_ERRCR1_M12_SHIFT         (0x0000000Cu)
#define CSL_PSC_ERRCR1_M12_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRCR1_M11_MASK          (0x00000800u)
#define CSL_PSC_ERRCR1_M11_SHIFT         (0x0000000Bu)
#define CSL_PSC_ERRCR1_M11_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRCR1_M10_MASK          (0x00000400u)
#define CSL_PSC_ERRCR1_M10_SHIFT         (0x0000000Au)
#define CSL_PSC_ERRCR1_M10_RESETVAL      (0x00000000u)

#define CSL_PSC_ERRCR1_M9_MASK           (0x00000200u)
#define CSL_PSC_ERRCR1_M9_SHIFT          (0x00000009u)
#define CSL_PSC_ERRCR1_M9_RESETVAL       (0x00000000u)

#define CSL_PSC_ERRCR1_M8_MASK           (0x00000100u)
#define CSL_PSC_ERRCR1_M8_SHIFT          (0x00000008u)
#define CSL_PSC_ERRCR1_M8_RESETVAL       (0x00000000u)

#define CSL_PSC_ERRCR1_M7_MASK           (0x00000080u)
#define CSL_PSC_ERRCR1_M7_SHIFT          (0x00000007u)
#define CSL_PSC_ERRCR1_M7_RESETVAL       (0x00000000u)

#define CSL_PSC_ERRCR1_M6_MASK           (0x00000040u)
#define CSL_PSC_ERRCR1_M6_SHIFT          (0x00000006u)
#define CSL_PSC_ERRCR1_M6_RESETVAL       (0x00000000u)

#define CSL_PSC_ERRCR1_M5_MASK           (0x00000020u)
#define CSL_PSC_ERRCR1_M5_SHIFT          (0x00000005u)
#define CSL_PSC_ERRCR1_M5_RESETVAL       (0x00000000u)

#define CSL_PSC_ERRCR1_M4_MASK           (0x00000010u)
#define CSL_PSC_ERRCR1_M4_SHIFT          (0x00000004u)
#define CSL_PSC_ERRCR1_M4_RESETVAL       (0x00000000u)

#define CSL_PSC_ERRCR1_M3_MASK           (0x00000008u)
#define CSL_PSC_ERRCR1_M3_SHIFT          (0x00000003u)
#define CSL_PSC_ERRCR1_M3_RESETVAL       (0x00000000u)

#define CSL_PSC_ERRCR1_M2_MASK           (0x00000004u)
#define CSL_PSC_ERRCR1_M2_SHIFT          (0x00000002u)
#define CSL_PSC_ERRCR1_M2_RESETVAL       (0x00000000u)

#define CSL_PSC_ERRCR1_M1_MASK           (0x00000002u)
#define CSL_PSC_ERRCR1_M1_SHIFT          (0x00000001u)
#define CSL_PSC_ERRCR1_M1_RESETVAL       (0x00000000u)

#define CSL_PSC_ERRCR1_M0_MASK           (0x00000001u)
#define CSL_PSC_ERRCR1_M0_SHIFT          (0x00000000u)
#define CSL_PSC_ERRCR1_M0_RESETVAL       (0x00000000u)

#define CSL_PSC_ERRCR1_RESETVAL          (0x00000000u)

/* PERRPR */

#define CSL_PSC_PERRPR_P31_MASK          (0x80000000u)
#define CSL_PSC_PERRPR_P31_SHIFT         (0x0000001Fu)
#define CSL_PSC_PERRPR_P31_RESETVAL      (0x00000000u)

#define CSL_PSC_PERRPR_P30_MASK          (0x40000000u)
#define CSL_PSC_PERRPR_P30_SHIFT         (0x0000001Eu)
#define CSL_PSC_PERRPR_P30_RESETVAL      (0x00000000u)

#define CSL_PSC_PERRPR_P29_MASK          (0x20000000u)
#define CSL_PSC_PERRPR_P29_SHIFT         (0x0000001Du)
#define CSL_PSC_PERRPR_P29_RESETVAL      (0x00000000u)

#define CSL_PSC_PERRPR_P28_MASK          (0x10000000u)
#define CSL_PSC_PERRPR_P28_SHIFT         (0x0000001Cu)
#define CSL_PSC_PERRPR_P28_RESETVAL      (0x00000000u)

#define CSL_PSC_PERRPR_P27_MASK          (0x08000000u)
#define CSL_PSC_PERRPR_P27_SHIFT         (0x0000001Bu)
#define CSL_PSC_PERRPR_P27_RESETVAL      (0x00000000u)

#define CSL_PSC_PERRPR_P26_MASK          (0x04000000u)
#define CSL_PSC_PERRPR_P26_SHIFT         (0x0000001Au)
#define CSL_PSC_PERRPR_P26_RESETVAL      (0x00000000u)

#define CSL_PSC_PERRPR_P25_MASK          (0x02000000u)
#define CSL_PSC_PERRPR_P25_SHIFT         (0x00000019u)
#define CSL_PSC_PERRPR_P25_RESETVAL      (0x00000000u)

#define CSL_PSC_PERRPR_P24_MASK          (0x01000000u)
#define CSL_PSC_PERRPR_P24_SHIFT         (0x00000018u)
#define CSL_PSC_PERRPR_P24_RESETVAL      (0x00000000u)

#define CSL_PSC_PERRPR_P23_MASK          (0x00800000u)
#define CSL_PSC_PERRPR_P23_SHIFT         (0x00000017u)
#define CSL_PSC_PERRPR_P23_RESETVAL      (0x00000000u)

#define CSL_PSC_PERRPR_P22_MASK          (0x00400000u)
#define CSL_PSC_PERRPR_P22_SHIFT         (0x00000016u)
#define CSL_PSC_PERRPR_P22_RESETVAL      (0x00000000u)

#define CSL_PSC_PERRPR_P21_MASK          (0x00200000u)
#define CSL_PSC_PERRPR_P21_SHIFT         (0x00000015u)
#define CSL_PSC_PERRPR_P21_RESETVAL      (0x00000000u)

#define CSL_PSC_PERRPR_P20_MASK          (0x00100000u)
#define CSL_PSC_PERRPR_P20_SHIFT         (0x00000014u)
#define CSL_PSC_PERRPR_P20_RESETVAL      (0x00000000u)

#define CSL_PSC_PERRPR_P19_MASK          (0x00080000u)
#define CSL_PSC_PERRPR_P19_SHIFT         (0x00000013u)
#define CSL_PSC_PERRPR_P19_RESETVAL      (0x00000000u)

#define CSL_PSC_PERRPR_P18_MASK          (0x00040000u)
#define CSL_PSC_PERRPR_P18_SHIFT         (0x00000012u)
#define CSL_PSC_PERRPR_P18_RESETVAL      (0x00000000u)

#define CSL_PSC_PERRPR_P17_MASK          (0x00020000u)
#define CSL_PSC_PERRPR_P17_SHIFT         (0x00000011u)
#define CSL_PSC_PERRPR_P17_RESETVAL      (0x00000000u)

#define CSL_PSC_PERRPR_P16_MASK          (0x00010000u)
#define CSL_PSC_PERRPR_P16_SHIFT         (0x00000010u)
#define CSL_PSC_PERRPR_P16_RESETVAL      (0x00000000u)

#define CSL_PSC_PERRPR_P15_MASK          (0x00008000u)
#define CSL_PSC_PERRPR_P15_SHIFT         (0x0000000Fu)
#define CSL_PSC_PERRPR_P15_RESETVAL      (0x00000000u)

#define CSL_PSC_PERRPR_P14_MASK          (0x00004000u)
#define CSL_PSC_PERRPR_P14_SHIFT         (0x0000000Eu)
#define CSL_PSC_PERRPR_P14_RESETVAL      (0x00000000u)

#define CSL_PSC_PERRPR_P13_MASK          (0x00002000u)
#define CSL_PSC_PERRPR_P13_SHIFT         (0x0000000Du)
#define CSL_PSC_PERRPR_P13_RESETVAL      (0x00000000u)

#define CSL_PSC_PERRPR_P12_MASK          (0x00001000u)
#define CSL_PSC_PERRPR_P12_SHIFT         (0x0000000Cu)
#define CSL_PSC_PERRPR_P12_RESETVAL      (0x00000000u)

#define CSL_PSC_PERRPR_P11_MASK          (0x00000800u)
#define CSL_PSC_PERRPR_P11_SHIFT         (0x0000000Bu)
#define CSL_PSC_PERRPR_P11_RESETVAL      (0x00000000u)

#define CSL_PSC_PERRPR_P10_MASK          (0x00000400u)
#define CSL_PSC_PERRPR_P10_SHIFT         (0x0000000Au)
#define CSL_PSC_PERRPR_P10_RESETVAL      (0x00000000u)

#define CSL_PSC_PERRPR_P9_MASK           (0x00000200u)
#define CSL_PSC_PERRPR_P9_SHIFT          (0x00000009u)
#define CSL_PSC_PERRPR_P9_RESETVAL       (0x00000000u)

#define CSL_PSC_PERRPR_P8_MASK           (0x00000100u)
#define CSL_PSC_PERRPR_P8_SHIFT          (0x00000008u)
#define CSL_PSC_PERRPR_P8_RESETVAL       (0x00000000u)

#define CSL_PSC_PERRPR_P7_MASK           (0x00000080u)
#define CSL_PSC_PERRPR_P7_SHIFT          (0x00000007u)
#define CSL_PSC_PERRPR_P7_RESETVAL       (0x00000000u)

#define CSL_PSC_PERRPR_P6_MASK           (0x00000040u)
#define CSL_PSC_PERRPR_P6_SHIFT          (0x00000006u)
#define CSL_PSC_PERRPR_P6_RESETVAL       (0x00000000u)

#define CSL_PSC_PERRPR_P5_MASK           (0x00000020u)
#define CSL_PSC_PERRPR_P5_SHIFT          (0x00000005u)
#define CSL_PSC_PERRPR_P5_RESETVAL       (0x00000000u)

#define CSL_PSC_PERRPR_P4_MASK           (0x00000010u)
#define CSL_PSC_PERRPR_P4_SHIFT          (0x00000004u)
#define CSL_PSC_PERRPR_P4_RESETVAL       (0x00000000u)

#define CSL_PSC_PERRPR_P3_MASK           (0x00000008u)
#define CSL_PSC_PERRPR_P3_SHIFT          (0x00000003u)
#define CSL_PSC_PERRPR_P3_RESETVAL       (0x00000000u)

#define CSL_PSC_PERRPR_P2_MASK           (0x00000004u)
#define CSL_PSC_PERRPR_P2_SHIFT          (0x00000002u)
#define CSL_PSC_PERRPR_P2_RESETVAL       (0x00000000u)

#define CSL_PSC_PERRPR_P1_MASK           (0x00000002u)
#define CSL_PSC_PERRPR_P1_SHIFT          (0x00000001u)
#define CSL_PSC_PERRPR_P1_RESETVAL       (0x00000000u)

#define CSL_PSC_PERRPR_P0_MASK           (0x00000001u)
#define CSL_PSC_PERRPR_P0_SHIFT          (0x00000000u)
#define CSL_PSC_PERRPR_P0_RESETVAL       (0x00000000u)

#define CSL_PSC_PERRPR_RESETVAL          (0x00000000u)

/* PERRCR */

#define CSL_PSC_PERRCR_P31_MASK          (0x80000000u)
#define CSL_PSC_PERRCR_P31_SHIFT         (0x0000001Fu)
#define CSL_PSC_PERRCR_P31_RESETVAL      (0x00000000u)

#define CSL_PSC_PERRCR_P30_MASK          (0x40000000u)
#define CSL_PSC_PERRCR_P30_SHIFT         (0x0000001Eu)
#define CSL_PSC_PERRCR_P30_RESETVAL      (0x00000000u)

#define CSL_PSC_PERRCR_P29_MASK          (0x20000000u)
#define CSL_PSC_PERRCR_P29_SHIFT         (0x0000001Du)
#define CSL_PSC_PERRCR_P29_RESETVAL      (0x00000000u)

#define CSL_PSC_PERRCR_P28_MASK          (0x10000000u)
#define CSL_PSC_PERRCR_P28_SHIFT         (0x0000001Cu)
#define CSL_PSC_PERRCR_P28_RESETVAL      (0x00000000u)

#define CSL_PSC_PERRCR_P27_MASK          (0x08000000u)
#define CSL_PSC_PERRCR_P27_SHIFT         (0x0000001Bu)
#define CSL_PSC_PERRCR_P27_RESETVAL      (0x00000000u)

#define CSL_PSC_PERRCR_P26_MASK          (0x04000000u)
#define CSL_PSC_PERRCR_P26_SHIFT         (0x0000001Au)
#define CSL_PSC_PERRCR_P26_RESETVAL      (0x00000000u)

#define CSL_PSC_PERRCR_P25_MASK          (0x02000000u)
#define CSL_PSC_PERRCR_P25_SHIFT         (0x00000019u)
#define CSL_PSC_PERRCR_P25_RESETVAL      (0x00000000u)

#define CSL_PSC_PERRCR_P24_MASK          (0x01000000u)
#define CSL_PSC_PERRCR_P24_SHIFT         (0x00000018u)
#define CSL_PSC_PERRCR_P24_RESETVAL      (0x00000000u)

#define CSL_PSC_PERRCR_P23_MASK          (0x00800000u)
#define CSL_PSC_PERRCR_P23_SHIFT         (0x00000017u)
#define CSL_PSC_PERRCR_P23_RESETVAL      (0x00000000u)

#define CSL_PSC_PERRCR_P22_MASK          (0x00400000u)
#define CSL_PSC_PERRCR_P22_SHIFT         (0x00000016u)
#define CSL_PSC_PERRCR_P22_RESETVAL      (0x00000000u)

#define CSL_PSC_PERRCR_P21_MASK          (0x00200000u)
#define CSL_PSC_PERRCR_P21_SHIFT         (0x00000015u)
#define CSL_PSC_PERRCR_P21_RESETVAL      (0x00000000u)

#define CSL_PSC_PERRCR_P20_MASK          (0x00100000u)
#define CSL_PSC_PERRCR_P20_SHIFT         (0x00000014u)
#define CSL_PSC_PERRCR_P20_RESETVAL      (0x00000000u)

#define CSL_PSC_PERRCR_P19_MASK          (0x00080000u)
#define CSL_PSC_PERRCR_P19_SHIFT         (0x00000013u)
#define CSL_PSC_PERRCR_P19_RESETVAL      (0x00000000u)

#define CSL_PSC_PERRCR_P18_MASK          (0x00040000u)
#define CSL_PSC_PERRCR_P18_SHIFT         (0x00000012u)
#define CSL_PSC_PERRCR_P18_RESETVAL      (0x00000000u)

#define CSL_PSC_PERRCR_P17_MASK          (0x00020000u)
#define CSL_PSC_PERRCR_P17_SHIFT         (0x00000011u)
#define CSL_PSC_PERRCR_P17_RESETVAL      (0x00000000u)

#define CSL_PSC_PERRCR_P16_MASK          (0x00010000u)
#define CSL_PSC_PERRCR_P16_SHIFT         (0x00000010u)
#define CSL_PSC_PERRCR_P16_RESETVAL      (0x00000000u)

#define CSL_PSC_PERRCR_P15_MASK          (0x00008000u)
#define CSL_PSC_PERRCR_P15_SHIFT         (0x0000000Fu)
#define CSL_PSC_PERRCR_P15_RESETVAL      (0x00000000u)

#define CSL_PSC_PERRCR_P14_MASK          (0x00004000u)
#define CSL_PSC_PERRCR_P14_SHIFT         (0x0000000Eu)
#define CSL_PSC_PERRCR_P14_RESETVAL      (0x00000000u)

#define CSL_PSC_PERRCR_P13_MASK          (0x00002000u)
#define CSL_PSC_PERRCR_P13_SHIFT         (0x0000000Du)
#define CSL_PSC_PERRCR_P13_RESETVAL      (0x00000000u)

#define CSL_PSC_PERRCR_P12_MASK          (0x00001000u)
#define CSL_PSC_PERRCR_P12_SHIFT         (0x0000000Cu)
#define CSL_PSC_PERRCR_P12_RESETVAL      (0x00000000u)

#define CSL_PSC_PERRCR_P11_MASK          (0x00000800u)
#define CSL_PSC_PERRCR_P11_SHIFT         (0x0000000Bu)
#define CSL_PSC_PERRCR_P11_RESETVAL      (0x00000000u)

#define CSL_PSC_PERRCR_P10_MASK          (0x00000400u)
#define CSL_PSC_PERRCR_P10_SHIFT         (0x0000000Au)
#define CSL_PSC_PERRCR_P10_RESETVAL      (0x00000000u)

#define CSL_PSC_PERRCR_P9_MASK           (0x00000200u)
#define CSL_PSC_PERRCR_P9_SHIFT          (0x00000009u)
#define CSL_PSC_PERRCR_P9_RESETVAL       (0x00000000u)

#define CSL_PSC_PERRCR_P8_MASK           (0x00000100u)
#define CSL_PSC_PERRCR_P8_SHIFT          (0x00000008u)
#define CSL_PSC_PERRCR_P8_RESETVAL       (0x00000000u)

#define CSL_PSC_PERRCR_P7_MASK           (0x00000080u)
#define CSL_PSC_PERRCR_P7_SHIFT          (0x00000007u)
#define CSL_PSC_PERRCR_P7_RESETVAL       (0x00000000u)

#define CSL_PSC_PERRCR_P6_MASK           (0x00000040u)
#define CSL_PSC_PERRCR_P6_SHIFT          (0x00000006u)
#define CSL_PSC_PERRCR_P6_RESETVAL       (0x00000000u)

#define CSL_PSC_PERRCR_P5_MASK           (0x00000020u)
#define CSL_PSC_PERRCR_P5_SHIFT          (0x00000005u)
#define CSL_PSC_PERRCR_P5_RESETVAL       (0x00000000u)

#define CSL_PSC_PERRCR_P4_MASK           (0x00000010u)
#define CSL_PSC_PERRCR_P4_SHIFT          (0x00000004u)
#define CSL_PSC_PERRCR_P4_RESETVAL       (0x00000000u)

#define CSL_PSC_PERRCR_P3_MASK           (0x00000008u)
#define CSL_PSC_PERRCR_P3_SHIFT          (0x00000003u)
#define CSL_PSC_PERRCR_P3_RESETVAL       (0x00000000u)

#define CSL_PSC_PERRCR_P2_MASK           (0x00000004u)
#define CSL_PSC_PERRCR_P2_SHIFT          (0x00000002u)
#define CSL_PSC_PERRCR_P2_RESETVAL       (0x00000000u)

#define CSL_PSC_PERRCR_P1_MASK           (0x00000002u)
#define CSL_PSC_PERRCR_P1_SHIFT          (0x00000001u)
#define CSL_PSC_PERRCR_P1_RESETVAL       (0x00000000u)

#define CSL_PSC_PERRCR_P0_MASK           (0x00000001u)
#define CSL_PSC_PERRCR_P0_SHIFT          (0x00000000u)
#define CSL_PSC_PERRCR_P0_RESETVAL       (0x00000000u)

#define CSL_PSC_PERRCR_RESETVAL          (0x00000000u)

/* EPCPR */

#define CSL_PSC_EPCPR_EPC31_MASK         (0x80000000u)
#define CSL_PSC_EPCPR_EPC31_SHIFT        (0x0000001Fu)
#define CSL_PSC_EPCPR_EPC31_RESETVAL     (0x00000000u)

#define CSL_PSC_EPCPR_EPC30_MASK         (0x40000000u)
#define CSL_PSC_EPCPR_EPC30_SHIFT        (0x0000001Eu)
#define CSL_PSC_EPCPR_EPC30_RESETVAL     (0x00000000u)

#define CSL_PSC_EPCPR_EPC29_MASK         (0x20000000u)
#define CSL_PSC_EPCPR_EPC29_SHIFT        (0x0000001Du)
#define CSL_PSC_EPCPR_EPC29_RESETVAL     (0x00000000u)

#define CSL_PSC_EPCPR_EPC28_MASK         (0x10000000u)
#define CSL_PSC_EPCPR_EPC28_SHIFT        (0x0000001Cu)
#define CSL_PSC_EPCPR_EPC28_RESETVAL     (0x00000000u)

#define CSL_PSC_EPCPR_EPC27_MASK         (0x08000000u)
#define CSL_PSC_EPCPR_EPC27_SHIFT        (0x0000001Bu)
#define CSL_PSC_EPCPR_EPC27_RESETVAL     (0x00000000u)

#define CSL_PSC_EPCPR_EPC26_MASK         (0x04000000u)
#define CSL_PSC_EPCPR_EPC26_SHIFT        (0x0000001Au)
#define CSL_PSC_EPCPR_EPC26_RESETVAL     (0x00000000u)

#define CSL_PSC_EPCPR_EPC25_MASK         (0x02000000u)
#define CSL_PSC_EPCPR_EPC25_SHIFT        (0x00000019u)
#define CSL_PSC_EPCPR_EPC25_RESETVAL     (0x00000000u)

#define CSL_PSC_EPCPR_EPC24_MASK         (0x01000000u)
#define CSL_PSC_EPCPR_EPC24_SHIFT        (0x00000018u)
#define CSL_PSC_EPCPR_EPC24_RESETVAL     (0x00000000u)

#define CSL_PSC_EPCPR_EPC23_MASK         (0x00800000u)
#define CSL_PSC_EPCPR_EPC23_SHIFT        (0x00000017u)
#define CSL_PSC_EPCPR_EPC23_RESETVAL     (0x00000000u)

#define CSL_PSC_EPCPR_EPC22_MASK         (0x00400000u)
#define CSL_PSC_EPCPR_EPC22_SHIFT        (0x00000016u)
#define CSL_PSC_EPCPR_EPC22_RESETVAL     (0x00000000u)

#define CSL_PSC_EPCPR_EPC21_MASK         (0x00200000u)
#define CSL_PSC_EPCPR_EPC21_SHIFT        (0x00000015u)
#define CSL_PSC_EPCPR_EPC21_RESETVAL     (0x00000000u)

#define CSL_PSC_EPCPR_EPC20_MASK         (0x00100000u)
#define CSL_PSC_EPCPR_EPC20_SHIFT        (0x00000014u)
#define CSL_PSC_EPCPR_EPC20_RESETVAL     (0x00000000u)

#define CSL_PSC_EPCPR_EPC19_MASK         (0x00080000u)
#define CSL_PSC_EPCPR_EPC19_SHIFT        (0x00000013u)
#define CSL_PSC_EPCPR_EPC19_RESETVAL     (0x00000000u)

#define CSL_PSC_EPCPR_EPC18_MASK         (0x00040000u)
#define CSL_PSC_EPCPR_EPC18_SHIFT        (0x00000012u)
#define CSL_PSC_EPCPR_EPC18_RESETVAL     (0x00000000u)

#define CSL_PSC_EPCPR_EPC17_MASK         (0x00020000u)
#define CSL_PSC_EPCPR_EPC17_SHIFT        (0x00000011u)
#define CSL_PSC_EPCPR_EPC17_RESETVAL     (0x00000000u)

#define CSL_PSC_EPCPR_EPC16_MASK         (0x00010000u)
#define CSL_PSC_EPCPR_EPC16_SHIFT        (0x00000010u)
#define CSL_PSC_EPCPR_EPC16_RESETVAL     (0x00000000u)

#define CSL_PSC_EPCPR_EPC15_MASK         (0x00008000u)
#define CSL_PSC_EPCPR_EPC15_SHIFT        (0x0000000Fu)
#define CSL_PSC_EPCPR_EPC15_RESETVAL     (0x00000000u)

#define CSL_PSC_EPCPR_EPC14_MASK         (0x00004000u)
#define CSL_PSC_EPCPR_EPC14_SHIFT        (0x0000000Eu)
#define CSL_PSC_EPCPR_EPC14_RESETVAL     (0x00000000u)

#define CSL_PSC_EPCPR_EPC13_MASK         (0x00002000u)
#define CSL_PSC_EPCPR_EPC13_SHIFT        (0x0000000Du)
#define CSL_PSC_EPCPR_EPC13_RESETVAL     (0x00000000u)

#define CSL_PSC_EPCPR_EPC12_MASK         (0x00001000u)
#define CSL_PSC_EPCPR_EPC12_SHIFT        (0x0000000Cu)
#define CSL_PSC_EPCPR_EPC12_RESETVAL     (0x00000000u)

#define CSL_PSC_EPCPR_EPC11_MASK         (0x00000800u)
#define CSL_PSC_EPCPR_EPC11_SHIFT        (0x0000000Bu)
#define CSL_PSC_EPCPR_EPC11_RESETVAL     (0x00000000u)

#define CSL_PSC_EPCPR_EPC10_MASK         (0x00000400u)
#define CSL_PSC_EPCPR_EPC10_SHIFT        (0x0000000Au)
#define CSL_PSC_EPCPR_EPC10_RESETVAL     (0x00000000u)

#define CSL_PSC_EPCPR_EPC9_MASK          (0x00000200u)
#define CSL_PSC_EPCPR_EPC9_SHIFT         (0x00000009u)
#define CSL_PSC_EPCPR_EPC9_RESETVAL      (0x00000000u)

#define CSL_PSC_EPCPR_EPC8_MASK          (0x00000100u)
#define CSL_PSC_EPCPR_EPC8_SHIFT         (0x00000008u)
#define CSL_PSC_EPCPR_EPC8_RESETVAL      (0x00000000u)

#define CSL_PSC_EPCPR_EPC7_MASK          (0x00000080u)
#define CSL_PSC_EPCPR_EPC7_SHIFT         (0x00000007u)
#define CSL_PSC_EPCPR_EPC7_RESETVAL      (0x00000000u)

#define CSL_PSC_EPCPR_EPC6_MASK          (0x00000040u)
#define CSL_PSC_EPCPR_EPC6_SHIFT         (0x00000006u)
#define CSL_PSC_EPCPR_EPC6_RESETVAL      (0x00000000u)

#define CSL_PSC_EPCPR_EPC5_MASK          (0x00000020u)
#define CSL_PSC_EPCPR_EPC5_SHIFT         (0x00000005u)
#define CSL_PSC_EPCPR_EPC5_RESETVAL      (0x00000000u)

#define CSL_PSC_EPCPR_EPC4_MASK          (0x00000010u)
#define CSL_PSC_EPCPR_EPC4_SHIFT         (0x00000004u)
#define CSL_PSC_EPCPR_EPC4_RESETVAL      (0x00000000u)

#define CSL_PSC_EPCPR_EPC3_MASK          (0x00000008u)
#define CSL_PSC_EPCPR_EPC3_SHIFT         (0x00000003u)
#define CSL_PSC_EPCPR_EPC3_RESETVAL      (0x00000000u)

#define CSL_PSC_EPCPR_EPC2_MASK          (0x00000004u)
#define CSL_PSC_EPCPR_EPC2_SHIFT         (0x00000002u)
#define CSL_PSC_EPCPR_EPC2_RESETVAL      (0x00000000u)

#define CSL_PSC_EPCPR_EPC1_MASK          (0x00000002u)
#define CSL_PSC_EPCPR_EPC1_SHIFT         (0x00000001u)
#define CSL_PSC_EPCPR_EPC1_RESETVAL      (0x00000000u)

#define CSL_PSC_EPCPR_EPC0_MASK          (0x00000001u)
#define CSL_PSC_EPCPR_EPC0_SHIFT         (0x00000000u)
#define CSL_PSC_EPCPR_EPC0_RESETVAL      (0x00000000u)

#define CSL_PSC_EPCPR_RESETVAL           (0x00000000u)

/* EPCR */

#define CSL_PSC_EPCR_EPC31_MASK          (0x80000000u)
#define CSL_PSC_EPCR_EPC31_SHIFT         (0x0000001Fu)
#define CSL_PSC_EPCR_EPC31_RESETVAL      (0x00000000u)

#define CSL_PSC_EPCR_EPC30_MASK          (0x40000000u)
#define CSL_PSC_EPCR_EPC30_SHIFT         (0x0000001Eu)
#define CSL_PSC_EPCR_EPC30_RESETVAL      (0x00000000u)

#define CSL_PSC_EPCR_EPC29_MASK          (0x20000000u)
#define CSL_PSC_EPCR_EPC29_SHIFT         (0x0000001Du)
#define CSL_PSC_EPCR_EPC29_RESETVAL      (0x00000000u)

#define CSL_PSC_EPCR_EPC28_MASK          (0x10000000u)
#define CSL_PSC_EPCR_EPC28_SHIFT         (0x0000001Cu)
#define CSL_PSC_EPCR_EPC28_RESETVAL      (0x00000000u)

#define CSL_PSC_EPCR_EPC27_MASK          (0x08000000u)
#define CSL_PSC_EPCR_EPC27_SHIFT         (0x0000001Bu)
#define CSL_PSC_EPCR_EPC27_RESETVAL      (0x00000000u)

#define CSL_PSC_EPCR_EPC26_MASK          (0x04000000u)
#define CSL_PSC_EPCR_EPC26_SHIFT         (0x0000001Au)
#define CSL_PSC_EPCR_EPC26_RESETVAL      (0x00000000u)

#define CSL_PSC_EPCR_EPC25_MASK          (0x02000000u)
#define CSL_PSC_EPCR_EPC25_SHIFT         (0x00000019u)
#define CSL_PSC_EPCR_EPC25_RESETVAL      (0x00000000u)

#define CSL_PSC_EPCR_EPC24_MASK          (0x01000000u)
#define CSL_PSC_EPCR_EPC24_SHIFT         (0x00000018u)
#define CSL_PSC_EPCR_EPC24_RESETVAL      (0x00000000u)

#define CSL_PSC_EPCR_EPC23_MASK          (0x00800000u)
#define CSL_PSC_EPCR_EPC23_SHIFT         (0x00000017u)
#define CSL_PSC_EPCR_EPC23_RESETVAL      (0x00000000u)

#define CSL_PSC_EPCR_EPC22_MASK          (0x00400000u)
#define CSL_PSC_EPCR_EPC22_SHIFT         (0x00000016u)
#define CSL_PSC_EPCR_EPC22_RESETVAL      (0x00000000u)

#define CSL_PSC_EPCR_EPC21_MASK          (0x00200000u)
#define CSL_PSC_EPCR_EPC21_SHIFT         (0x00000015u)
#define CSL_PSC_EPCR_EPC21_RESETVAL      (0x00000000u)

#define CSL_PSC_EPCR_EPC20_MASK          (0x00100000u)
#define CSL_PSC_EPCR_EPC20_SHIFT         (0x00000014u)
#define CSL_PSC_EPCR_EPC20_RESETVAL      (0x00000000u)

#define CSL_PSC_EPCR_EPC19_MASK          (0x00080000u)
#define CSL_PSC_EPCR_EPC19_SHIFT         (0x00000013u)
#define CSL_PSC_EPCR_EPC19_RESETVAL      (0x00000000u)

#define CSL_PSC_EPCR_EPC18_MASK          (0x00040000u)
#define CSL_PSC_EPCR_EPC18_SHIFT         (0x00000012u)
#define CSL_PSC_EPCR_EPC18_RESETVAL      (0x00000000u)

#define CSL_PSC_EPCR_EPC17_MASK          (0x00020000u)
#define CSL_PSC_EPCR_EPC17_SHIFT         (0x00000011u)
#define CSL_PSC_EPCR_EPC17_RESETVAL      (0x00000000u)

#define CSL_PSC_EPCR_EPC16_MASK          (0x00010000u)
#define CSL_PSC_EPCR_EPC16_SHIFT         (0x00000010u)
#define CSL_PSC_EPCR_EPC16_RESETVAL      (0x00000000u)

#define CSL_PSC_EPCR_EPC15_MASK          (0x00008000u)
#define CSL_PSC_EPCR_EPC15_SHIFT         (0x0000000Fu)
#define CSL_PSC_EPCR_EPC15_RESETVAL      (0x00000000u)

#define CSL_PSC_EPCR_EPC14_MASK          (0x00004000u)
#define CSL_PSC_EPCR_EPC14_SHIFT         (0x0000000Eu)
#define CSL_PSC_EPCR_EPC14_RESETVAL      (0x00000000u)

#define CSL_PSC_EPCR_EPC13_MASK          (0x00002000u)
#define CSL_PSC_EPCR_EPC13_SHIFT         (0x0000000Du)
#define CSL_PSC_EPCR_EPC13_RESETVAL      (0x00000000u)

#define CSL_PSC_EPCR_EPC12_MASK          (0x00001000u)
#define CSL_PSC_EPCR_EPC12_SHIFT         (0x0000000Cu)
#define CSL_PSC_EPCR_EPC12_RESETVAL      (0x00000000u)

#define CSL_PSC_EPCR_EPC11_MASK          (0x00000800u)
#define CSL_PSC_EPCR_EPC11_SHIFT         (0x0000000Bu)
#define CSL_PSC_EPCR_EPC11_RESETVAL      (0x00000000u)

#define CSL_PSC_EPCR_EPC10_MASK          (0x00000400u)
#define CSL_PSC_EPCR_EPC10_SHIFT         (0x0000000Au)
#define CSL_PSC_EPCR_EPC10_RESETVAL      (0x00000000u)

#define CSL_PSC_EPCR_EPC9_MASK           (0x00000200u)
#define CSL_PSC_EPCR_EPC9_SHIFT          (0x00000009u)
#define CSL_PSC_EPCR_EPC9_RESETVAL       (0x00000000u)

#define CSL_PSC_EPCR_EPC8_MASK           (0x00000100u)
#define CSL_PSC_EPCR_EPC8_SHIFT          (0x00000008u)
#define CSL_PSC_EPCR_EPC8_RESETVAL       (0x00000000u)

#define CSL_PSC_EPCR_EPC7_MASK           (0x00000080u)
#define CSL_PSC_EPCR_EPC7_SHIFT          (0x00000007u)
#define CSL_PSC_EPCR_EPC7_RESETVAL       (0x00000000u)

#define CSL_PSC_EPCR_EPC6_MASK           (0x00000040u)
#define CSL_PSC_EPCR_EPC6_SHIFT          (0x00000006u)
#define CSL_PSC_EPCR_EPC6_RESETVAL       (0x00000000u)

#define CSL_PSC_EPCR_EPC5_MASK           (0x00000020u)
#define CSL_PSC_EPCR_EPC5_SHIFT          (0x00000005u)
#define CSL_PSC_EPCR_EPC5_RESETVAL       (0x00000000u)

#define CSL_PSC_EPCR_EPC4_MASK           (0x00000010u)
#define CSL_PSC_EPCR_EPC4_SHIFT          (0x00000004u)
#define CSL_PSC_EPCR_EPC4_RESETVAL       (0x00000000u)

#define CSL_PSC_EPCR_EPC3_MASK           (0x00000008u)
#define CSL_PSC_EPCR_EPC3_SHIFT          (0x00000003u)
#define CSL_PSC_EPCR_EPC3_RESETVAL       (0x00000000u)

#define CSL_PSC_EPCR_EPC2_MASK           (0x00000004u)
#define CSL_PSC_EPCR_EPC2_SHIFT          (0x00000002u)
#define CSL_PSC_EPCR_EPC2_RESETVAL       (0x00000000u)

#define CSL_PSC_EPCR_EPC1_MASK           (0x00000002u)
#define CSL_PSC_EPCR_EPC1_SHIFT          (0x00000001u)
#define CSL_PSC_EPCR_EPC1_RESETVAL       (0x00000000u)

#define CSL_PSC_EPCR_EPC0_MASK           (0x00000001u)
#define CSL_PSC_EPCR_EPC0_SHIFT          (0x00000000u)
#define CSL_PSC_EPCR_EPC0_RESETVAL       (0x00000000u)

#define CSL_PSC_EPCR_RESETVAL            (0x00000000u)

/* RAILSTAT */

#define CSL_PSC_RAILSTAT_RAILNUM_MASK    (0x1F000000u)
#define CSL_PSC_RAILSTAT_RAILNUM_SHIFT   (0x00000018u)
#define CSL_PSC_RAILSTAT_RAILNUM_RESETVAL (0x00000000u)

#define CSL_PSC_RAILSTAT_RAILCNT_MASK    (0x000000FFu)
#define CSL_PSC_RAILSTAT_RAILCNT_SHIFT   (0x00000000u)
#define CSL_PSC_RAILSTAT_RAILCNT_RESETVAL (0x00000000u)

#define CSL_PSC_RAILSTAT_RESETVAL        (0x00000000u)

/* RAILCTL */

#define CSL_PSC_RAILCTL_RAILCTR1_MASK    (0x0000FF00u)
#define CSL_PSC_RAILCTL_RAILCTR1_SHIFT   (0x00000008u)
#define CSL_PSC_RAILCTL_RAILCTR1_RESETVAL (0x00000000u)

#define CSL_PSC_RAILCTL_RAILCTR0_MASK    (0x000000FFu)
#define CSL_PSC_RAILCTL_RAILCTR0_SHIFT   (0x00000000u)
#define CSL_PSC_RAILCTL_RAILCTR0_RESETVAL (0x00000000u)

#define CSL_PSC_RAILCTL_RESETVAL         (0x00000000u)

/* RAILSEL */

#define CSL_PSC_RAILSEL_P31_MASK         (0x80000000u)
#define CSL_PSC_RAILSEL_P31_SHIFT        (0x0000001Fu)
#define CSL_PSC_RAILSEL_P31_RESETVAL     (0x00000000u)

#define CSL_PSC_RAILSEL_P30_MASK         (0x40000000u)
#define CSL_PSC_RAILSEL_P30_SHIFT        (0x0000001Eu)
#define CSL_PSC_RAILSEL_P30_RESETVAL     (0x00000000u)

#define CSL_PSC_RAILSEL_P29_MASK         (0x20000000u)
#define CSL_PSC_RAILSEL_P29_SHIFT        (0x0000001Du)
#define CSL_PSC_RAILSEL_P29_RESETVAL     (0x00000000u)

#define CSL_PSC_RAILSEL_P28_MASK         (0x10000000u)
#define CSL_PSC_RAILSEL_P28_SHIFT        (0x0000001Cu)
#define CSL_PSC_RAILSEL_P28_RESETVAL     (0x00000000u)

#define CSL_PSC_RAILSEL_P27_MASK         (0x08000000u)
#define CSL_PSC_RAILSEL_P27_SHIFT        (0x0000001Bu)
#define CSL_PSC_RAILSEL_P27_RESETVAL     (0x00000000u)

#define CSL_PSC_RAILSEL_P26_MASK         (0x04000000u)
#define CSL_PSC_RAILSEL_P26_SHIFT        (0x0000001Au)
#define CSL_PSC_RAILSEL_P26_RESETVAL     (0x00000000u)

#define CSL_PSC_RAILSEL_P25_MASK         (0x02000000u)
#define CSL_PSC_RAILSEL_P25_SHIFT        (0x00000019u)
#define CSL_PSC_RAILSEL_P25_RESETVAL     (0x00000000u)

#define CSL_PSC_RAILSEL_P24_MASK         (0x01000000u)
#define CSL_PSC_RAILSEL_P24_SHIFT        (0x00000018u)
#define CSL_PSC_RAILSEL_P24_RESETVAL     (0x00000000u)

#define CSL_PSC_RAILSEL_P23_MASK         (0x00800000u)
#define CSL_PSC_RAILSEL_P23_SHIFT        (0x00000017u)
#define CSL_PSC_RAILSEL_P23_RESETVAL     (0x00000000u)

#define CSL_PSC_RAILSEL_P22_MASK         (0x00400000u)
#define CSL_PSC_RAILSEL_P22_SHIFT        (0x00000016u)
#define CSL_PSC_RAILSEL_P22_RESETVAL     (0x00000000u)

#define CSL_PSC_RAILSEL_P21_MASK         (0x00200000u)
#define CSL_PSC_RAILSEL_P21_SHIFT        (0x00000015u)
#define CSL_PSC_RAILSEL_P21_RESETVAL     (0x00000000u)

#define CSL_PSC_RAILSEL_P20_MASK         (0x00100000u)
#define CSL_PSC_RAILSEL_P20_SHIFT        (0x00000014u)
#define CSL_PSC_RAILSEL_P20_RESETVAL     (0x00000000u)

#define CSL_PSC_RAILSEL_P19_MASK         (0x00080000u)
#define CSL_PSC_RAILSEL_P19_SHIFT        (0x00000013u)
#define CSL_PSC_RAILSEL_P19_RESETVAL     (0x00000000u)

#define CSL_PSC_RAILSEL_P18_MASK         (0x00040000u)
#define CSL_PSC_RAILSEL_P18_SHIFT        (0x00000012u)
#define CSL_PSC_RAILSEL_P18_RESETVAL     (0x00000000u)

#define CSL_PSC_RAILSEL_P17_MASK         (0x00020000u)
#define CSL_PSC_RAILSEL_P17_SHIFT        (0x00000011u)
#define CSL_PSC_RAILSEL_P17_RESETVAL     (0x00000000u)

#define CSL_PSC_RAILSEL_P16_MASK         (0x00010000u)
#define CSL_PSC_RAILSEL_P16_SHIFT        (0x00000010u)
#define CSL_PSC_RAILSEL_P16_RESETVAL     (0x00000000u)

#define CSL_PSC_RAILSEL_P15_MASK         (0x00008000u)
#define CSL_PSC_RAILSEL_P15_SHIFT        (0x0000000Fu)
#define CSL_PSC_RAILSEL_P15_RESETVAL     (0x00000000u)

#define CSL_PSC_RAILSEL_P14_MASK         (0x00004000u)
#define CSL_PSC_RAILSEL_P14_SHIFT        (0x0000000Eu)
#define CSL_PSC_RAILSEL_P14_RESETVAL     (0x00000000u)

#define CSL_PSC_RAILSEL_P13_MASK         (0x00002000u)
#define CSL_PSC_RAILSEL_P13_SHIFT        (0x0000000Du)
#define CSL_PSC_RAILSEL_P13_RESETVAL     (0x00000000u)

#define CSL_PSC_RAILSEL_P12_MASK         (0x00001000u)
#define CSL_PSC_RAILSEL_P12_SHIFT        (0x0000000Cu)
#define CSL_PSC_RAILSEL_P12_RESETVAL     (0x00000000u)

#define CSL_PSC_RAILSEL_P11_MASK         (0x00000800u)
#define CSL_PSC_RAILSEL_P11_SHIFT        (0x0000000Bu)
#define CSL_PSC_RAILSEL_P11_RESETVAL     (0x00000000u)

#define CSL_PSC_RAILSEL_P10_MASK         (0x00000400u)
#define CSL_PSC_RAILSEL_P10_SHIFT        (0x0000000Au)
#define CSL_PSC_RAILSEL_P10_RESETVAL     (0x00000000u)

#define CSL_PSC_RAILSEL_P9_MASK          (0x00000200u)
#define CSL_PSC_RAILSEL_P9_SHIFT         (0x00000009u)
#define CSL_PSC_RAILSEL_P9_RESETVAL      (0x00000000u)

#define CSL_PSC_RAILSEL_P8_MASK          (0x00000100u)
#define CSL_PSC_RAILSEL_P8_SHIFT         (0x00000008u)
#define CSL_PSC_RAILSEL_P8_RESETVAL      (0x00000000u)

#define CSL_PSC_RAILSEL_P7_MASK          (0x00000080u)
#define CSL_PSC_RAILSEL_P7_SHIFT         (0x00000007u)
#define CSL_PSC_RAILSEL_P7_RESETVAL      (0x00000000u)

#define CSL_PSC_RAILSEL_P6_MASK          (0x00000040u)
#define CSL_PSC_RAILSEL_P6_SHIFT         (0x00000006u)
#define CSL_PSC_RAILSEL_P6_RESETVAL      (0x00000000u)

#define CSL_PSC_RAILSEL_P5_MASK          (0x00000020u)
#define CSL_PSC_RAILSEL_P5_SHIFT         (0x00000005u)
#define CSL_PSC_RAILSEL_P5_RESETVAL      (0x00000000u)

#define CSL_PSC_RAILSEL_P4_MASK          (0x00000010u)
#define CSL_PSC_RAILSEL_P4_SHIFT         (0x00000004u)
#define CSL_PSC_RAILSEL_P4_RESETVAL      (0x00000000u)

#define CSL_PSC_RAILSEL_P3_MASK          (0x00000008u)
#define CSL_PSC_RAILSEL_P3_SHIFT         (0x00000003u)
#define CSL_PSC_RAILSEL_P3_RESETVAL      (0x00000000u)

#define CSL_PSC_RAILSEL_P2_MASK          (0x00000004u)
#define CSL_PSC_RAILSEL_P2_SHIFT         (0x00000002u)
#define CSL_PSC_RAILSEL_P2_RESETVAL      (0x00000000u)

#define CSL_PSC_RAILSEL_P1_MASK          (0x00000002u)
#define CSL_PSC_RAILSEL_P1_SHIFT         (0x00000001u)
#define CSL_PSC_RAILSEL_P1_RESETVAL      (0x00000000u)

#define CSL_PSC_RAILSEL_P0_MASK          (0x00000001u)
#define CSL_PSC_RAILSEL_P0_SHIFT         (0x00000000u)
#define CSL_PSC_RAILSEL_P0_RESETVAL      (0x00000000u)

#define CSL_PSC_RAILSEL_RESETVAL         (0x00000000u)

/* PTCMD */

#define CSL_PSC_PTCMD_GO31_MASK          (0x80000000u)
#define CSL_PSC_PTCMD_GO31_SHIFT         (0x0000001Fu)
#define CSL_PSC_PTCMD_GO31_RESETVAL      (0x00000000u)

#define CSL_PSC_PTCMD_GO30_MASK          (0x40000000u)
#define CSL_PSC_PTCMD_GO30_SHIFT         (0x0000001Eu)
#define CSL_PSC_PTCMD_GO30_RESETVAL      (0x00000000u)

#define CSL_PSC_PTCMD_GO29_MASK          (0x20000000u)
#define CSL_PSC_PTCMD_GO29_SHIFT         (0x0000001Du)
#define CSL_PSC_PTCMD_GO29_RESETVAL      (0x00000000u)

#define CSL_PSC_PTCMD_GO28_MASK          (0x10000000u)
#define CSL_PSC_PTCMD_GO28_SHIFT         (0x0000001Cu)
#define CSL_PSC_PTCMD_GO28_RESETVAL      (0x00000000u)

#define CSL_PSC_PTCMD_GO27_MASK          (0x08000000u)
#define CSL_PSC_PTCMD_GO27_SHIFT         (0x0000001Bu)
#define CSL_PSC_PTCMD_GO27_RESETVAL      (0x00000000u)

#define CSL_PSC_PTCMD_GO26_MASK          (0x04000000u)
#define CSL_PSC_PTCMD_GO26_SHIFT         (0x0000001Au)
#define CSL_PSC_PTCMD_GO26_RESETVAL      (0x00000000u)

#define CSL_PSC_PTCMD_GO25_MASK          (0x02000000u)
#define CSL_PSC_PTCMD_GO25_SHIFT         (0x00000019u)
#define CSL_PSC_PTCMD_GO25_RESETVAL      (0x00000000u)

#define CSL_PSC_PTCMD_GO24_MASK          (0x01000000u)
#define CSL_PSC_PTCMD_GO24_SHIFT         (0x00000018u)
#define CSL_PSC_PTCMD_GO24_RESETVAL      (0x00000000u)

#define CSL_PSC_PTCMD_GO23_MASK          (0x00800000u)
#define CSL_PSC_PTCMD_GO23_SHIFT         (0x00000017u)
#define CSL_PSC_PTCMD_GO23_RESETVAL      (0x00000000u)

#define CSL_PSC_PTCMD_GO22_MASK          (0x00400000u)
#define CSL_PSC_PTCMD_GO22_SHIFT         (0x00000016u)
#define CSL_PSC_PTCMD_GO22_RESETVAL      (0x00000000u)

#define CSL_PSC_PTCMD_GO21_MASK          (0x00200000u)
#define CSL_PSC_PTCMD_GO21_SHIFT         (0x00000015u)
#define CSL_PSC_PTCMD_GO21_RESETVAL      (0x00000000u)

#define CSL_PSC_PTCMD_GO20_MASK          (0x00100000u)
#define CSL_PSC_PTCMD_GO20_SHIFT         (0x00000014u)
#define CSL_PSC_PTCMD_GO20_RESETVAL      (0x00000000u)

#define CSL_PSC_PTCMD_GO19_MASK          (0x00080000u)
#define CSL_PSC_PTCMD_GO19_SHIFT         (0x00000013u)
#define CSL_PSC_PTCMD_GO19_RESETVAL      (0x00000000u)

#define CSL_PSC_PTCMD_GO18_MASK          (0x00040000u)
#define CSL_PSC_PTCMD_GO18_SHIFT         (0x00000012u)
#define CSL_PSC_PTCMD_GO18_RESETVAL      (0x00000000u)

#define CSL_PSC_PTCMD_GO17_MASK          (0x00020000u)
#define CSL_PSC_PTCMD_GO17_SHIFT         (0x00000011u)
#define CSL_PSC_PTCMD_GO17_RESETVAL      (0x00000000u)

#define CSL_PSC_PTCMD_GO16_MASK          (0x00010000u)
#define CSL_PSC_PTCMD_GO16_SHIFT         (0x00000010u)
#define CSL_PSC_PTCMD_GO16_RESETVAL      (0x00000000u)

#define CSL_PSC_PTCMD_GO15_MASK          (0x00008000u)
#define CSL_PSC_PTCMD_GO15_SHIFT         (0x0000000Fu)
#define CSL_PSC_PTCMD_GO15_RESETVAL      (0x00000000u)

#define CSL_PSC_PTCMD_GO14_MASK          (0x00004000u)
#define CSL_PSC_PTCMD_GO14_SHIFT         (0x0000000Eu)
#define CSL_PSC_PTCMD_GO14_RESETVAL      (0x00000000u)

#define CSL_PSC_PTCMD_GO13_MASK          (0x00002000u)
#define CSL_PSC_PTCMD_GO13_SHIFT         (0x0000000Du)
#define CSL_PSC_PTCMD_GO13_RESETVAL      (0x00000000u)

#define CSL_PSC_PTCMD_GO12_MASK          (0x00001000u)
#define CSL_PSC_PTCMD_GO12_SHIFT         (0x0000000Cu)
#define CSL_PSC_PTCMD_GO12_RESETVAL      (0x00000000u)

#define CSL_PSC_PTCMD_GO11_MASK          (0x00000800u)
#define CSL_PSC_PTCMD_GO11_SHIFT         (0x0000000Bu)
#define CSL_PSC_PTCMD_GO11_RESETVAL      (0x00000000u)

#define CSL_PSC_PTCMD_GO10_MASK          (0x00000400u)
#define CSL_PSC_PTCMD_GO10_SHIFT         (0x0000000Au)
#define CSL_PSC_PTCMD_GO10_RESETVAL      (0x00000000u)

#define CSL_PSC_PTCMD_GO9_MASK           (0x00000200u)
#define CSL_PSC_PTCMD_GO9_SHIFT          (0x00000009u)
#define CSL_PSC_PTCMD_GO9_RESETVAL       (0x00000000u)

#define CSL_PSC_PTCMD_GO8_MASK           (0x00000100u)
#define CSL_PSC_PTCMD_GO8_SHIFT          (0x00000008u)
#define CSL_PSC_PTCMD_GO8_RESETVAL       (0x00000000u)

#define CSL_PSC_PTCMD_GO7_MASK           (0x00000080u)
#define CSL_PSC_PTCMD_GO7_SHIFT          (0x00000007u)
#define CSL_PSC_PTCMD_GO7_RESETVAL       (0x00000000u)

#define CSL_PSC_PTCMD_GO6_MASK           (0x00000040u)
#define CSL_PSC_PTCMD_GO6_SHIFT          (0x00000006u)
#define CSL_PSC_PTCMD_GO6_RESETVAL       (0x00000000u)

#define CSL_PSC_PTCMD_GO5_MASK           (0x00000020u)
#define CSL_PSC_PTCMD_GO5_SHIFT          (0x00000005u)
#define CSL_PSC_PTCMD_GO5_RESETVAL       (0x00000000u)

#define CSL_PSC_PTCMD_GO4_MASK           (0x00000010u)
#define CSL_PSC_PTCMD_GO4_SHIFT          (0x00000004u)
#define CSL_PSC_PTCMD_GO4_RESETVAL       (0x00000000u)

#define CSL_PSC_PTCMD_GO3_MASK           (0x00000008u)
#define CSL_PSC_PTCMD_GO3_SHIFT          (0x00000003u)
#define CSL_PSC_PTCMD_GO3_RESETVAL       (0x00000000u)

#define CSL_PSC_PTCMD_GO2_MASK           (0x00000004u)
#define CSL_PSC_PTCMD_GO2_SHIFT          (0x00000002u)
#define CSL_PSC_PTCMD_GO2_RESETVAL       (0x00000000u)

#define CSL_PSC_PTCMD_GO1_MASK           (0x00000002u)
#define CSL_PSC_PTCMD_GO1_SHIFT          (0x00000001u)
#define CSL_PSC_PTCMD_GO1_RESETVAL       (0x00000000u)

#define CSL_PSC_PTCMD_GO0_MASK           (0x00000001u)
#define CSL_PSC_PTCMD_GO0_SHIFT          (0x00000000u)
#define CSL_PSC_PTCMD_GO0_RESETVAL       (0x00000000u)

#define CSL_PSC_PTCMD_RESETVAL           (0x00000000u)

/* PTSTAT */

#define CSL_PSC_PTSTAT_GOSTAT31_MASK     (0x80000000u)
#define CSL_PSC_PTSTAT_GOSTAT31_SHIFT    (0x0000001Fu)
#define CSL_PSC_PTSTAT_GOSTAT31_RESETVAL (0x00000000u)

#define CSL_PSC_PTSTAT_GOSTAT30_MASK     (0x40000000u)
#define CSL_PSC_PTSTAT_GOSTAT30_SHIFT    (0x0000001Eu)
#define CSL_PSC_PTSTAT_GOSTAT30_RESETVAL (0x00000000u)

#define CSL_PSC_PTSTAT_GOSTAT29_MASK     (0x20000000u)
#define CSL_PSC_PTSTAT_GOSTAT29_SHIFT    (0x0000001Du)
#define CSL_PSC_PTSTAT_GOSTAT29_RESETVAL (0x00000000u)

#define CSL_PSC_PTSTAT_GOSTAT28_MASK     (0x10000000u)
#define CSL_PSC_PTSTAT_GOSTAT28_SHIFT    (0x0000001Cu)
#define CSL_PSC_PTSTAT_GOSTAT28_RESETVAL (0x00000000u)

#define CSL_PSC_PTSTAT_GOSTAT27_MASK     (0x08000000u)
#define CSL_PSC_PTSTAT_GOSTAT27_SHIFT    (0x0000001Bu)
#define CSL_PSC_PTSTAT_GOSTAT27_RESETVAL (0x00000000u)

#define CSL_PSC_PTSTAT_GOSTAT26_MASK     (0x04000000u)
#define CSL_PSC_PTSTAT_GOSTAT26_SHIFT    (0x0000001Au)
#define CSL_PSC_PTSTAT_GOSTAT26_RESETVAL (0x00000000u)

#define CSL_PSC_PTSTAT_GOSTAT25_MASK     (0x02000000u)
#define CSL_PSC_PTSTAT_GOSTAT25_SHIFT    (0x00000019u)
#define CSL_PSC_PTSTAT_GOSTAT25_RESETVAL (0x00000000u)

#define CSL_PSC_PTSTAT_GOSTAT24_MASK     (0x01000000u)
#define CSL_PSC_PTSTAT_GOSTAT24_SHIFT    (0x00000018u)
#define CSL_PSC_PTSTAT_GOSTAT24_RESETVAL (0x00000000u)

#define CSL_PSC_PTSTAT_GOSTAT23_MASK     (0x00800000u)
#define CSL_PSC_PTSTAT_GOSTAT23_SHIFT    (0x00000017u)
#define CSL_PSC_PTSTAT_GOSTAT23_RESETVAL (0x00000000u)

#define CSL_PSC_PTSTAT_GOSTAT22_MASK     (0x00400000u)
#define CSL_PSC_PTSTAT_GOSTAT22_SHIFT    (0x00000016u)
#define CSL_PSC_PTSTAT_GOSTAT22_RESETVAL (0x00000000u)

#define CSL_PSC_PTSTAT_GOSTAT21_MASK     (0x00200000u)
#define CSL_PSC_PTSTAT_GOSTAT21_SHIFT    (0x00000015u)
#define CSL_PSC_PTSTAT_GOSTAT21_RESETVAL (0x00000000u)

#define CSL_PSC_PTSTAT_GOSTAT20_MASK     (0x00100000u)
#define CSL_PSC_PTSTAT_GOSTAT20_SHIFT    (0x00000014u)
#define CSL_PSC_PTSTAT_GOSTAT20_RESETVAL (0x00000000u)

#define CSL_PSC_PTSTAT_GOSTAT19_MASK     (0x00080000u)
#define CSL_PSC_PTSTAT_GOSTAT19_SHIFT    (0x00000013u)
#define CSL_PSC_PTSTAT_GOSTAT19_RESETVAL (0x00000000u)

#define CSL_PSC_PTSTAT_GOSTAT18_MASK     (0x00040000u)
#define CSL_PSC_PTSTAT_GOSTAT18_SHIFT    (0x00000012u)
#define CSL_PSC_PTSTAT_GOSTAT18_RESETVAL (0x00000000u)

#define CSL_PSC_PTSTAT_GOSTAT17_MASK     (0x00020000u)
#define CSL_PSC_PTSTAT_GOSTAT17_SHIFT    (0x00000011u)
#define CSL_PSC_PTSTAT_GOSTAT17_RESETVAL (0x00000000u)

#define CSL_PSC_PTSTAT_GOSTAT16_MASK     (0x00010000u)
#define CSL_PSC_PTSTAT_GOSTAT16_SHIFT    (0x00000010u)
#define CSL_PSC_PTSTAT_GOSTAT16_RESETVAL (0x00000000u)

#define CSL_PSC_PTSTAT_GOSTAT15_MASK     (0x00008000u)
#define CSL_PSC_PTSTAT_GOSTAT15_SHIFT    (0x0000000Fu)
#define CSL_PSC_PTSTAT_GOSTAT15_RESETVAL (0x00000000u)

#define CSL_PSC_PTSTAT_GOSTAT14_MASK     (0x00004000u)
#define CSL_PSC_PTSTAT_GOSTAT14_SHIFT    (0x0000000Eu)
#define CSL_PSC_PTSTAT_GOSTAT14_RESETVAL (0x00000000u)

#define CSL_PSC_PTSTAT_GOSTAT13_MASK     (0x00002000u)
#define CSL_PSC_PTSTAT_GOSTAT13_SHIFT    (0x0000000Du)
#define CSL_PSC_PTSTAT_GOSTAT13_RESETVAL (0x00000000u)

#define CSL_PSC_PTSTAT_GOSTAT12_MASK     (0x00001000u)
#define CSL_PSC_PTSTAT_GOSTAT12_SHIFT    (0x0000000Cu)
#define CSL_PSC_PTSTAT_GOSTAT12_RESETVAL (0x00000000u)

#define CSL_PSC_PTSTAT_GOSTAT11_MASK     (0x00000800u)
#define CSL_PSC_PTSTAT_GOSTAT11_SHIFT    (0x0000000Bu)
#define CSL_PSC_PTSTAT_GOSTAT11_RESETVAL (0x00000000u)

#define CSL_PSC_PTSTAT_GOSTAT10_MASK     (0x00000400u)
#define CSL_PSC_PTSTAT_GOSTAT10_SHIFT    (0x0000000Au)
#define CSL_PSC_PTSTAT_GOSTAT10_RESETVAL (0x00000000u)

#define CSL_PSC_PTSTAT_GOSTAT9_MASK      (0x00000200u)
#define CSL_PSC_PTSTAT_GOSTAT9_SHIFT     (0x00000009u)
#define CSL_PSC_PTSTAT_GOSTAT9_RESETVAL  (0x00000000u)

#define CSL_PSC_PTSTAT_GOSTAT8_MASK      (0x00000100u)
#define CSL_PSC_PTSTAT_GOSTAT8_SHIFT     (0x00000008u)
#define CSL_PSC_PTSTAT_GOSTAT8_RESETVAL  (0x00000000u)

#define CSL_PSC_PTSTAT_GOSTAT7_MASK      (0x00000080u)
#define CSL_PSC_PTSTAT_GOSTAT7_SHIFT     (0x00000007u)
#define CSL_PSC_PTSTAT_GOSTAT7_RESETVAL  (0x00000000u)

#define CSL_PSC_PTSTAT_GOSTAT6_MASK      (0x00000040u)
#define CSL_PSC_PTSTAT_GOSTAT6_SHIFT     (0x00000006u)
#define CSL_PSC_PTSTAT_GOSTAT6_RESETVAL  (0x00000000u)

#define CSL_PSC_PTSTAT_GOSTAT5_MASK      (0x00000020u)
#define CSL_PSC_PTSTAT_GOSTAT5_SHIFT     (0x00000005u)
#define CSL_PSC_PTSTAT_GOSTAT5_RESETVAL  (0x00000000u)

#define CSL_PSC_PTSTAT_GOSTAT4_MASK      (0x00000010u)
#define CSL_PSC_PTSTAT_GOSTAT4_SHIFT     (0x00000004u)
#define CSL_PSC_PTSTAT_GOSTAT4_RESETVAL  (0x00000000u)

#define CSL_PSC_PTSTAT_GOSTAT3_MASK      (0x00000008u)
#define CSL_PSC_PTSTAT_GOSTAT3_SHIFT     (0x00000003u)
#define CSL_PSC_PTSTAT_GOSTAT3_RESETVAL  (0x00000000u)

#define CSL_PSC_PTSTAT_GOSTAT2_MASK      (0x00000004u)
#define CSL_PSC_PTSTAT_GOSTAT2_SHIFT     (0x00000002u)
#define CSL_PSC_PTSTAT_GOSTAT2_RESETVAL  (0x00000000u)

#define CSL_PSC_PTSTAT_GOSTAT1_MASK      (0x00000002u)
#define CSL_PSC_PTSTAT_GOSTAT1_SHIFT     (0x00000001u)
#define CSL_PSC_PTSTAT_GOSTAT1_RESETVAL  (0x00000000u)

#define CSL_PSC_PTSTAT_GOSTAT0_MASK      (0x00000001u)
#define CSL_PSC_PTSTAT_GOSTAT0_SHIFT     (0x00000000u)
#define CSL_PSC_PTSTAT_GOSTAT0_RESETVAL  (0x00000000u)

#define CSL_PSC_PTSTAT_RESETVAL          (0x00000000u)

/* PDSTAT */

#define CSL_PSC_PDSTAT_EMUIHB_MASK       (0x00000200u)
#define CSL_PSC_PDSTAT_EMUIHB_SHIFT      (0x00000009u)
#define CSL_PSC_PDSTAT_EMUIHB_RESETVAL   (0x00000000u)

#define CSL_PSC_PDSTAT_PWRBAD_MASK       (0x00000100u)
#define CSL_PSC_PDSTAT_PWRBAD_SHIFT      (0x00000008u)
#define CSL_PSC_PDSTAT_PWRBAD_RESETVAL   (0x00000000u)

#define CSL_PSC_PDSTAT_STATE_MASK        (0x00000001u)
#define CSL_PSC_PDSTAT_STATE_SHIFT       (0x00000000u)
#define CSL_PSC_PDSTAT_STATE_RESETVAL    (0x00000000u)

#define CSL_PSC_PDSTAT_RESETVAL          (0x00000000u)

/* PDCTL */

#define CSL_PSC_PDCTL_EMUIHBIE_MASK      (0x00000200u)
#define CSL_PSC_PDCTL_EMUIHBIE_SHIFT     (0x00000009u)
#define CSL_PSC_PDCTL_EMUIHBIE_RESETVAL  (0x00000000u)

#define CSL_PSC_PDCTL_EPCGOOD_MASK       (0x00000100u)
#define CSL_PSC_PDCTL_EPCGOOD_SHIFT      (0x00000008u)
#define CSL_PSC_PDCTL_EPCGOOD_RESETVAL   (0x00000000u)

#define CSL_PSC_PDCTL_NEXT_MASK          (0x00000001u)
#define CSL_PSC_PDCTL_NEXT_SHIFT         (0x00000000u)
#define CSL_PSC_PDCTL_NEXT_RESETVAL      (0x00000000u)

#define CSL_PSC_PDCTL_RESETVAL           (0x00000000u)

/* MRSTOUT */

#define CSL_PSC_MRSTOUT_MRSTZ30_MASK     (0x80000000u)
#define CSL_PSC_MRSTOUT_MRSTZ30_SHIFT    (0x0000001Eu)
#define CSL_PSC_MRSTOUT_MRSTZ30_RESETVAL (0x00000000u)

#define CSL_PSC_MRSTOUT_MRSTZ29_MASK     (0x40000000u)
#define CSL_PSC_MRSTOUT_MRSTZ29_SHIFT    (0x0000001Du)
#define CSL_PSC_MRSTOUT_MRSTZ29_RESETVAL (0x00000000u)

#define CSL_PSC_MRSTOUT_MRSTZ28_MASK     (0x20000000u)
#define CSL_PSC_MRSTOUT_MRSTZ28_SHIFT    (0x0000001Cu)
#define CSL_PSC_MRSTOUT_MRSTZ28_RESETVAL (0x00000000u)

#define CSL_PSC_MRSTOUT_MRSTZ27_MASK     (0x10000000u)
#define CSL_PSC_MRSTOUT_MRSTZ27_SHIFT    (0x0000001Bu)
#define CSL_PSC_MRSTOUT_MRSTZ27_RESETVAL (0x00000000u)

#define CSL_PSC_MRSTOUT_MRSTZ26_MASK     (0x08000000u)
#define CSL_PSC_MRSTOUT_MRSTZ26_SHIFT    (0x0000001Au)
#define CSL_PSC_MRSTOUT_MRSTZ26_RESETVAL (0x00000000u)

#define CSL_PSC_MRSTOUT_MRSTZ25_MASK     (0x04000000u)
#define CSL_PSC_MRSTOUT_MRSTZ25_SHIFT    (0x00000019u)
#define CSL_PSC_MRSTOUT_MRSTZ25_RESETVAL (0x00000000u)

#define CSL_PSC_MRSTOUT_MRSTZ24_MASK     (0x02000000u)
#define CSL_PSC_MRSTOUT_MRSTZ24_SHIFT    (0x00000018u)
#define CSL_PSC_MRSTOUT_MRSTZ24_RESETVAL (0x00000000u)

#define CSL_PSC_MRSTOUT_MRSTZ23_MASK     (0x01000000u)
#define CSL_PSC_MRSTOUT_MRSTZ23_SHIFT    (0x00000017u)
#define CSL_PSC_MRSTOUT_MRSTZ23_RESETVAL (0x00000000u)

#define CSL_PSC_MRSTOUT_MRSTZ22_MASK     (0x00800000u)
#define CSL_PSC_MRSTOUT_MRSTZ22_SHIFT    (0x00000016u)
#define CSL_PSC_MRSTOUT_MRSTZ22_RESETVAL (0x00000000u)

#define CSL_PSC_MRSTOUT_MRSTZ21_MASK     (0x00400000u)
#define CSL_PSC_MRSTOUT_MRSTZ21_SHIFT    (0x00000015u)
#define CSL_PSC_MRSTOUT_MRSTZ21_RESETVAL (0x00000000u)

#define CSL_PSC_MRSTOUT_MRSTZ20_MASK     (0x00200000u)
#define CSL_PSC_MRSTOUT_MRSTZ20_SHIFT    (0x00000014u)
#define CSL_PSC_MRSTOUT_MRSTZ20_RESETVAL (0x00000000u)

#define CSL_PSC_MRSTOUT_MRSTZ19_MASK     (0x00100000u)
#define CSL_PSC_MRSTOUT_MRSTZ19_SHIFT    (0x00000013u)
#define CSL_PSC_MRSTOUT_MRSTZ19_RESETVAL (0x00000000u)

#define CSL_PSC_MRSTOUT_MRSTZ18_MASK     (0x00080000u)
#define CSL_PSC_MRSTOUT_MRSTZ18_SHIFT    (0x00000012u)
#define CSL_PSC_MRSTOUT_MRSTZ18_RESETVAL (0x00000000u)

#define CSL_PSC_MRSTOUT_MRSTZ17_MASK     (0x00040000u)
#define CSL_PSC_MRSTOUT_MRSTZ17_SHIFT    (0x00000011u)
#define CSL_PSC_MRSTOUT_MRSTZ17_RESETVAL (0x00000000u)

#define CSL_PSC_MRSTOUT_MRSTZ16_MASK     (0x00020000u)
#define CSL_PSC_MRSTOUT_MRSTZ16_SHIFT    (0x00000010u)
#define CSL_PSC_MRSTOUT_MRSTZ16_RESETVAL (0x00000000u)

#define CSL_PSC_MRSTOUT_MRSTZ15_MASK     (0x00010000u)
#define CSL_PSC_MRSTOUT_MRSTZ15_SHIFT    (0x0000000Fu)
#define CSL_PSC_MRSTOUT_MRSTZ15_RESETVAL (0x00000000u)

#define CSL_PSC_MRSTOUT_MRSTZ14_MASK     (0x00008000u)
#define CSL_PSC_MRSTOUT_MRSTZ14_SHIFT    (0x0000000Eu)
#define CSL_PSC_MRSTOUT_MRSTZ14_RESETVAL (0x00000000u)

#define CSL_PSC_MRSTOUT_MRSTZ13_MASK     (0x00004000u)
#define CSL_PSC_MRSTOUT_MRSTZ13_SHIFT    (0x0000000Du)
#define CSL_PSC_MRSTOUT_MRSTZ13_RESETVAL (0x00000000u)

#define CSL_PSC_MRSTOUT_MRSTZ12_MASK     (0x00002000u)
#define CSL_PSC_MRSTOUT_MRSTZ12_SHIFT    (0x0000000Cu)
#define CSL_PSC_MRSTOUT_MRSTZ12_RESETVAL (0x00000000u)

#define CSL_PSC_MRSTOUT_MRSTZ11_MASK     (0x00001000u)
#define CSL_PSC_MRSTOUT_MRSTZ11_SHIFT    (0x0000000Bu)
#define CSL_PSC_MRSTOUT_MRSTZ11_RESETVAL (0x00000000u)

#define CSL_PSC_MRSTOUT_MRSTZ10_MASK     (0x00000800u)
#define CSL_PSC_MRSTOUT_MRSTZ10_SHIFT    (0x0000000Au)
#define CSL_PSC_MRSTOUT_MRSTZ10_RESETVAL (0x00000000u)

#define CSL_PSC_MRSTOUT_MRSTZ9_MASK      (0x00000400u)
#define CSL_PSC_MRSTOUT_MRSTZ9_SHIFT     (0x00000009u)
#define CSL_PSC_MRSTOUT_MRSTZ9_RESETVAL  (0x00000000u)

#define CSL_PSC_MRSTOUT_MRSTZ8_MASK      (0x00000200u)
#define CSL_PSC_MRSTOUT_MRSTZ8_SHIFT     (0x00000008u)
#define CSL_PSC_MRSTOUT_MRSTZ8_RESETVAL  (0x00000000u)

#define CSL_PSC_MRSTOUT_MRSTZ7_MASK      (0x00000100u)
#define CSL_PSC_MRSTOUT_MRSTZ7_SHIFT     (0x00000007u)
#define CSL_PSC_MRSTOUT_MRSTZ7_RESETVAL  (0x00000000u)

#define CSL_PSC_MRSTOUT_MRSTZ6_MASK      (0x00000080u)
#define CSL_PSC_MRSTOUT_MRSTZ6_SHIFT     (0x00000006u)
#define CSL_PSC_MRSTOUT_MRSTZ6_RESETVAL  (0x00000000u)

#define CSL_PSC_MRSTOUT_MRSTZ5_MASK      (0x00000040u)
#define CSL_PSC_MRSTOUT_MRSTZ5_SHIFT     (0x00000005u)
#define CSL_PSC_MRSTOUT_MRSTZ5_RESETVAL  (0x00000000u)

#define CSL_PSC_MRSTOUT_MRSTZ4_MASK      (0x00000020u)
#define CSL_PSC_MRSTOUT_MRSTZ4_SHIFT     (0x00000004u)
#define CSL_PSC_MRSTOUT_MRSTZ4_RESETVAL  (0x00000000u)

#define CSL_PSC_MRSTOUT_MRSTZ3_MASK      (0x00000010u)
#define CSL_PSC_MRSTOUT_MRSTZ3_SHIFT     (0x00000003u)
#define CSL_PSC_MRSTOUT_MRSTZ3_RESETVAL  (0x00000000u)

#define CSL_PSC_MRSTOUT_MRSTZ2_MASK      (0x00000008u)
#define CSL_PSC_MRSTOUT_MRSTZ2_SHIFT     (0x00000002u)
#define CSL_PSC_MRSTOUT_MRSTZ2_RESETVAL  (0x00000000u)

#define CSL_PSC_MRSTOUT_MRSTZ1_MASK      (0x00000004u)
#define CSL_PSC_MRSTOUT_MRSTZ1_SHIFT     (0x00000001u)
#define CSL_PSC_MRSTOUT_MRSTZ1_RESETVAL  (0x00000000u)

#define CSL_PSC_MRSTOUT_MRSTZ0_MASK      (0x00000002u)
#define CSL_PSC_MRSTOUT_MRSTZ0_SHIFT     (0x00000000u)
#define CSL_PSC_MRSTOUT_MRSTZ0_RESETVAL  (0x00000000u)

#define CSL_PSC_MRSTOUT_MRSTCTL_MASK     (0x00000001u)
#define CSL_PSC_MRSTOUT_MRSTCTL_SHIFT    (0x00000000u)
#define CSL_PSC_MRSTOUT_MRSTCTL_RESETVAL (0x00000000u)

#define CSL_PSC_MRSTOUT_RESETVAL         (0x00000000u)

/* MCKOUT */

#define CSL_PSC_MCKOUT_MCK31_MASK        (0x80000000u)
#define CSL_PSC_MCKOUT_MCK31_SHIFT       (0x0000001Fu)
#define CSL_PSC_MCKOUT_MCK31_RESETVAL    (0x00000000u)

#define CSL_PSC_MCKOUT_MCK30_MASK        (0x40000000u)
#define CSL_PSC_MCKOUT_MCK30_SHIFT       (0x0000001Eu)
#define CSL_PSC_MCKOUT_MCK30_RESETVAL    (0x00000000u)

#define CSL_PSC_MCKOUT_MCK29_MASK        (0x20000000u)
#define CSL_PSC_MCKOUT_MCK29_SHIFT       (0x0000001Du)
#define CSL_PSC_MCKOUT_MCK29_RESETVAL    (0x00000000u)

#define CSL_PSC_MCKOUT_MCK28_MASK        (0x10000000u)
#define CSL_PSC_MCKOUT_MCK28_SHIFT       (0x0000001Cu)
#define CSL_PSC_MCKOUT_MCK28_RESETVAL    (0x00000000u)

#define CSL_PSC_MCKOUT_MCK27_MASK        (0x08000000u)
#define CSL_PSC_MCKOUT_MCK27_SHIFT       (0x0000001Bu)
#define CSL_PSC_MCKOUT_MCK27_RESETVAL    (0x00000000u)

#define CSL_PSC_MCKOUT_MCK26_MASK        (0x04000000u)
#define CSL_PSC_MCKOUT_MCK26_SHIFT       (0x0000001Au)
#define CSL_PSC_MCKOUT_MCK26_RESETVAL    (0x00000000u)

#define CSL_PSC_MCKOUT_MCK25_MASK        (0x02000000u)
#define CSL_PSC_MCKOUT_MCK25_SHIFT       (0x00000019u)
#define CSL_PSC_MCKOUT_MCK25_RESETVAL    (0x00000000u)

#define CSL_PSC_MCKOUT_MCK24_MASK        (0x01000000u)
#define CSL_PSC_MCKOUT_MCK24_SHIFT       (0x00000018u)
#define CSL_PSC_MCKOUT_MCK24_RESETVAL    (0x00000000u)

#define CSL_PSC_MCKOUT_MCK23_MASK        (0x00800000u)
#define CSL_PSC_MCKOUT_MCK23_SHIFT       (0x00000017u)
#define CSL_PSC_MCKOUT_MCK23_RESETVAL    (0x00000000u)

#define CSL_PSC_MCKOUT_MCK22_MASK        (0x00400000u)
#define CSL_PSC_MCKOUT_MCK22_SHIFT       (0x00000016u)
#define CSL_PSC_MCKOUT_MCK22_RESETVAL    (0x00000000u)

#define CSL_PSC_MCKOUT_MCK21_MASK        (0x00200000u)
#define CSL_PSC_MCKOUT_MCK21_SHIFT       (0x00000015u)
#define CSL_PSC_MCKOUT_MCK21_RESETVAL    (0x00000000u)

#define CSL_PSC_MCKOUT_MCK20_MASK        (0x00100000u)
#define CSL_PSC_MCKOUT_MCK20_SHIFT       (0x00000014u)
#define CSL_PSC_MCKOUT_MCK20_RESETVAL    (0x00000000u)

#define CSL_PSC_MCKOUT_MCK19_MASK        (0x00080000u)
#define CSL_PSC_MCKOUT_MCK19_SHIFT       (0x00000013u)
#define CSL_PSC_MCKOUT_MCK19_RESETVAL    (0x00000000u)

#define CSL_PSC_MCKOUT_MCK18_MASK        (0x00040000u)
#define CSL_PSC_MCKOUT_MCK18_SHIFT       (0x00000012u)
#define CSL_PSC_MCKOUT_MCK18_RESETVAL    (0x00000000u)

#define CSL_PSC_MCKOUT_MCK17_MASK        (0x00020000u)
#define CSL_PSC_MCKOUT_MCK17_SHIFT       (0x00000011u)
#define CSL_PSC_MCKOUT_MCK17_RESETVAL    (0x00000000u)

#define CSL_PSC_MCKOUT_MCK16_MASK        (0x00010000u)
#define CSL_PSC_MCKOUT_MCK16_SHIFT       (0x00000010u)
#define CSL_PSC_MCKOUT_MCK16_RESETVAL    (0x00000000u)

#define CSL_PSC_MCKOUT_MCK15_MASK        (0x00008000u)
#define CSL_PSC_MCKOUT_MCK15_SHIFT       (0x0000000Fu)
#define CSL_PSC_MCKOUT_MCK15_RESETVAL    (0x00000000u)

#define CSL_PSC_MCKOUT_MCK14_MASK        (0x00004000u)
#define CSL_PSC_MCKOUT_MCK14_SHIFT       (0x0000000Eu)
#define CSL_PSC_MCKOUT_MCK14_RESETVAL    (0x00000000u)

#define CSL_PSC_MCKOUT_MCK13_MASK        (0x00002000u)
#define CSL_PSC_MCKOUT_MCK13_SHIFT       (0x0000000Du)
#define CSL_PSC_MCKOUT_MCK13_RESETVAL    (0x00000000u)

#define CSL_PSC_MCKOUT_MCK12_MASK        (0x00001000u)
#define CSL_PSC_MCKOUT_MCK12_SHIFT       (0x0000000Cu)
#define CSL_PSC_MCKOUT_MCK12_RESETVAL    (0x00000000u)

#define CSL_PSC_MCKOUT_MCK11_MASK        (0x00000800u)
#define CSL_PSC_MCKOUT_MCK11_SHIFT       (0x0000000Bu)
#define CSL_PSC_MCKOUT_MCK11_RESETVAL    (0x00000000u)

#define CSL_PSC_MCKOUT_MCK10_MASK        (0x00000400u)
#define CSL_PSC_MCKOUT_MCK10_SHIFT       (0x0000000Au)
#define CSL_PSC_MCKOUT_MCK10_RESETVAL    (0x00000000u)

#define CSL_PSC_MCKOUT_MCK9_MASK         (0x00000200u)
#define CSL_PSC_MCKOUT_MCK9_SHIFT        (0x00000009u)
#define CSL_PSC_MCKOUT_MCK9_RESETVAL     (0x00000000u)

#define CSL_PSC_MCKOUT_MCK8_MASK         (0x00000100u)
#define CSL_PSC_MCKOUT_MCK8_SHIFT        (0x00000008u)
#define CSL_PSC_MCKOUT_MCK8_RESETVAL     (0x00000000u)

#define CSL_PSC_MCKOUT_MCK7_MASK         (0x00000080u)
#define CSL_PSC_MCKOUT_MCK7_SHIFT        (0x00000007u)
#define CSL_PSC_MCKOUT_MCK7_RESETVAL     (0x00000000u)

#define CSL_PSC_MCKOUT_MCK6_MASK         (0x00000040u)
#define CSL_PSC_MCKOUT_MCK6_SHIFT        (0x00000006u)
#define CSL_PSC_MCKOUT_MCK6_RESETVAL     (0x00000000u)

#define CSL_PSC_MCKOUT_MCK5_MASK         (0x00000020u)
#define CSL_PSC_MCKOUT_MCK5_SHIFT        (0x00000005u)
#define CSL_PSC_MCKOUT_MCK5_RESETVAL     (0x00000000u)

#define CSL_PSC_MCKOUT_MCK4_MASK         (0x00000010u)
#define CSL_PSC_MCKOUT_MCK4_SHIFT        (0x00000004u)
#define CSL_PSC_MCKOUT_MCK4_RESETVAL     (0x00000000u)

#define CSL_PSC_MCKOUT_MCK3_MASK         (0x00000008u)
#define CSL_PSC_MCKOUT_MCK3_SHIFT        (0x00000003u)
#define CSL_PSC_MCKOUT_MCK3_RESETVAL     (0x00000000u)

#define CSL_PSC_MCKOUT_MCK2_MASK         (0x00000004u)
#define CSL_PSC_MCKOUT_MCK2_SHIFT        (0x00000002u)
#define CSL_PSC_MCKOUT_MCK2_RESETVAL     (0x00000000u)

#define CSL_PSC_MCKOUT_MCK1_MASK         (0x00000002u)
#define CSL_PSC_MCKOUT_MCK1_SHIFT        (0x00000001u)
#define CSL_PSC_MCKOUT_MCK1_RESETVAL     (0x00000000u)

#define CSL_PSC_MCKOUT_MCK0_MASK         (0x00000001u)
#define CSL_PSC_MCKOUT_MCK0_SHIFT        (0x00000000u)
#define CSL_PSC_MCKOUT_MCK0_RESETVAL     (0x00000000u)

#define CSL_PSC_MCKOUT_RESETVAL          (0x00000000u)

/* MDCFG */

#define CSL_PSC_MDCFG_PWRDOM_MASK        (0x001F0000u)
#define CSL_PSC_MDCFG_PWRDOM_SHIFT       (0x00000010u)
#define CSL_PSC_MDCFG_PWRDOM_RESETVAL    (0x00000000u)

#define CSL_PSC_MDCFG_PERMDIS_MASK       (0x00000100u)
#define CSL_PSC_MDCFG_PERMDIS_SHIFT      (0x00000008u)
#define CSL_PSC_MDCFG_PERMDIS_RESETVAL   (0x00000000u)

#define CSL_PSC_MDCFG_CKRST_MASK         (0x00000080u)
#define CSL_PSC_MDCFG_CKRST_SHIFT        (0x00000007u)
#define CSL_PSC_MDCFG_CKRST_RESETVAL     (0x00000000u)

#define CSL_PSC_MDCFG_PLLCKGT_MASK       (0x00000040u)
#define CSL_PSC_MDCFG_PLLCKGT_SHIFT      (0x00000006u)
#define CSL_PSC_MDCFG_PLLCKGT_RESETVAL   (0x00000000u)

#define CSL_PSC_MDCFG_LSRSTBLK_MASK      (0x00000020u)
#define CSL_PSC_MDCFG_LSRSTBLK_SHIFT     (0x00000005u)
#define CSL_PSC_MDCFG_LSRSTBLK_RESETVAL  (0x00000000u)

#define CSL_PSC_MDCFG_SRSTBLK_MASK       (0x00000010u)
#define CSL_PSC_MDCFG_SRSTBLK_SHIFT      (0x00000004u)
#define CSL_PSC_MDCFG_SRSTBLK_RESETVAL   (0x00000000u)

#define CSL_PSC_MDCFG_NUMCLK_MASK        (0x00000003u)
#define CSL_PSC_MDCFG_NUMCLK_SHIFT       (0x00000000u)
#define CSL_PSC_MDCFG_NUMCLK_RESETVAL    (0x00000000u)

#define CSL_PSC_MDCFG_RESETVAL           (0x00000000u)

/* MDSTAT */

#define CSL_PSC_MDSTAT_EMUIHB_MASK       (0x00000400u)
#define CSL_PSC_MDSTAT_EMUIHB_SHIFT      (0x0000000Au)
#define CSL_PSC_MDSTAT_EMUIHB_RESETVAL   (0x00000000u)

#define CSL_PSC_MDSTAT_EMURST_MASK       (0x00000200u)
#define CSL_PSC_MDSTAT_EMURST_SHIFT      (0x00000009u)
#define CSL_PSC_MDSTAT_EMURST_RESETVAL   (0x00000000u)

#define CSL_PSC_MDSTAT_LRSTZ_MASK        (0x00000100u)
#define CSL_PSC_MDSTAT_LRSTZ_SHIFT       (0x00000008u)
#define CSL_PSC_MDSTAT_LRSTZ_RESETVAL    (0x00000000u)

#define CSL_PSC_MDSTAT_STATE_MASK        (0x0000001Fu)
#define CSL_PSC_MDSTAT_STATE_SHIFT       (0x00000000u)
#define CSL_PSC_MDSTAT_STATE_RESETVAL    (0x00000000u)

#define CSL_PSC_MDSTAT_RESETVAL          (0x00000000u)

/* MDCTL */

#define CSL_PSC_MDCTL_EMUIHBIE_MASK      (0x00000400u)
#define CSL_PSC_MDCTL_EMUIHBIE_SHIFT     (0x0000000Au)
#define CSL_PSC_MDCTL_EMUIHBIE_RESETVAL  (0x00000000u)

#define CSL_PSC_MDCTL_EMURSTIE_MASK      (0x00000200u)
#define CSL_PSC_MDCTL_EMURSTIE_SHIFT     (0x00000009u)
#define CSL_PSC_MDCTL_EMURSTIE_RESETVAL  (0x00000000u)

#define CSL_PSC_MDCTL_LRSTZ_MASK         (0x00000100u)
#define CSL_PSC_MDCTL_LRSTZ_SHIFT        (0x00000008u)
#define CSL_PSC_MDCTL_LRSTZ_RESETVAL     (0x00000000u)

#define CSL_PSC_MDCTL_NEXT_MASK          (0x00000007u)
#define CSL_PSC_MDCTL_NEXT_SHIFT         (0x00000000u)
#define CSL_PSC_MDCTL_NEXT_RESETVAL      (0x00000000u)

#define CSL_PSC_MDCTL_RESETVAL           (0x00000000u)

/* INTEVAL */

#define CSL_PSC_INTEVAL_EMUIHBIE_MASK    (0x00000400u)
#define CSL_PSC_INTEVAL_EMUIHBIE_SHIFT   (0x0000000Au)
#define CSL_PSC_INTEVAL_EMUIHBIE_RESETVAL (0x00000000u)

#define CSL_PSC_INTEVAL_EMURSTIE_MASK    (0x00000200u)
#define CSL_PSC_INTEVAL_EMURSTIE_SHIFT   (0x00000009u)
#define CSL_PSC_INTEVAL_EMURSTIE_RESETVAL (0x00000000u)

#define CSL_PSC_INTEVAL_LRSTZ_MASK       (0x00000100u)
#define CSL_PSC_INTEVAL_LRSTZ_SHIFT      (0x00000008u)
#define CSL_PSC_INTEVAL_LRSTZ_RESETVAL   (0x00000000u)

#define CSL_PSC_INTEVAL_NEXT_MASK        (0x00000007u)
#define CSL_PSC_INTEVAL_NEXT_SHIFT       (0x00000000u)
#define CSL_PSC_INTEVAL_NEXT_RESETVAL    (0x00000000u)

#define CSL_PSC_INTEVAL_RESETVAL         (0x00000000u)

#endif

/* Rev.No.   Date/Time               ECN No.          Modifier      */
/* -------   ---------               -------          --------      */

/* 2          Dec 14:33:47 3         4553             xkeshavm      */
/*                                                                  */
/* updated the new csl                                              */
/********************************************************************/ 
